commit b3a22fbfc627409044959a11a2c51afc555ac718
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 1 12:29:26 2026 +0200

    poppler 26.04.0

 CMakeLists.txt   |  6 +++---
 NEWS             | 20 ++++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 26 insertions(+), 6 deletions(-)

commit 6a2be3179284d0e5e82a4e17f6a8949bf8a06473
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 1 12:21:37 2026 +0200

    Update (C)

 cpp/poppler-embedded-file.cpp                             | 2 +-
 cpp/poppler-global.cpp                                    | 1 +
 glib/poppler-attachment.cc                                | 2 +-
 glib/poppler-date.cc                                      | 1 +
 glib/poppler-form-field.cc                                | 2 +-
 glib/poppler-layer.cc                                     | 1 +
 glib/poppler-structure-element.cc                         | 2 +-
 poppler/DateInfo.h                                        | 2 +-
 poppler/OutputDev.h                                       | 1 +
 poppler/PSOutputDev.h                                     | 2 +-
 poppler/Sound.cc                                          | 1 +
 poppler/StructElement.h                                   | 2 +-
 qt5/src/poppler-document.cc                               | 2 +-
 qt5/src/poppler-optcontent.cc                             | 2 +-
 qt6/src/poppler-document.cc                               | 2 +-
 qt6/src/poppler-optcontent.cc                             | 2 +-
 test/goostring-format-checker/goostring-format-checker.cc | 1 +
 utils/HtmlOutputDev.h                                     | 2 +-
 18 files changed, 18 insertions(+), 12 deletions(-)

commit b57d9e84660193b922b3ded49f2ab5579198dc13
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 1 00:46:02 2026 +0200

    Fix crash on malformed files

    oss-fuzz #498251261

 poppler/XRef.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 50e946472de31760a15497d457641210c576a46b
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Mar 27 14:15:32 2026 +0100

    glib: dont crash on nullptr dates

 glib/poppler-date.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 05cff0459bbec6365aed65448b1a297dfbb98340
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Mar 27 08:44:44 2026 +0000

    Object: use std::variant over union

 cpp/poppler-document.cpp                           |   6 +-
 cpp/poppler-embedded-file.cpp                      |   4 +-
 cpp/poppler-global.cpp                             |   3 +-
 glib/poppler-action.cc                             |  10 +-
 glib/poppler-annot.cc                              |  16 +-
 glib/poppler-attachment.cc                         |   8 +-
 glib/poppler-date.cc                               |   4 +-
 glib/poppler-document.cc                           |  50 +++---
 glib/poppler-form-field.cc                         |  14 +-
 glib/poppler-layer.cc                              |   2 +-
 glib/poppler-page.cc                               |   2 +-
 glib/poppler-private.h                             |   6 +-
 glib/poppler-structure-element.cc                  |  21 ++-
 goo/GooString.cc                                   |  19 ++-
 poppler/Annot.cc                                   |  24 +--
 poppler/Array.cc                                   |   3 +-
 poppler/Array.h                                    |  21 +--
 poppler/CairoOutputDev.cc                          |   6 +-
 poppler/CairoOutputDev.h                           |   4 +-
 poppler/Catalog.cc                                 |   6 +-
 poppler/DateInfo.cc                                |   8 +-
 poppler/DateInfo.h                                 |   4 +-
 poppler/Dict.cc                                    |   2 -
 poppler/Dict.h                                     |  27 ++--
 poppler/FileSpec.cc                                |  34 ++--
 poppler/Form.cc                                    |  37 +++--
 poppler/Gfx.cc                                     |  20 +--
 poppler/Gfx.h                                      |   4 +-
 poppler/GfxFont.cc                                 |  11 +-
 poppler/GfxState.cc                                |   4 +-
 poppler/GlobalParamsWin.cc                         |   2 +-
 poppler/Link.cc                                    |  24 +--
 poppler/Object.cc                                  | 120 +++-----------
 poppler/Object.h                                   | 176
 +++++++--------------
 poppler/Outline.cc                                 |   4 +-
 poppler/OutputDev.h                                |   6 +-
 poppler/PDFDoc.cc                                  |  40 ++---
 poppler/PDFDoc.h                                   |   2 +-
 poppler/PSOutputDev.cc                             |  32 ++--
 poppler/PSOutputDev.h                              |   2 +-
 poppler/Page.h                                     |   2 -
 poppler/PageLabelInfo.cc                           |   4 +-
 poppler/Parser.cc                                  |   4 +-
 poppler/SecurityHandler.cc                         |  18 +--
 poppler/Sound.cc                                   |   2 +-
 poppler/Stream.cc                                  |   5 +-
 poppler/Stream.h                                   |  18 +--
 poppler/StructElement.cc                           |  10 +-
 poppler/StructElement.h                            |   4 +-
 poppler/TextOutputDev.cc                           |  16 +-
 poppler/TextOutputDev.h                            |   8 +-
 qt5/src/poppler-document.cc                        |   4 +-
 qt5/src/poppler-optcontent.cc                      |   2 +-
 qt6/src/poppler-document.cc                        |   4 +-
 qt6/src/poppler-optcontent.cc                      |   2 +-
 qt6/tests/check_goostring.cpp                      |   3 +
 .../goostring-format-checker.cc                    |   5 +
 test/pdf-fullrewrite.cc                            |   6 +-
 utils/HtmlOutputDev.cc                             |   6 +-
 utils/HtmlOutputDev.h                              |   4 +-
 utils/pdfinfo.cc                                   |  25 ++-
 utils/pdftohtml.cc                                 |  20 ++-
 utils/pdftotext.cc                                 |  13 +-
 utils/pdfunite.cc                                  |  20 +--
 64 files changed, 419 insertions(+), 574 deletions(-)

commit 13313aefb1558f1281a076151a03d5b90788e7e0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 25 00:16:32 2026 +0100

    Fix crash on broken files

 poppler/XRef.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit d2cc578a169f282fe5e3fb2e84b97dc11a81e820
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 25 00:02:11 2026 +0100

    Fix memory leak introduced in 2e3e7f80256023a7b7fafc921e889bef5e4fc0bd

 fofi/FoFiType1C.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1420107810fc928962c559ebf59cf110c5d3f7de
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 23 23:21:51 2026 +0000

    Port damaged xref stream support from xpdf 4.03

 poppler/XRef.cc | 358
 ++++++++++++++++++++++++++++++++++----------------------
 poppler/XRef.h  |   8 ++
 2 files changed, 229 insertions(+), 137 deletions(-)

commit 1c6e5df94e06c9ad7e5af6aabfe38409532a85de
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Mar 24 00:09:05 2026 +0100

    Update (C)

 qt5/src/poppler-page.cc | 1 +
 qt6/src/poppler-page.cc | 1 +
 2 files changed, 2 insertions(+)

commit 304290044b5c6b1af62c3b44afa9fd674a9656af
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Mon Mar 23 05:21:56 2026 +0530

    qt: fix inverted continuation rect in performMultipleTextSearch and
    add test for it

 qt5/src/poppler-page.cc    |  4 ++--
 qt6/src/poppler-page.cc    |  4 ++--
 qt6/tests/check_search.cpp | 21 +++++++++++++++++++++
 3 files changed, 25 insertions(+), 4 deletions(-)

commit 2e3e7f80256023a7b7fafc921e889bef5e4fc0bd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 22 16:39:24 2026 +0100

    Convert char *const foo[] to std:array

 fofi/FoFiEncodings.cc         | 1026 ++++++++++----------
 fofi/FoFiEncodings.h          |    8 +-
 fofi/FoFiType1.cc             |   26 +-
 fofi/FoFiType1.h              |    6 +-
 fofi/FoFiType1C.cc            |   43 +-
 fofi/FoFiType1C.h             |    4 +-
 poppler/BuiltinFont.h         |   30 +-
 poppler/FontEncodingTables.cc | 2074
 ++++++++++++++++++++---------------------
 poppler/FontEncodingTables.h  |   13 +-
 poppler/GfxFont.cc            |   39 +-
 10 files changed, 1632 insertions(+), 1637 deletions(-)

commit 3367c4697a0cf99de818b18f0297c66f2d3ec0e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 22 16:47:39 2026 +0100

    Replace standardEncoding with fofiType1StandardEncoding

 poppler/BuiltinFont.h         |  29 ++---
 poppler/FontEncodingTables.cc | 257
 ------------------------------------------
 poppler/FontEncodingTables.h  |   1 -
 poppler/GfxFont.cc            |   8 +-
 4 files changed, 19 insertions(+), 276 deletions(-)

commit fb66873f5c4d9e459a15b898e7f9ea406a8b0f06
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 22 16:47:22 2026 +0100

    Remove unused expertEncoding

 poppler/FontEncodingTables.cc | 257
 ------------------------------------------
 poppler/FontEncodingTables.h  |   1 -
 2 files changed, 258 deletions(-)

commit 153aebbef184862060cfcdc62a6c47a9db2011a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 15 17:05:33 2026 +0100

    Enable readability-redundant-parentheses

 .clang-tidy                          |  3 ++-
 glib/demo/page.c                     |  4 ++--
 glib/poppler-attachment.cc           |  2 +-
 glib/poppler-document.cc             |  4 ++--
 glib/poppler-media.cc                |  2 +-
 goo/gbase64.cc                       |  2 +-
 poppler/CairoRescaleBox.cc           |  2 +-
 poppler/Form.cc                      |  2 +-
 poppler/Gfx.cc                       |  2 +-
 poppler/GfxState.cc                  | 18 +++++++++---------
 poppler/GfxState.h                   |  2 +-
 poppler/Outline.cc                   |  2 +-
 poppler/PSOutputDev.cc               |  4 ++--
 poppler/Page.cc                      |  2 +-
 poppler/SplashOutputDev.cc           |  6 +++---
 poppler/UTF.cc                       |  2 +-
 qt5/src/QPainterOutputDev.cc         |  6 +++---
 qt5/src/poppler-page.cc              |  4 ++--
 qt5/src/poppler-private.cc           |  2 +-
 qt5/tests/check_internal_outline.cpp |  2 +-
 qt6/src/QPainterOutputDev.cc         |  6 +++---
 qt6/src/poppler-page.cc              |  4 ++--
 qt6/src/poppler-private.cc           |  2 +-
 qt6/tests/check_internal_outline.cpp |  2 +-
 splash/Splash.cc                     |  4 ++--
 test/image-embedding.cc              |  2 +-
 utils/HtmlOutputDev.cc               |  2 +-
 27 files changed, 48 insertions(+), 47 deletions(-)

commit 9b08eb5fb4a04aa579226e4601281393ed332ad2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 15 03:13:57 2026 +0100

    Make getOverprintMask virtual

    And enable bugprone-derived-method-shadowing-base-method

 .clang-tidy        | 1 -
 poppler/GfxState.h | 4 ++--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 72c6bd9b48a8871093257c2ad5e0633162e12fde
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 26 19:12:31 2026 +0100

    CI: Use clang 22

 .clang-tidy    |  8 ++++++++
 .gitlab-ci.yml | 10 +++++-----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 9cfc34379ee91238f360f3be0c9b8c3ca752752e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 14 23:06:59 2026 +0100

    Third attempt at making mtim nicer ...

 goo/gfile.cc | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 0e011e2f4a47d46ae40785134c715f6ab99159c6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 14 22:58:08 2026 +0100

    Fix mtim template to make it work on FreeBSD

    FreeBSD has a #define st_mtimespec st_mtim that was complicating things

 goo/gfile.cc | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit c0cfb08b5ba580c4d967d983d713d7dc3c2f61ae
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 14 20:36:24 2026 +0000

    Easier to understand mtim

 goo/gfile.cc | 30 +++++++++---------------------
 1 file changed, 9 insertions(+), 21 deletions(-)

commit 67a3a3f8922565789eb2449e70939f0ab6c153a6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 14 16:14:05 2026 +0100

    contains instead of find

 poppler/Form.cc                 | 2 +-
 poppler/NSSCryptoSignBackend.cc | 4 ++--
 qt5/tests/check_forms.cpp       | 2 +-
 qt6/tests/check_forms.cpp       | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 5b08e058d48cc070f1338d4913f3f696af9a65e7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 14 16:38:41 2026 +0100

    Add a bunch more designated initializers

 cpp/tests/poppler-dump.cpp           |  32 +++++------
 cpp/tests/poppler-render.cpp         |  14 ++---
 glib/poppler-annot.cc                |   2 +-
 glib/poppler-page.cc                 |   8 +--
 poppler/CharCodeToUnicode.cc         |   2 +-
 poppler/NSSCryptoSignBackend.cc      |  61 +++++++++++---------
 qt5/tests/check_internal_outline.cpp |  54 ++++++++++++++----
 qt6/tests/check_internal_outline.cpp |  54 ++++++++++++++----
 splash/SplashFTFont.cc               |  12 ++--
 test/gtk-test.cc                     |  14 +++--
 test/image-embedding.cc              |  18 +++---
 test/pdf-fullrewrite.cc              |  16 +++---
 utils/InMemoryFile.cc                |  15 ++---
 utils/pdfattach.cc                   |  12 ++--
 utils/pdfdetach.cc                   |  26 ++++-----
 utils/pdffonts.cc                    |  20 +++----
 utils/pdfimages.cc                   |  40 ++++++-------
 utils/pdfinfo.cc                     |  42 +++++++-------
 utils/pdfseparate.cc                 |  14 ++---
 utils/pdfsig.cc                      |  61 ++++++++++----------
 utils/pdftocairo.cc                  | 108
 +++++++++++++++++------------------
 utils/pdftohtml.cc                   |  54 +++++++++---------
 utils/pdftoppm.cc                    | 100
 ++++++++++++++++----------------
 utils/pdftops.cc                     |  96 ++++++++++++++++---------------
 utils/pdftotext.cc                   |  63 ++++++++++----------
 utils/pdfunite.cc                    |   8 ++-
 utils/po/ca/pdfsig.po                |   6 +-
 utils/po/pdfsig.pot                  |   6 +-
 28 files changed, 524 insertions(+), 434 deletions(-)

commit 4328bdebc04e09a3dbe4fb2e9bd316dd64294964
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 14 19:14:29 2026 +0000

    cpp: unique ptr tweaks

 cpp/poppler-page.cpp | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 4312206ecc3f463f1b56dc86eacd798df04f681e
Author: Taufeeque Sifat <entity069@protonmail.com>
Date:   Sat Mar 14 14:44:49 2026 +0000

    Splash: Improve knockout groups rendering

    Issue #1538

 poppler/SplashOutputDev.cc |  27 ++++--
 splash/Splash.cc           | 222
 ++++++++++++++++++++++++++++++++++++++++-----
 splash/Splash.h            |  10 +-
 splash/SplashState.cc      |   3 +
 splash/SplashState.h       |   1 +
 5 files changed, 233 insertions(+), 30 deletions(-)

commit dec275c66e6a32051fd2cf5366eedd78640e92ce
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Thu Mar 5 22:50:01 2026 +0530

    fix PngEmbedder memory leak on longjmp

 poppler/ImageEmbeddingUtils.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit d3024ee33f61f83df66721746f89d5f3248a9a93
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Mar 5 01:05:07 2026 +0100

    Gfx: Skip empty Form XObject's

    The XObject may have a large bounding box exceeding the actual bounding
    box (which should be empty), and the following compositing may be
    quite costly.

    CCBUG: poppler#1682

 poppler/Gfx.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 02a177ef7910238e4ab9c387cbce3b11af9f58d1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 4 21:48:13 2026 +0100

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit aa4f259428273ef93220f9e659962cc50787d1c1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 4 21:29:25 2026 +0100

    poppler 26.03.0

 CMakeLists.txt   |  6 +++---
 NEWS             | 22 ++++++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 28 insertions(+), 6 deletions(-)

commit b35db87cab3f5ae7a48c628db0748c43a7df7ce8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 4 16:54:11 2026 +0100

    Update (C)

 poppler/Annot.cc                | 2 +-
 poppler/NSSCryptoSignBackend.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 600f4021c1c207da2fe372a287f83f92804e3079
Author: Lucas Baudin <lbaudin@gnome.org>
Date:   Fri Feb 20 22:45:31 2026 +0100

    Simplify the form of ink annotations

    A nested stream was created, which does not follow the PDF standard and
    is not supported by some readers (e.g. iOS)

 poppler/Annot.cc | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 3df7d12a6ca79587a305d1b8590153e4e53e001e
Author: Marek Kasik <mkasik@redhat.com>
Date:   Tue Mar 3 11:07:41 2026 +0100

    Look for Firefox profiles also in XDG config directory

    Firefox recently started to support XDG specification.
    Its profile can be stored in XDG_CONFIG_HOME now.
    This commit adds the XDG_CONFIG_HOME among directories
    in which poppler searches for database of signing certificates.
    If a certificate database is found within a mozilla directory
    in the XDG_DIRECTORY_HOME then this is used.

    Fixes: #1652

 poppler/NSSCryptoSignBackend.cc | 38
 ++++++++++++++++++++++++++++----------
 1 file changed, 28 insertions(+), 10 deletions(-)

commit 590b71e0b3fff371c4bb924f7dea0f025cd38bdb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Mar 3 10:54:19 2026 +0100

    CI: Fedora 44 now uses clang 22

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c55c0458e17bc5f6a1db3c438a9be822167386db
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Tue Mar 3 15:00:34 2026 +0530

    qt: Fix wrong result bottom coordinate when searching across lines

 qt5/src/poppler-page.cc | 2 +-
 qt6/src/poppler-page.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b82437e8c439f764451ad17d1167649366def1c9
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Sun Mar 1 14:03:28 2026 +0530

    Fix oss fuzz build

 qt6/tests/fuzzing/qt_signature_fuzzer.cc | 28 +++++++++++++++++++++++++++-
 test/ossfuzz/build_fuzzers.sh            |  4 ++++
 test/ossfuzz/prepare_build.sh            |  1 +
 3 files changed, 32 insertions(+), 1 deletion(-)

commit 27145b142213bcf16d0663504d7272287fc8eb0a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 26 23:24:34 2026 +0100

    Deduplicate Annot getName

    We had 3 classes that inherited eachother with getName functions

    Rename the base one to getUniqueName and the leaf ones to getIconName

 glib/poppler-annot.cc         |  4 ++--
 poppler/Annot.cc              | 20 ++++++++++----------
 poppler/Annot.h               | 13 +++++++------
 qt5/src/poppler-annotation.cc |  6 +++---
 qt6/src/poppler-annotation.cc |  6 +++---
 5 files changed, 25 insertions(+), 24 deletions(-)

commit 96b375a42e0c0488a762d48cae0e3dfacdb7b3be
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 12 00:37:37 2026 +0100

    Remove = null for a unique_ptr in the constructor

    It's already null

 poppler/Gfx.cc | 1 -
 1 file changed, 1 deletion(-)

commit 3d5622166f4668781d63cb3d3fa8e4986b8f9542
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 12 00:34:02 2026 +0100

    Only create GfxResources::fonts if we're going to use it

    Makes file from 1675 go from 3.4s to 1.5s in pdftoppm my computer

 poppler/Gfx.cc | 12 ++++++------
 poppler/Gfx.h  |  4 +++-
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 4d0fccd017c5c6a0df2ae99ff54156eff7e7f8f6
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Wed Feb 11 05:56:50 2026 +0530

    Fuzzer: add Qt6 signature fuzzer

    It also that exercises ImageEmbeddingUtils through the Qt6
    PDFConverter::sign() API with image path functionality.

 qt6/tests/CMakeLists.txt                 |  1 +
 qt6/tests/fuzzing/qt_signature_fuzzer.cc | 83
 ++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

commit c1295c4e6cc75c702ee26d5f72fadcb312675b1c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Feb 10 19:45:39 2026 +0100

    CI: Use Fedora 44

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit fd5f3553ce0105e39891c90220517a1eabeff677
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Feb 10 00:42:31 2026 +0100

    Update (C)

 glib/poppler-document.cc          | 1 +
 glib/poppler-structure-element.cc | 1 +
 poppler/Annot.cc                  | 1 +
 poppler/AnnotStampImageHelper.cc  | 1 +
 poppler/AnnotStampImageHelper.h   | 1 +
 poppler/Array.h                   | 1 +
 poppler/Catalog.cc                | 1 +
 poppler/CryptoSignBackend.h       | 1 +
 poppler/Form.cc                   | 2 +-
 poppler/Function.cc               | 1 +
 poppler/GPGMECryptoSignBackend.cc | 3 ++-
 poppler/GPGMECryptoSignBackend.h  | 1 +
 poppler/Gfx.cc                    | 1 +
 poppler/GfxFont.cc                | 1 +
 poppler/GfxState.cc               | 1 +
 poppler/JPEG2000Stream.cc         | 1 +
 poppler/Linearization.cc          | 1 +
 poppler/Object.h                  | 1 +
 poppler/OptionalContent.cc        | 1 +
 poppler/OptionalContent.h         | 1 +
 poppler/PDFDoc.cc                 | 2 +-
 poppler/PSOutputDev.cc            | 1 +
 poppler/Page.cc                   | 1 +
 poppler/StructElement.cc          | 1 +
 poppler/XRef.cc                   | 1 +
 qt5/demos/embeddedfiles.cpp       | 1 +
 qt5/demos/info.cpp                | 1 +
 qt5/src/poppler-optcontent.cc     | 1 +
 qt6/src/poppler-optcontent.cc     | 1 +
 utils/pdfunite.cc                 | 1 +
 30 files changed, 31 insertions(+), 3 deletions(-)

commit ae9e9cfb796c654d30d141d49e5a3da17be623af
Author: ADITYA TIWARI <adityatiwari342005@gmail.com>
Date:   Sun Feb 8 03:59:14 2026 +0000

    fix-qt5: replace deprecated Qt::SystemLocaleDate with QLocale

 qt5/demos/embeddedfiles.cpp | 4 ++--
 qt5/demos/info.cpp          | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit cd775fad3d31c8b1ae4aae832126c499b3553495
Author: Malika Asman <asmanodeny@gmail.com>
Date:   Sun Feb 8 23:47:03 2026 +0000

    Add compression support for stamp annotation images

    Stamp annotations previously stored image data uncompressed, causing
    unnecessarily large PDF file sizes. This change enables FlateDecode
    compression for stamp images by using the same compression mechanism
    already available in the ImageEmbedder component.

    Both the main image data and the transparency mask (alpha channel) are
    now compressed, typically reducing file sizes by 80-90% for stamp
    annotations

 poppler/AnnotStampImageHelper.cc | 24 +++++++++---------------
 poppler/AnnotStampImageHelper.h  |  3 ---
 2 files changed, 9 insertions(+), 18 deletions(-)

commit 833d39977699fd9a836e617aa454aa52db9db3be
Author: Ojas Maheshwari <ojasmaheshwari2006@gmail.com>
Date:   Sat Feb 7 20:15:43 2026 +0530

    Remove unused include

 poppler/Form.cc | 2 --
 1 file changed, 2 deletions(-)

commit f6d25ff477ffba1d1f87812c901ed9c49b486bf8
Author: Maximiliano Sandoval <msandova@protonmail.com>
Date:   Sat Feb 7 10:06:54 2026 +0100

    glib: Mark structure_element_iter_new as nullable

    See https://gitlab.gnome.org/World/Rust/poppler-rs/-/issues/2.

 glib/poppler-structure-element.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 022c41206fa09b0543d759db8574fba231c19c70
Author: Adam Sampson <ats@offog.org>
Date:   Fri Jan 30 23:46:53 2026 +0000

    glib: Correct assert in convert_color

    This didn't match the equivalent code in StructElement.cc's isRGBColor;
    the length test was inverted. Use isArrayOfLength instead.

 glib/poppler-structure-element.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3398be722736281321272d9bf2e40ca2019a0264
Author: Adam Sampson <ats@offog.org>
Date:   Fri Jan 30 23:44:52 2026 +0000

    Object: Add isArrayOfLengthAtLeast

    25 places in the Poppler code wanted to check whether an object was an
    array with at least N elements. Add a member function for this, along
    the lines of isArrayOfLength.

    There were two cases of a check for > 10000 where the intent is
    to catch
    an absurdly large array rather than to require a specific limit; in
    these cases it's now checking for >= 10000.

 glib/poppler-document.cc      | 2 +-
 poppler/Annot.cc              | 2 +-
 poppler/Array.h               | 5 +++++
 poppler/Gfx.cc                | 2 +-
 poppler/GfxFont.cc            | 2 +-
 poppler/GfxState.cc           | 6 +++---
 poppler/JPEG2000Stream.cc     | 2 +-
 poppler/Linearization.cc      | 8 ++++----
 poppler/Object.h              | 1 +
 poppler/OptionalContent.cc    | 2 +-
 poppler/OptionalContent.h     | 4 ++--
 poppler/PSOutputDev.cc        | 2 +-
 poppler/Page.cc               | 4 ++--
 poppler/XRef.cc               | 2 +-
 qt5/src/poppler-optcontent.cc | 2 +-
 qt6/src/poppler-optcontent.cc | 2 +-
 utils/pdfunite.cc             | 8 ++++----
 17 files changed, 31 insertions(+), 25 deletions(-)

commit 5c8c83e7780a3733d32f2fb38cf837f24760e56f
Author: Adam Sampson <ats@offog.org>
Date:   Fri Jan 30 23:07:08 2026 +0000

    Object: Add isArrayOfLength

    42 places in the Poppler code wanted to check whether an object was an
    array with a specific length, e.g.:
      if (obj.isArray() && obj.arrayGetLength() == 4) ...

    Add a member function to simplify this. This also avoids doing the
    typecheck twice, in the unlikely case that the compiler hasn't already
    optimized it away.

 poppler/Annot.cc         | 12 ++++++------
 poppler/Array.h          |  5 +++++
 poppler/Catalog.cc       |  2 +-
 poppler/Function.cc      | 10 +++++-----
 poppler/Gfx.cc           |  4 ++--
 poppler/GfxFont.cc       |  2 +-
 poppler/GfxState.cc      | 42 +++++++++++++++++++++---------------------
 poppler/Object.h         |  1 +
 poppler/PDFDoc.cc        |  2 +-
 poppler/PSOutputDev.cc   | 18 +++++++++---------
 poppler/Page.cc          |  2 +-
 poppler/StructElement.cc |  2 +-
 12 files changed, 54 insertions(+), 48 deletions(-)

commit 5152174566645970abbb4187bc721b6d616e3ea3
Author: Juraj Šarinay <juraj@sarinay.com>
Date:   Fri Jan 23 19:03:11 2026 +0100

    Replace the constant maxSupportedSignatureSize by a generous
    estimate based on the sizes of the certificates involved.

 poppler/CryptoSignBackend.h       |  3 ++-
 poppler/Form.cc                   |  8 +++++---
 poppler/GPGMECryptoSignBackend.cc |  9 +++++++--
 poppler/GPGMECryptoSignBackend.h  |  1 +
 poppler/NSSCryptoSignBackend.cc   | 41
 ++++++++++++++++++++++++++++++++++++++-
 poppler/NSSCryptoSignBackend.h    |  2 ++
 test/CMakeLists.txt               | 32 ++++++++++++++++++++++++++++++
 7 files changed, 89 insertions(+), 7 deletions(-)

commit e1f3ecdbfa35a90c360db018f4d8a07d4dae1b59
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Feb 4 15:02:39 2026 +0100

    GPGME: Fix marking of qualified keys

 poppler/GPGMECryptoSignBackend.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3aa4e28f3427ec5c17b742c8396e6e3527ff13c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 5 00:52:33 2026 +0100

    Update (C)

 poppler/Annot.h                              | 2 +-
 poppler/AnnotStampImageHelper.cc             | 2 +-
 poppler/Array.h                              | 1 +
 poppler/Dict.cc                              | 2 +-
 poppler/Dict.h                               | 1 +
 poppler/FileSpec.cc                          | 2 +-
 poppler/FontInfo.cc                          | 2 +-
 poppler/ImageEmbeddingUtils.cc               | 2 +-
 poppler/Link.cc                              | 2 +-
 poppler/Object.cc                            | 2 +-
 poppler/Object.h                             | 2 +-
 poppler/Outline.cc                           | 2 +-
 poppler/Page.h                               | 2 +-
 poppler/annot_stamp.h                        | 2 +-
 poppler/annot_stamp_approved.h               | 1 +
 poppler/annot_stamp_as_is.h                  | 1 +
 poppler/annot_stamp_confidential.h           | 1 +
 poppler/annot_stamp_departmental.h           | 1 +
 poppler/annot_stamp_draft.h                  | 1 +
 poppler/annot_stamp_experimental.h           | 1 +
 poppler/annot_stamp_expired.h                | 1 +
 poppler/annot_stamp_final.h                  | 1 +
 poppler/annot_stamp_for_comment.h            | 1 +
 poppler/annot_stamp_for_public_release.h     | 1 +
 poppler/annot_stamp_not_approved.h           | 1 +
 poppler/annot_stamp_not_for_public_release.h | 1 +
 poppler/annot_stamp_sold.h                   | 1 +
 poppler/annot_stamp_top_secret.h             | 1 +
 28 files changed, 28 insertions(+), 12 deletions(-)

commit 6173e3db241d377a4da2b823d1e248c9c7a5e54a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 5 00:40:00 2026 +0100

    Make a few Dict * be const &

 poppler/Annot.cc       |  4 ++--
 poppler/FontInfo.cc    |  4 ++--
 poppler/Gfx.cc         |  4 ++--
 poppler/GfxFont.cc     | 63
 +++++++++++++++++++++++++-------------------------
 poppler/GfxFont.h      | 14 +++++------
 poppler/PSOutputDev.cc |  2 +-
 6 files changed, 45 insertions(+), 46 deletions(-)

commit 7b641b6bc2712763f814fcb89f6a5dee8fa80f3a
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 29 13:03:31 2026 +0100

    Document array-ownership before handed to object

 poppler/Annot.cc           | 88
 +++++++++++++++++++++++-----------------------
 poppler/Array.cc           |  8 ++---
 poppler/Array.h            |  4 +--
 poppler/Catalog.cc         |  6 ++--
 poppler/Form.cc            | 18 +++++-----
 poppler/Object.cc          |  2 +-
 poppler/Object.h           |  4 +--
 poppler/Outline.cc         |  8 ++---
 poppler/PDFDoc.cc          | 20 +++++------
 poppler/Page.cc            |  4 +--
 poppler/Parser.cc          |  2 +-
 poppler/SplashOutputDev.cc |  2 +-
 poppler/XRef.cc            | 10 +++---
 utils/pdfunite.cc          |  8 ++---
 14 files changed, 92 insertions(+), 92 deletions(-)

commit fdc6a40da7bdcb33b49639f723fd3e5b2ca9b008
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 29 12:12:48 2026 +0100

    Document dict-ownership before handed to object

 poppler/Annot.cc                             | 191
 +++++++++++++--------------
 poppler/Annot.h                              |   4 +-
 poppler/AnnotStampImageHelper.cc             |   4 +-
 poppler/Catalog.cc                           |   8 +-
 poppler/Dict.cc                              |  10 +-
 poppler/Dict.h                               |  10 +-
 poppler/FileSpec.cc                          |  12 +-
 poppler/FontInfo.cc                          |   6 +-
 poppler/Form.cc                              |  32 ++---
 poppler/Gfx.cc                               |   5 +-
 poppler/ImageEmbeddingUtils.cc               |  16 +--
 poppler/Link.cc                              |   4 +-
 poppler/Object.cc                            |   2 +-
 poppler/Object.h                             |   4 +-
 poppler/Outline.cc                           |   4 +-
 poppler/PDFDoc.cc                            |   6 +-
 poppler/Page.cc                              |   5 +-
 poppler/Page.h                               |   2 +-
 poppler/Parser.cc                            |   2 +-
 poppler/XRef.cc                              |   6 +-
 poppler/XRef.h                               |   2 +-
 poppler/annot_stamp.h                        |  33 +++++
 poppler/annot_stamp_approved.h               |  17 +--
 poppler/annot_stamp_as_is.h                  |  17 +--
 poppler/annot_stamp_confidential.h           |  17 +--
 poppler/annot_stamp_departmental.h           |  17 +--
 poppler/annot_stamp_draft.h                  |  17 +--
 poppler/annot_stamp_experimental.h           |  17 +--
 poppler/annot_stamp_expired.h                |  17 +--
 poppler/annot_stamp_final.h                  |  17 +--
 poppler/annot_stamp_for_comment.h            |  17 +--
 poppler/annot_stamp_for_public_release.h     |  17 +--
 poppler/annot_stamp_not_approved.h           |  17 +--
 poppler/annot_stamp_not_for_public_release.h |  17 +--
 poppler/annot_stamp_sold.h                   |  17 +--
 poppler/annot_stamp_top_secret.h             |  17 +--
 utils/pdfunite.cc                            |   4 +-
 37 files changed, 245 insertions(+), 365 deletions(-)

commit 3608d840588f197c30f6637b31d5c3a78b98ba96
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 7 17:28:58 2025 +0100

    Remove USE_FLOAT cmake option

    We are in 2026, hoping no one needs float vs double for speed

 .gitlab-ci.yml                 |  2 +-
 CMakeLists.txt                 |  1 -
 poppler/poppler-config.h.cmake |  5 +----
 splash/SplashMath.h            | 22 +++-------------------
 splash/SplashTypes.h           |  4 ----
 5 files changed, 5 insertions(+), 29 deletions(-)

commit d9d0b54f7fdb163ee3578ac751e912d4a904427e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 4 23:55:33 2026 +0100

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 30927d02c1fd6dc02aae2e32334bb82315b24cbb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 4 23:49:32 2026 +0100

    poppler 26.02.0

 CMakeLists.txt   |  6 +++---
 NEWS             | 13 +++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 19 insertions(+), 6 deletions(-)

commit f40c4f3a4017f59b7cb0a5d38ad7b4186255ba3d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Feb 4 09:17:47 2026 +0100

    Build clang-17 in debian-trixie (current stable) image

 .gitlab-ci.yml | 1 +
 1 file changed, 1 insertion(+)

commit 09c4c1ba20392076fe3c3d83fee258bb09dfd4a6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 4 00:54:20 2026 +0100

    Update (C)

 cpp/tests/poppler-dump.cpp | 1 +
 poppler/TextOutputDev.cc   | 2 +-
 qt5/src/poppler-page.cc    | 2 +-
 qt6/src/poppler-page.cc    | 2 +-
 4 files changed, 4 insertions(+), 3 deletions(-)

commit a83aa3971607b4a47a1a3eca80b1daf608d9c73d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Feb 3 01:12:23 2026 +0100

    SplashFont: Make the clip const &

    Makes it clear we don't take ownership of the pointer

 splash/Splash.cc       | 2 +-
 splash/SplashClip.cc   | 2 +-
 splash/SplashClip.h    | 2 +-
 splash/SplashFTFont.cc | 6 +++---
 splash/SplashFTFont.h  | 6 +++---
 splash/SplashFont.cc   | 6 +++---
 splash/SplashFont.h    | 6 +++---
 7 files changed, 15 insertions(+), 15 deletions(-)

commit 64fc550a876982e162dd0afc5eed3bad5a49fa60
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Feb 1 04:03:26 2026 +0100

    TextOutputDev: Fix non-transitive comparision for text fragment sorting

    Comparision functions used for std::ranges::sort must be transitive,
    i.e.
    (a > b) && (b > c) -> (a > c). Using a fuzzy comparision for the y
    coordinate breaks this proberty (assuming rot==0, likewise for others):

    - [0 0] < [2 0.008] && [2 -0.008] < [4 -0.016] (y ~ 0 -> x is compared)
    - [0 0] > [4 -0.016] (y is compared)

    As the comparision is only used in a single place, and the y sorted
    fragments are then split into ranges with similar coordinate (less than
    maxIntraLineDelta) which are sorted by x coordinate, the overall result
    is very likeyly identical.

 poppler/TextOutputDev.cc | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 19c291eb62eee264684343033f64968ae7fc08fc
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Feb 1 03:40:22 2026 +0100

    TextOutputDev: Fix incorrect flag for column recalculation

    In case an area is passed in, some blocks/fragments may be discarded,
    and the columns should be recalculated for the remaining fragments.

    The remaining fragments may still have varying rotations, and it is
    necessary to use the correct algorithm. Otherwise, the sorting may
    use a comparision function which is not transitive for varying
    orientations, and may even crash due to violated requirements.

 poppler/TextOutputDev.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ad1645e782cb77dbe84e5ce7f622dac4174d7ed0
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Feb 1 03:32:46 2026 +0100

    qt: Pass default text area as nullopt, avoid incorrect warning

    In case a default constructed rect is passed to Page::text(), it should
    be passed down as is instead of using the cropbox.

    Using the cropbox is incorrect, as the passed down rect refers to
    the area of the logical page, while the cropbox refers to the physical
    media. E.g. when page 1 is the right-hand A5 area of a A4+ paper, the
    cropbox rect would have an xMin of >= 148mm, and would not overlap
    with the logical page [0 0 148 210].

    This also avoids the warning for ReadingOrder text layout which is
    triggered when a rect is passed down.

 qt5/src/poppler-page.cc | 7 +------
 qt6/src/poppler-page.cc | 7 +------
 2 files changed, 2 insertions(+), 12 deletions(-)

commit f145613c3734269d7235131733c5266454a76464
Author: Adam Sampson <ats@offog.org>
Date:   Fri Jan 30 18:11:34 2026 +0000

    cpp: tests: Use range-for loops in poppler-dump

    The "Enable modernize-use-auto" changes revealed a few more cases where
    range-for loops can be used here.

 cpp/tests/poppler-dump.cpp | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

commit 68a9a2f461464fa2889d06e24f68b316092f54e1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 29 00:09:59 2026 +0100

    JBIG2Stream: Add another getReadPastEndOfStream check

 poppler/JBIG2Stream.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 62f8b62514f785a558b0df6e47bf79f13ba744a9
Author: Azhar Momin <azhar-momin@outlook.com>
Date:   Wed Jan 28 12:22:43 2026 +0530

    Move ossfuzz build scripts to poppler repository

 test/ossfuzz/build_fuzzers.sh | 302
 ++++++++++++++++++++++++++++++++++++++++++
 test/ossfuzz/prepare_build.sh |  47 +++++++
 2 files changed, 349 insertions(+)

commit 9eea384d06c4c6f62a085a3afb4dfc8f990784e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 23:36:51 2026 +0100

    XRef::removeIndirectObject: Don't manually call the destructor

    The other 2 places on the file that do it is "ok" because we
    are manually holding that memory in a freed/malloced array and we
    never call that object again, but here we can use it again and that's
    not allowed

 poppler/XRef.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 414fd172aec3e124fe94c0d09a804a301b89c474
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 22:11:31 2026 +0100

    JBIG2Stream: Check we discarded the correct amount of bytes

    If not, we reached EOF, so report it to the caller

 poppler/JBIG2Stream.cc | 45 ++++++++++++++++++++++++++++++++-------------
 poppler/JBIG2Stream.h  |  6 +++---
 2 files changed, 35 insertions(+), 16 deletions(-)

commit 16ccb3c65171934562272a4eb866dbcaaadcbec9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 22:02:16 2026 +0100

    Mark discardChars as nodiscard

 poppler/Stream.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b6bf563dae16f308b85dfb8a17769db39a6803d4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 21:08:02 2026 +0100

    Update (C)

 utils/pdftotext.cc | 1 +
 1 file changed, 1 insertion(+)

commit eee94a13b9301c56d85548652a879a046a9427c7
Author: Ojas Maheshwari <workonlyojas@gmail.com>
Date:   Mon Jan 26 17:15:58 2026 +0000

    pdftotext: Fix page level bounds calculation in tsv mode

 utils/pdftotext.cc | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 618da9e31f4e4ad177fe39ae23d817cf1cdfce11
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 13:22:34 2026 +0100

    JBIG2Stream::readGenericBitmap: Sprinkle some more EOF checks

 poppler/JBIG2Stream.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 640373f32e1d03f5da56b090d5895b877ee022f3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 01:46:20 2026 +0100

    JBIG2Stream::readSymbolDictSeg: Remove gotos

 poppler/JBIG2Stream.cc | 52
 ++++++++++++++++++++++++--------------------------
 1 file changed, 25 insertions(+), 27 deletions(-)

commit dfbd101c24cd509920a4e25e351f414a24e0e64f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 01:44:59 2026 +0100

    JBIG2Stream::readTextRegion: Take const & vector

 poppler/JBIG2Stream.cc | 6 +++---
 poppler/JBIG2Stream.h  | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit ad16a22d1ccf92aa0ad194608728a01a2a7a126a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 01:42:17 2026 +0100

    JBIG2Stream::readSymbolDictSeg: Make bitmaps be a vector

    And collect the ones we have to delete in another vector

 poppler/JBIG2Stream.cc | 47
 ++++++++++++++++++++++-------------------------
 1 file changed, 22 insertions(+), 25 deletions(-)

commit 0ef782a0c23e2715205eed2ab98ae9856bc89462
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 01:26:48 2026 +0100

    Some initial tweaking for JBIG2Stream::readSymbolDictSeg

 poppler/JBIG2Stream.cc | 85
 ++++++++++++++++++++++++++++----------------------
 1 file changed, 47 insertions(+), 38 deletions(-)

commit 86c30db439a25f5b5cc5c64a9e5c3d0345385187
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 01:05:23 2026 +0100

    Add a bit of constness around JArithmeticDecoderStats

 poppler/JArithmeticDecoder.cc | 4 ++--
 poppler/JArithmeticDecoder.h  | 2 +-
 poppler/JBIG2Stream.cc        | 8 ++++----
 poppler/JBIG2Stream.h         | 4 ++--
 4 files changed, 9 insertions(+), 9 deletions(-)

commit a61aec2d0e21cdd06f820294552e245a608dec98
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 00:52:28 2026 +0100

    JBIG2Bitmap::combine: take bitmap by const &

 poppler/JBIG2Stream.cc | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit 0e1de7f2f782ffba579dfa1a477769398e7503a9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 00:43:32 2026 +0100

    Tweak JBIG2Stream::readGenericRefinementRegionSeg

 poppler/JBIG2Stream.cc | 24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

commit 0a7d51df66e9552d4ea3fc140f566acc4d72a5e3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 26 00:36:56 2026 +0100

    JBIG2Stream: make pageBitmap a unique_ptr

 poppler/JBIG2Stream.cc | 13 +++----------
 poppler/JBIG2Stream.h  |  2 +-
 2 files changed, 4 insertions(+), 11 deletions(-)

commit 0e63e0c8229e6f8ee8c506d2dd97cbc20f42eee5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 20:00:38 2026 +0100

    JBIG2SymbolDict: I forgot the resize ^_^

 poppler/JBIG2Stream.cc | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 72e5d850ebc67f4bd6fcfcfec995174b7c1720e3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 19:55:46 2026 +0100

    JBIG2Stream: Move vector max sizecheck to a templated inline

    This way we don't need a pragma for clang anymore

 poppler/JBIG2Stream.cc | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit ed4718e9389b8f15b858c6f87fdc2c43030bea40
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 17:33:55 2026 +0100

    JArithmeticDecoderStats: Rename reset to resetContext

 poppler/JArithmeticDecoder.cc |  4 ++--
 poppler/JArithmeticDecoder.h  |  2 +-
 poppler/JBIG2Stream.cc        | 32 ++++++++++++++++----------------
 poppler/JPXStream.cc          |  2 +-
 4 files changed, 20 insertions(+), 20 deletions(-)

commit d588c22ef7dc1090c7b8ca39ab8ac2439464b14f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 17:29:28 2026 +0100

    JArithmeticDecoderStats: copy now returns a unique_ptr

 poppler/JArithmeticDecoder.cc |  6 ++---
 poppler/JArithmeticDecoder.h  |  2 +-
 poppler/JBIG2Stream.cc        | 60
 +++++++++++++++++--------------------------
 poppler/JBIG2Stream.h         |  4 +--
 4 files changed, 29 insertions(+), 43 deletions(-)

commit 8cb72f4dfd8157fbe1547662c89d31665bd4e715
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 17:20:29 2026 +0100

    JBIG2SymbolDict: Make bitmaps a vector

 poppler/JBIG2Stream.cc | 31 +++++++------------------------
 1 file changed, 7 insertions(+), 24 deletions(-)

commit 6490e2928d6040133115133ad3451713ace14304
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 17:13:09 2026 +0100

    Remove JBIG2Stream::readSymbolDictSeg eofError

 poppler/JBIG2Stream.cc | 27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit 7fcbff4f2b74363e9a8b1a848e98a75c63a26150
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 16:21:28 2026 +0100

    JBIG2Stream::readCodeTableSeg: return bool and remove gotos

 poppler/JBIG2Stream.cc | 27 ++++++++++++++-------------
 poppler/JBIG2Stream.h  |  2 +-
 2 files changed, 15 insertions(+), 14 deletions(-)

commit 78b3a9a3ece88ce46922155fcac24f0e026f28bd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 16:18:37 2026 +0100

    JBIG2Stream::readPageInfoSeg: return bool and remove goto

 poppler/JBIG2Stream.cc | 16 ++++++++--------
 poppler/JBIG2Stream.h  |  2 +-
 2 files changed, 9 insertions(+), 9 deletions(-)

commit f8b1f4171540bf165c785e4bf6ff4684dedf8a1a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 16:16:58 2026 +0100

    JBIG2Stream: remove a few gotos

 poppler/JBIG2Stream.cc | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

commit 4712aa486e9c9352702b868e5ef83324d4ca3f5c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 16:10:07 2026 +0100

    JBIG2Stream::readTextRegionSeg: Move several varaibles to where they
    are used

 poppler/JBIG2Stream.cc | 39 +++++++++++++++++++--------------------
 1 file changed, 19 insertions(+), 20 deletions(-)

commit 1329e461a3c8642797da8be874e37179fea69c4c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 16:00:54 2026 +0100

    JBIG2Stream::readTextRegionSeg: Remove gotos

 poppler/JBIG2Stream.cc | 47
 ++++++++++++++++++++++++++---------------------
 1 file changed, 26 insertions(+), 21 deletions(-)

commit e6a64cd5f7f2507365cf7ba3630c526ca5ece533
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 15:59:42 2026 +0100

    JBIG2Stream::readTextRegionSeg: Make syms a vector

 poppler/JBIG2Stream.cc | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 4018423cbde8b8fe748f86dde14ba6d92112c280
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 15:51:40 2026 +0100

    JBIG2HuffmanDecoder::buildTable: Move a few variables where they
    are used

 poppler/JBIG2Stream.cc | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 8acc065e54c837011067ed75ce88d8e46b8fd41b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 15:46:17 2026 +0100

    JBIG2Stream: Use modern casts

 poppler/JBIG2Stream.cc | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 20e6522350b44aa357bf852ecab06acdce74d10d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 17:02:07 2026 +0100

    JBIG2Stream: We actually need these checks

 poppler/JBIG2Stream.cc | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit cf4b27b345f542809a8f24a1def3b9b0fb43ac1e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 15:35:47 2026 +0100

    JBIG2Stream: Make getType const

 poppler/JBIG2Stream.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 671a5d9e7a2e8c24f29cfc24523f8432977a75ab
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 15:31:06 2026 +0100

    Move seg variable declaration to where used

 poppler/JBIG2Stream.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 24fb5b69a12e8ec19f6a6902b6009711e7bdf548
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 12:53:06 2026 +0100

    JBIG2Stream::readSymbolDictSeg: Make symWidths a vector

 poppler/JBIG2Stream.cc | 17 ++++-------------
 1 file changed, 4 insertions(+), 13 deletions(-)

commit 9d6b66f1b7674ca639e8d8977a48e3f3699f7396
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 12:45:23 2026 +0100

    JBIG2Stream::readSymbolDictSeg: collBitmap can be a unique ptr

 poppler/JBIG2Stream.cc | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 753a8b9d6d3ba9f8e8dfa931f587325b45e58352
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 12:34:48 2026 +0100

    Make JBIG2PatternDict hold unique_ptrs

 poppler/JBIG2Stream.cc | 37 ++++++++++++-------------------------
 1 file changed, 12 insertions(+), 25 deletions(-)

commit 82a875ac50b327d588f03315a6135e13ab712b56
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 12:28:38 2026 +0100

    JBIG2Bitmap::getSlice: Return a unique_ptr

 poppler/JBIG2Stream.cc | 36 ++++++++++++++++--------------------
 1 file changed, 16 insertions(+), 20 deletions(-)

commit 581f29e72ba0b810bc6f5df81db38ed5fc82e234
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 23:03:10 2026 +0100

    JBIG2Stream: Make refSegs a vector

 poppler/JBIG2Stream.cc | 123
 +++++++++++++++++++++++++------------------------
 poppler/JBIG2Stream.h  |   8 ++--
 2 files changed, 67 insertions(+), 64 deletions(-)

commit db3361104f9fbf51b33a7148f2ac9ec912451aa8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 25 03:09:10 2026 +0100

    JBIGStream::readGenericBitmap: Check atx/aty validity

    At least to what i undertood from Figure 7 from ITU-T T.88

    Helps filtering out quickly lots of files from oss-fuzz that loops up
    almost forever.

 poppler/JBIG2Stream.cc | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit a1a148806f1fa6765bf8b38591d503ae722fa300
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 19:48:46 2026 +0100

    JBIG2Stream: Switch logic from a7dee408dcd5b184476c66d9c411b61cbbb8206d

    If the problem is that readSegments will read things that from str
    because rewinding failed, then tie reading from readSegments to rewind
    having succeeded

 poppler/JBIG2Stream.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7aea642fb7363e19feae105ed34e4a63a76f87b9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 17:51:12 2026 +0100

    Make JBIG2Stream::rewind a bit more strict

 poppler/JBIG2Stream.cc | 184
 +++++++++++++++++++++++++------------------------
 poppler/JBIG2Stream.h  |  26 +++----
 2 files changed, 107 insertions(+), 103 deletions(-)

commit 6a61367a80f70cfdf4af6690c69618656ba6020a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 16:45:54 2026 +0100

    JBIG2Bitmap::combine: Protect against integer overflow

    oss-fuzz testcase #6686914091024384

 poppler/JBIG2Stream.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 2046a1c5a796d0e6e57870a8fd815b7a67046a76
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 12:07:19 2026 +0100

    Add include for array

    MSVC fails to compile otherwise

 fofi/FoFiType1C.h | 1 +
 1 file changed, 1 insertion(+)

commit fc88a5b459b9532a3f1f26735168ce892b4e6d94
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 01:15:47 2026 +0100

    define -> enum

 poppler/SplashOutputDev.cc |  6 ++--
 splash/Splash.cc           | 88
 +++++++++++++++++++++++-----------------------
 splash/SplashBitmap.cc     | 61 +++++++++++++++-----------------
 splash/SplashBitmap.h      |  3 +-
 splash/SplashClip.cc       |  6 ++--
 splash/SplashClip.h        |  3 +-
 splash/SplashErrorCodes.h  | 40 +++++++++------------
 splash/SplashPath.cc       | 27 +++++++-------
 splash/SplashPath.h        |  3 +-
 splash/SplashTypes.h       |  6 ----
 utils/pdftoppm.cc          |  2 +-
 11 files changed, 115 insertions(+), 130 deletions(-)

commit 683b483f4f7a36a926c66d039d85f666dd416e79
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 01:15:33 2026 +0100

    define -> static constexpr

 poppler/GfxState.h   | 2 +-
 splash/SplashFont.h  | 6 +++---
 splash/SplashXPath.h | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit a75ecec3ae283a6b0dfdf91574ba119543d06f01
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 00:48:32 2026 +0100

    SplashState: two defines sets -> two enums

 poppler/SplashOutputDev.cc | 14 ++++++++++----
 splash/Splash.cc           | 36 ++++++++++++++++++------------------
 splash/Splash.h            |  8 ++++----
 splash/SplashState.cc      | 10 +++++-----
 splash/SplashState.h       | 22 +++-------------------
 splash/SplashTypes.h       | 24 +++++++++++++++++++++++-
 6 files changed, 63 insertions(+), 51 deletions(-)

commit 2e7a87df1dbc761132faa3d782af41e5e05cc136
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 00:29:50 2026 +0100

    FoFiType1C: Convert C arrays into C++ arrays

 fofi/FoFiType1C.cc | 18 ++++++++++--------
 fofi/FoFiType1C.h  | 22 +++++++++-------------
 2 files changed, 19 insertions(+), 21 deletions(-)

commit 303f33cc95e5263f849ef918e570a08025062b2e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 24 00:21:36 2026 +0100

    Bunch of defines to constexpr

 fofi/FoFiTrueType.cc        | 34 ++++++++++----------------
 glib/poppler-attachment.cc  |  2 +-
 glib/poppler-media.cc       |  2 +-
 poppler/CairoFontEngine.cc  |  2 +-
 poppler/CairoOutputDev.cc   |  4 ++--
 poppler/CairoRescaleBox.cc  |  4 ++--
 poppler/Function.cc         |  2 +-
 poppler/GfxState.cc         |  2 +-
 poppler/GlobalParams.cc     |  4 ++--
 poppler/JPEG2000Stream.cc   |  4 ++--
 poppler/OptionalContent.cc  |  8 ++-----
 poppler/PDFDoc.cc           | 23 ++++++++----------
 poppler/PSOutputDev.cc      | 14 +++++------
 poppler/TextOutputDev.cc    | 58
 +++++++++++++++++++++------------------------
 poppler/UnicodeTypeTable.cc |  4 ++--
 test/perf-test.cc           | 33 ++++++++------------------
 16 files changed, 84 insertions(+), 116 deletions(-)

commit 5affb3349961f5ac06b942d067d50f318a44a142
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 23 23:08:56 2026 +0100

    wMore -> enum

 cpp/poppler-page.cpp     |  7 ++-----
 poppler/BBoxOutputDev.cc |  4 +---
 poppler/CMap.cc          | 11 ++++++-----
 poppler/CMap.h           |  9 +++++----
 poppler/Gfx.cc           | 12 +++++-------
 poppler/GfxFont.cc       | 22 +++++++++++-----------
 poppler/GfxFont.h        | 16 +++++++++++-----
 poppler/PSOutputDev.cc   | 12 ++++++------
 poppler/TextOutputDev.cc | 19 +++++++++----------
 poppler/TextOutputDev.h  |  6 +++---
 10 files changed, 59 insertions(+), 59 deletions(-)

commit 105a8db87ddd39ec1a3810056c319e2425dfdd89
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 23 22:42:51 2026 +0100

    Bunch of defines to constexpr

 poppler/Annot.cc           |  5 +++--
 poppler/BBoxOutputDev.cc   |  5 ++---
 poppler/Gfx.cc             | 26 +++++++++++++-------------
 poppler/GfxState.h         |  2 +-
 poppler/Parser.cc          |  4 ++--
 poppler/SplashOutputDev.cc |  6 +++---
 poppler/XRef.cc            | 18 +++++++++---------
 qt5/src/poppler-media.cc   |  4 ++--
 qt6/src/poppler-media.cc   |  4 ++--
 splash/Splash.cc           |  2 --
 10 files changed, 37 insertions(+), 39 deletions(-)

commit a4d5208dd08600585c4eefd16af579f4f6c30de2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 23 17:48:04 2026 +0100

    M_PI -> std::numbers::pi

 poppler/Annot.cc       | 10 +++-------
 poppler/Function.cc    | 13 +++++--------
 poppler/Gfx.cc         | 30 +++++++++++++-----------------
 poppler/PSOutputDev.cc | 10 +++-------
 splash/Splash.cc       | 14 +++++---------
 5 files changed, 29 insertions(+), 48 deletions(-)

commit 301bb3f581afb8a638789a6d343633438af2ad4a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 23 17:44:54 2026 +0100

    Remove bunch of unused defines

 poppler/Annot.cc | 20 --------------------
 1 file changed, 20 deletions(-)

commit a94bafa71fdc19289c7e17b2fa4f457048e0c405
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 23 15:38:04 2026 +0100

    qt6: fuzzying: exercise the outline function

 qt6/tests/fuzzing/qt_pdf_fuzzer.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 7b068806866a9acf3156776030bad700de643021
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 23 15:32:44 2026 +0100

    qt: remove unneeded static casts

 qt5/src/poppler-document.cc | 6 +++---
 qt5/src/poppler-outline.cc  | 6 +++---
 qt6/src/poppler-document.cc | 6 +++---
 qt6/src/poppler-outline.cc  | 6 +++---
 4 files changed, 12 insertions(+), 12 deletions(-)

commit d5ae3ce79ab2539e38cb8179f985ab3c8eac2900
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 03:43:01 2026 +0100

    Enable modernize-use-auto

 .clang-tidy                          |   1 -
 cpp/poppler-document.cpp             |   6 +-
 cpp/poppler-image.cpp                |   2 +-
 cpp/poppler-page-transition.cpp      |   2 +-
 cpp/poppler-toc.cpp                  |   2 +-
 cpp/tests/poppler-dump.cpp           |   8 +-
 fofi/FoFiType1C.cc                   |   2 +-
 glib/poppler-action.cc               |   6 +-
 glib/poppler-annot.cc                |  22 ++---
 glib/poppler-document.cc             |   2 +-
 glib/poppler-form-field.cc           |   8 +-
 glib/poppler-layer.cc                |   2 +-
 glib/poppler-page.cc                 |   4 +-
 glib/poppler-structure-element.cc    |  10 +-
 goo/PNGWriter.cc                     |   2 +-
 goo/TiffWriter.cc                    |   2 +-
 poppler/Annot.cc                     |  50 +++++-----
 poppler/Array.cc                     |   4 +-
 poppler/CairoFontEngine.cc           |  10 +-
 poppler/CairoOutputDev.cc            |  20 ++--
 poppler/Catalog.cc                   |   2 +-
 poppler/CurlCachedFile.cc            |   2 +-
 poppler/DCTStream.cc                 |   8 +-
 poppler/Form.cc                      |  22 ++---
 poppler/Function.cc                  |   2 +-
 poppler/Gfx.cc                       |   4 +-
 poppler/GfxState.cc                  |  26 ++---
 poppler/GlobalParams.cc              |   4 +-
 poppler/Hints.cc                     |   2 +-
 poppler/ImageEmbeddingUtils.cc       |   6 +-
 poppler/JPEG2000Stream.cc            |   8 +-
 poppler/JSInfo.cc                    |  10 +-
 poppler/NSSCryptoSignBackend.cc      |   2 +-
 poppler/Outline.cc                   |   8 +-
 poppler/PDFDoc.cc                    |  24 ++---
 poppler/PSOutputDev.cc               |   4 +-
 poppler/Page.cc                      |   6 +-
 poppler/SecurityHandler.cc           |   2 +-
 poppler/Sound.cc                     |   2 +-
 poppler/SplashOutputDev.cc           |  32 +++---
 poppler/Stream.cc                    |   2 +-
 poppler/StructElement.cc             |   4 +-
 poppler/StructTreeRoot.cc            |   4 +-
 poppler/TextOutputDev.cc             |   6 +-
 poppler/XRef.cc                      |   4 +-
 qt5/demos/main_viewer.cpp            |   2 +-
 qt5/demos/thumbnails.cpp             |   2 +-
 qt5/demos/toc.cpp                    |   8 +-
 qt5/demos/viewer.cpp                 |  20 ++--
 qt5/src/QPainterOutputDev.cc         |   4 +-
 qt5/src/poppler-annotation.cc        | 184
 +++++++++++++++++------------------
 qt5/src/poppler-base-converter.cc    |   2 +-
 qt5/src/poppler-document.cc          |  10 +-
 qt5/src/poppler-form.cc              |  70 ++++++-------
 qt5/src/poppler-optcontent.cc        |   6 +-
 qt5/src/poppler-page.cc              |  38 ++++----
 qt5/src/poppler-pdf-converter.cc     |   2 +-
 qt5/src/poppler-private.cc           |  10 +-
 qt5/src/poppler-ps-converter.cc      |   4 +-
 qt5/tests/check_forms.cpp            |  12 +--
 qt5/tests/check_internal_outline.cpp |   4 +-
 qt5/tests/check_lexer.cpp            |   2 +-
 qt5/tests/check_links.cpp            |   6 +-
 qt5/tests/check_optcontent.cpp       |   4 +-
 qt5/tests/check_strings.cpp          |  18 ++--
 qt5/tests/poppler-forms.cpp          |   8 +-
 qt5/tests/stress-threads-qt5.cpp     |   2 +-
 qt5/tests/test-poppler-qt5.cpp       |   2 +-
 qt6/demos/main_viewer.cpp            |   2 +-
 qt6/demos/thumbnails.cpp             |   2 +-
 qt6/demos/toc.cpp                    |   8 +-
 qt6/demos/viewer.cpp                 |  20 ++--
 qt6/src/QPainterOutputDev.cc         |   4 +-
 qt6/src/poppler-annotation.cc        | 168
 ++++++++++++++++----------------
 qt6/src/poppler-base-converter.cc    |   2 +-
 qt6/src/poppler-document.cc          |   6 +-
 qt6/src/poppler-form.cc              |  70 ++++++-------
 qt6/src/poppler-optcontent.cc        |   6 +-
 qt6/src/poppler-page.cc              |  36 +++----
 qt6/src/poppler-pdf-converter.cc     |   2 +-
 qt6/src/poppler-ps-converter.cc      |   4 +-
 qt6/tests/check_forms.cpp            |  12 +--
 qt6/tests/check_internal_outline.cpp |   4 +-
 qt6/tests/check_lexer.cpp            |   2 +-
 qt6/tests/check_links.cpp            |   6 +-
 qt6/tests/check_optcontent.cpp       |   4 +-
 qt6/tests/check_strings.cpp          |  18 ++--
 qt6/tests/poppler-forms.cpp          |   8 +-
 qt6/tests/stress-threads-qt6.cpp     |   2 +-
 qt6/tests/test-poppler-qt6.cpp       |   2 +-
 splash/SplashBitmap.cc               |  26 ++---
 splash/SplashFTFont.cc               |   8 +-
 splash/SplashFontEngine.cc           |   2 +-
 splash/SplashXPathScanner.cc         |   4 +-
 test/perf-test.cc                    |   2 +-
 utils/HtmlFonts.cc                   |   2 +-
 utils/HtmlLinks.cc                   |   2 +-
 utils/HtmlOutputDev.cc               |  12 +--
 utils/ImageOutputDev.cc              |  10 +-
 utils/pdfimages.cc                   |   4 +-
 utils/pdfinfo.cc                     |   2 +-
 utils/pdfseparate.cc                 |   4 +-
 utils/pdfsig.cc                      |   2 +-
 utils/pdftocairo.cc                  |   4 +-
 utils/pdftotext.cc                   |   2 +-
 utils/pdfunite.cc                    |   4 +-
 106 files changed, 629 insertions(+), 630 deletions(-)

commit 765ec0f85184cf45d8d011e47e024ef614beed46
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 23 12:32:59 2026 +0100

    qt5: Remove qt5 fuzzers

    We have migrated them to qt6

    https://github.com/google/oss-fuzz/pull/14802

 qt5/tests/CMakeLists.txt               | 16 ----------
 qt5/tests/fuzzing/qt_annot_fuzzer.cc   | 46 ---------------------------
 qt5/tests/fuzzing/qt_label_fuzzer.cc   | 29 -----------------
 qt5/tests/fuzzing/qt_pdf_fuzzer.cc     | 57
 ----------------------------------
 qt5/tests/fuzzing/qt_search_fuzzer.cc  | 28 -----------------
 qt5/tests/fuzzing/qt_textbox_fuzzer.cc | 32 -------------------
 6 files changed, 208 deletions(-)

commit 7c533d804c00437d1adbe9a3045424e0d18dc1ec
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 22 09:46:16 2026 +0100

    Fix build with no dct decodecer

 poppler/Stream.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 46e1d070d9822cdfc3011e320716c50d6dd3787f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 22 01:24:41 2026 +0100

    Update (C)

 poppler/DCTStream.cc      | 2 +-
 poppler/DCTStream.h       | 2 +-
 poppler/Decrypt.cc        | 2 +-
 poppler/Decrypt.h         | 2 +-
 poppler/FlateStream.cc    | 1 +
 poppler/FlateStream.h     | 2 +-
 poppler/Gfx.cc            | 2 +-
 poppler/Gfx.h             | 1 +
 poppler/JBIG2Stream.cc    | 2 +-
 poppler/JBIG2Stream.h     | 2 +-
 poppler/JPEG2000Stream.cc | 2 +-
 poppler/JPEG2000Stream.h  | 2 +-
 poppler/JPXStream.cc      | 2 +-
 poppler/JPXStream.h       | 2 +-
 poppler/Parser.h          | 2 +-
 15 files changed, 15 insertions(+), 13 deletions(-)

commit bebe0a0d09d77f37ed03177059a0204c46208d45
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jan 20 09:04:30 2026 +0100

    Document filter stream ownership (with unique_ptr)

 poppler/DCTStream.cc      |   3 +-
 poppler/DCTStream.h       |   4 +-
 poppler/Decrypt.cc        |  31 ++++++++------
 poppler/Decrypt.h         |  15 ++++---
 poppler/FlateStream.cc    |   3 +-
 poppler/FlateStream.h     |   4 +-
 poppler/Gfx.cc            |  20 ++++-----
 poppler/Gfx.h             |   2 +-
 poppler/JBIG2Stream.cc    |   3 +-
 poppler/JBIG2Stream.h     |   4 +-
 poppler/JPEG2000Stream.cc |   3 +-
 poppler/JPEG2000Stream.h  |   4 +-
 poppler/JPXStream.cc      |   9 ++---
 poppler/JPXStream.h       |   4 +-
 poppler/PDFDoc.cc         |   9 ++---
 poppler/Parser.cc         |  24 ++++++-----
 poppler/Parser.h          |   2 +-
 poppler/Stream.cc         | 101
 ++++++++++++++++++++--------------------------
 poppler/Stream.h          |  52 ++++++++++++++----------
 19 files changed, 145 insertions(+), 152 deletions(-)

commit 15ac128cb8ac92fd0325f2795ba2f729a1f34ac1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 21 23:22:17 2026 +0100

    Fix integer overflow in JBIG2Stream::readTextRegion

 poppler/JBIG2Stream.cc | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 77948e06deeeccca4505a14550b42a9236c8ad76
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Thu Jan 22 02:57:37 2026 +0530

    Add poppler-data support to OSS-Fuzz CPP fuzzers

 cpp/tests/fuzzing/doc_fuzzer.cc         |  2 ++
 cpp/tests/fuzzing/fuzzer_init.h         | 28 ++++++++++++++++++++++++++++
 cpp/tests/fuzzing/page_label_fuzzer.cc  |  2 ++
 cpp/tests/fuzzing/page_search_fuzzer.cc |  2 ++
 cpp/tests/fuzzing/pdf_file_fuzzer.cc    |  2 ++
 cpp/tests/fuzzing/pdf_fuzzer.cc         |  2 ++
 6 files changed, 38 insertions(+)

commit 3c65a651b318cfe93e9f3eb70f1945e1f998d697
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 21 00:26:36 2026 +0100

    Don't store invalid enum values in GfxState::LineCapStyle

    Makes the undefined behavior sanitizer happier

 poppler/Gfx.cc     | 21 ++++++++++++++++++++-
 poppler/GfxState.h |  2 +-
 2 files changed, 21 insertions(+), 2 deletions(-)

commit e6a7cffd79eba2240094d256bc9aa371d017e497
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 20 23:13:58 2026 +0100

    Don't store invalid enum values in GfxState::LineJoinStyle

    Makes the undefined behavior sanitizer happier

 poppler/Gfx.cc     | 20 +++++++++++++++++++-
 poppler/GfxState.h |  2 +-
 2 files changed, 20 insertions(+), 2 deletions(-)

commit e29a2ca15a5898e2ae14e602be07eb1d3e166e92
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 20 21:55:38 2026 +0100

    Update (C)

 cpp/poppler-document-private.h              | 2 +-
 cpp/poppler-document.cpp                    | 2 +-
 cpp/poppler-font-private.h                  | 1 +
 cpp/poppler-page-renderer.cpp               | 1 +
 glib/poppler-action.cc                      | 1 +
 glib/poppler-annot.cc                       | 2 +-
 glib/poppler-document.cc                    | 2 +-
 glib/poppler-input-stream.cc                | 2 +-
 glib/poppler-input-stream.h                 | 2 +-
 glib/poppler-page.cc                        | 2 +-
 goo/gfile.cc                                | 1 +
 poppler/CurlPDFDocBuilder.cc                | 2 +-
 poppler/FDPDFDocBuilder.cc                  | 2 +-
 poppler/GfxState.cc                         | 2 +-
 poppler/PDFDoc.h                            | 2 +-
 poppler/Stream.cc                           | 2 +-
 poppler/Stream.h                            | 2 +-
 poppler/XRef.cc                             | 3 ++-
 poppler/XRef.h                              | 3 ++-
 qt5/src/poppler-annotation.cc               | 2 +-
 qt5/src/poppler-pdf-converter.cc            | 2 +-
 qt5/src/poppler-private.cc                  | 2 +-
 qt5/src/poppler-private.h                   | 2 +-
 qt5/src/poppler-ps-converter.cc             | 2 +-
 qt5/src/poppler-qiodeviceinstream-private.h | 2 +-
 qt5/src/poppler-qiodeviceinstream.cc        | 2 +-
 qt6/src/poppler-annotation.cc               | 2 +-
 qt6/src/poppler-pdf-converter.cc            | 2 +-
 qt6/src/poppler-private.cc                  | 2 +-
 qt6/src/poppler-private.h                   | 2 +-
 qt6/src/poppler-ps-converter.cc             | 2 +-
 qt6/src/poppler-qiodeviceinstream-private.h | 2 +-
 qt6/src/poppler-qiodeviceinstream.cc        | 2 +-
 33 files changed, 35 insertions(+), 29 deletions(-)

commit 6bf41dde0783360ba881b3ed05d2211d3c281a1a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 20 21:48:36 2026 +0100

    reset annot to null after freeing it

 glib/tests/fuzzing/annot_fuzzer.cc | 1 +
 1 file changed, 1 insertion(+)

commit 074050be803550ad941e46759704be11a7efbc03
Author: Kleis Auke Wolthuizen <github@kleisauke.nl>
Date:   Tue Jan 20 13:29:49 2026 +0100

    gfile: Use MAX_PATH instead of _MAX_PATH

    In line with commit e3663a855a9c86f0a3988a7a50fa40d37d0ea069.

 goo/gfile.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8d80cf6d2c43af5d5a32f7adbe694a50a293d4e5
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jan 20 15:55:08 2026 +0100

    Fix mem leak

    Follow up on: 7a73774baac885518c5ecbcb30acdf8985889db1

 glib/poppler-document.cc | 1 +
 1 file changed, 1 insertion(+)

commit 7a73774baac885518c5ecbcb30acdf8985889db1
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jan 20 14:45:56 2026 +0000

    Document some PDFDoc ownerships and the document stream

 cpp/poppler-document-private.h              |  2 +-
 cpp/poppler-document.cpp                    | 16 +++---
 cpp/poppler-font-private.h                  |  2 +-
 cpp/poppler-page-renderer.cpp               |  2 +-
 glib/poppler-action.cc                      |  2 +-
 glib/poppler-annot.cc                       | 22 ++++----
 glib/poppler-document.cc                    | 82
 +++++++++++------------------
 glib/poppler-input-stream.cc                |  4 +-
 glib/poppler-input-stream.h                 |  2 +-
 glib/poppler-page.cc                        |  6 +--
 glib/poppler-private.h                      |  2 +-
 poppler/CurlPDFDocBuilder.cc                |  4 +-
 poppler/FDPDFDocBuilder.cc                  |  2 +-
 poppler/PDFDoc.cc                           | 21 ++++----
 poppler/PDFDoc.h                            |  6 +--
 poppler/Stream.cc                           | 10 ++--
 poppler/Stream.h                            | 10 ++--
 poppler/XRef.cc                             |  8 +--
 poppler/XRef.h                              |  2 +-
 qt5/src/poppler-annotation.cc               | 10 ++--
 qt5/src/poppler-page.cc                     |  4 +-
 qt5/src/poppler-pdf-converter.cc            |  2 +-
 qt5/src/poppler-private.cc                  |  1 -
 qt5/src/poppler-private.h                   | 16 +++---
 qt5/src/poppler-ps-converter.cc             |  2 +-
 qt5/src/poppler-qiodeviceinstream-private.h |  2 +-
 qt5/src/poppler-qiodeviceinstream.cc        |  4 +-
 qt6/src/poppler-annotation.cc               | 10 ++--
 qt6/src/poppler-page.cc                     |  4 +-
 qt6/src/poppler-pdf-converter.cc            |  2 +-
 qt6/src/poppler-private.cc                  |  1 -
 qt6/src/poppler-private.h                   | 16 +++---
 qt6/src/poppler-ps-converter.cc             |  2 +-
 qt6/src/poppler-qiodeviceinstream-private.h |  2 +-
 qt6/src/poppler-qiodeviceinstream.cc        |  4 +-
 test/gtk-test.cc                            |  2 +-
 36 files changed, 131 insertions(+), 158 deletions(-)

commit c7bb8f1fb74f2524f2e96fb7ee73d51e11bde010
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jan 20 14:58:40 2026 +0100

    FoFiType1C: remove unused methods

 fofi/FoFiType1C.cc | 16 ----------------
 fofi/FoFiType1C.h  |  4 ----
 2 files changed, 20 deletions(-)

commit a7dee408dcd5b184476c66d9c411b61cbbb8206d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 20 08:47:29 2026 +0100

    JBIG2Stream::rewind: Rewind the inner streams anyway

    Using some strings without rewinding (e.g. DecryptStream) is not
    allowed
    and we read from them in readSegments so we need to rewind anyway even
    if we're going to return false

 poppler/JBIG2Stream.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ac8ba0f102ee1eaeb879c8b2f8ad05a848cf0a2d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 18 16:32:13 2026 +0100

    glib: Fix logic in fuzzer

 glib/tests/fuzzing/annot_fuzzer.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 64ea4dce5324ce3be10e82a2ba2a4037ab353290
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 18 16:15:41 2026 +0100

    glib: Fix memory leak introduced in
    0a4419c61d5f625347e06e901fc52027ac3b4e72

    glib objects are not C++ and thus we need to manually
    reset the smart pointers :(

 glib/poppler-page.cc | 1 +
 1 file changed, 1 insertion(+)

commit ba84d698e6e6f2b5c27adda30165b8b9fdab9200
Author: Philipp Knechtges <philipp-dev@knechtges.com>
Date:   Fri Jan 16 22:02:02 2026 +0100

    GfxCalGrayColorSpace: fix getXYZ

    Bradford transform was introduced in 129905529 and !759, which
    makes the
    premultiplying of the whitepoint necessary. The latter also matches
    more
    what GfxCalRGBColorSpace does, and what the PDF spec specifies as XYZ.

    Fixes #1661.

 poppler/GfxState.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 647c56c8f09f94ad54fd2ebb22cff39bff920a97
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 17 02:18:21 2026 +0100

    qt5: fuzzing: Delete signatures

 qt5/tests/fuzzing/qt_pdf_fuzzer.cc | 1 +
 1 file changed, 1 insertion(+)

commit 05364ab4373d5091a3579034f4b0b1f97db9d728
Author: Ojas Maheshwari <workonlyojas@gmail.com>
Date:   Fri Jan 16 14:15:14 2026 +0000

    Change objStrs to unordered_map instead of cache

 poppler/XRef.cc | 10 ++++++----
 poppler/XRef.h  |  2 +-
 2 files changed, 7 insertions(+), 5 deletions(-)

commit cfa8465a0dac866d14179494666c9a3b4c2e1193
Author: Azhar Momin <azhar-momin@outlook.com>
Date:   Fri Jan 16 08:09:38 2026 +0000

    Copy Qt5 fuzzers to Qt6

 qt6/tests/CMakeLists.txt               | 16 ++++++++++
 qt6/tests/fuzzing/qt_annot_fuzzer.cc   | 47 ++++++++++++++++++++++++++++
 qt6/tests/fuzzing/qt_label_fuzzer.cc   | 30 ++++++++++++++++++
 qt6/tests/fuzzing/qt_pdf_fuzzer.cc     | 56
 ++++++++++++++++++++++++++++++++++
 qt6/tests/fuzzing/qt_search_fuzzer.cc  | 29 ++++++++++++++++++
 qt6/tests/fuzzing/qt_textbox_fuzzer.cc | 33 ++++++++++++++++++++
 6 files changed, 211 insertions(+)

commit 757214be640162accc2ea6f8479f66aa081ddd49
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 22:24:44 2026 +0100

    Change cast to one that makes clang-tidy happier

 poppler/Decrypt.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit db5e43ab3ede17259475af26721057d847fd6b53
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 22:21:01 2026 +0100

    FoFiType1C::convertToCIDType0: Move some variable declarations
    where used

 fofi/FoFiType1C.cc | 52
 +++++++++++++++++++++++++++-------------------------
 1 file changed, 27 insertions(+), 25 deletions(-)

commit 70597fdfa7f9b57fdf38e9bf4852176e93227c56
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 22:05:17 2026 +0100

    FoFiTrueType::convertToCIDType2: Move variables where needed

    And use proper type

 fofi/FoFiTrueType.cc | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit f83f4e6277884d66053f7a0fed44f97b29fdc9ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 21:51:50 2026 +0100

    FoFiTrueType: Change cast to one that makes clang-tidy happier

 fofi/FoFiTrueType.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ea3b0e5d674bae3e8e75c19dd129b175d075d68a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 21:50:01 2026 +0100

    FoFiTrueType: convert for indices to proper type

 fofi/FoFiTrueType.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8bc726cd08e7ea783ba3867da6f0734d4a936b6b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 21:49:28 2026 +0100

    FoFiTrueType: extract tables.size to a const variable

    And make tagI const

 fofi/FoFiTrueType.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit c59b7d80d8549da6c7875e1b0d77716886026d19
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 21:48:44 2026 +0100

    FoFiTrueType: extract cmaps.size to a const variable

 fofi/FoFiTrueType.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a05071f2b4cf81f443f8b5fb4c7fb4ada88ce44b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 21:31:06 2026 +0100

    JBIG2Stream: numSyms is unsigned

 poppler/JBIG2Stream.cc | 10 +++++-----
 poppler/JBIG2Stream.h  |  4 ++--
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 9e8fa04a0168df6e3e5f9a6eea621667af01b0b7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 17:00:08 2026 +0100

    FoFiBase: Make it more modernize-use-integer-sign-comparison friendly

 fofi/FoFiBase.cc | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit a2a28192b4d1b8e6541c1657ca37f277967b06f0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 12:24:21 2026 +0100

    fofi: Remove unused methods

 fofi/FoFiTrueType.cc | 14 --------------
 fofi/FoFiTrueType.h  |  4 ----
 fofi/FoFiType1C.cc   | 24 ------------------------
 fofi/FoFiType1C.h    |  3 ---
 4 files changed, 45 deletions(-)

commit f74f5d801f49bf2c064b6423a928d0c16124951d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 10:05:38 2026 +0100

    Fix crash on malformed files

 poppler/JBIG2Stream.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 618483e2b5722d2ccf781c6d32fb49ab0173df91
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 00:57:17 2026 +0100

    Update (C)

 poppler/NSSCryptoSignBackend.cc | 2 +-
 poppler/NSSCryptoSignBackend.h  | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit ba2c74d05dd8007988b4ce0b556dd901507377c8
Author: Juraj Šarinay <juraj@sarinay.com>
Date:   Fri Jun 27 00:36:17 2025 +0200

    Verify ESSSigningCertificate & ESSSigningCertificateV2 attributes
    when SubFilter == 'ETSI.CAdES.detached'.

 poppler/NSSCryptoSignBackend.cc | 116
 +++++++++++++++++++++++++++++++++++++++-
 poppler/NSSCryptoSignBackend.h  |   1 +
 2 files changed, 115 insertions(+), 2 deletions(-)

commit 4a2294f59ebbbe690d09aa6f7e021e29cbb85782
Author: Paul Zander <negril.nx+gentoo@gmail.com>
Date:   Mon Jan 12 22:14:33 2026 +0100

    Include <climits> for GCC 16

    ```
    poppler-26.01.0/poppler/SplashOutputDev.cc: In constructor
    ‘T3FontCache::T3FontCache(const Ref*, double, double, double,
    double, int, int,
    int, int, bool, bool)’:
    poppler-26.01.0/poppler/SplashOutputDev.cc:1129:18: error:
    ‘INT_MAX’ was not
    declared in this scope
    1129 |     if (glyphW > INT_MAX / glyphH || glyphW <= 0 || glyphH <=
    0 ||
    glyphW * glyphH > 100000) {
          |                  ^~~~~~~
    poppler-26.01.0/poppler/SplashOutputDev.cc:84:1: note: ‘INT_MAX’
    is defined in
    header ‘<climits>’; this is probably fixable by adding ‘#include
    <climits>’
       83 | #include "SplashOutputDev.h"
      +++ |+#include <climits>
       84 | #include <algorithm>
    ```

    Signed-off-by: Paul Zander <negril.nx+gentoo@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 poppler/Function.cc        | 1 +
 poppler/Gfx.cc             | 1 +
 poppler/Parser.cc          | 1 +
 poppler/SplashOutputDev.cc | 1 +
 4 files changed, 4 insertions(+)

commit 811015626ed1776cdbbd9b41084f7d8de1372c52
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 14 01:48:19 2026 +0100

    qt5: fuzzying: Exercise signature validation

 qt5/tests/fuzzing/qt_pdf_fuzzer.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit 9e041bf384456b86c4c99028b653ef3210d0f9d8
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jan 13 15:28:26 2026 +0000

    Notify about upcoming unmaintained decoder removal

 .gitlab-ci.yml |  6 +++---
 CMakeLists.txt | 24 ++++++++++++------------
 2 files changed, 15 insertions(+), 15 deletions(-)

commit 90204a74b9a53ddb2864462d651945c0a9c88f42
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 13 10:29:29 2026 +0100

    Update (C)

 poppler/XRef.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1c57475576c28528927e29866bdd5a0815fae6c8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 13 09:20:12 2026 +0100

    Add another clang-tidy modernize

 .git-blame-ignore-revs | 1 +
 1 file changed, 1 insertion(+)

commit e1210dafa25f0ee88cbf0d16f4f20cb19243d525
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 13 09:18:33 2026 +0100

    Revert testing change that sneaked in in
    1005dc4df9d3babec6f329d8c0c5b2c623627eed

 poppler/XRef.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 80677727950e2f389a7b3e1d25f42b9246903004
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 20:37:48 2026 +0100

    Enable modernize-use-designated-initializers

 .clang-tidy                               |    1 -
 cpp/poppler-page.cpp                      |   10 +-
 fofi/FoFiTrueType.cc                      |    5 +-
 glib/poppler-structure-element.cc         |  113 +-
 goo/TiffWriter.cc                         |   36 +-
 poppler/Annot.cc                          |    2 +-
 poppler/BuiltinFont.h                     |   28 +-
 poppler/CIDFontsWidthsBuilder.h           |    4 +-
 poppler/CairoOutputDev.cc                 |    4 +-
 poppler/Catalog.cc                        |    8 +-
 poppler/Form.cc                           |   28 +-
 poppler/GPGMECryptoSignBackend.cc         |   12 +-
 poppler/Gfx.cc                            |  162 +-
 poppler/GfxFont.cc                        |  201 +-
 poppler/GfxState.cc                       |   18 +-
 poppler/JBIG2Stream.cc                    |  279 +-
 poppler/NSSCryptoSignBackend.cc           |   28 +-
 poppler/NameToUnicodeTable.h              | 8540
 +++++++++++++++--------------
 poppler/Object.h                          |    2 +-
 poppler/PDFDoc.cc                         |   16 +-
 poppler/PDFDoc.h                          |    2 +-
 poppler/PSOutputDev.cc                    |   37 +-
 poppler/Parser.cc                         |    4 +-
 poppler/Stream-CCITT.h                    |  556 +-
 poppler/Stream.cc                         |  130 +-
 poppler/StructElement.cc                  |  104 +-
 poppler/TextOutputDev.cc                  |   30 +-
 poppler/UnicodeDecompTables.h             | 2004 +++++--
 poppler/UnicodeMapTables.h                |  166 +-
 poppler/UnicodeTypeTable.cc               |  675 +--
 poppler/XRef.cc                           |    2 +-
 poppler/XRef.h                            |    2 +-
 qt5/src/poppler-document.cc               |    2 +-
 qt5/tests/check_annotations.cpp           |    3 +-
 qt5/tests/check_cidfontswidthsbuilder.cpp |   12 +-
 qt5/tests/check_optcontent.cpp            |    4 +-
 qt6/src/poppler-document.cc               |    2 +-
 qt6/tests/check_annotations.cpp           |    3 +-
 qt6/tests/check_cidfontswidthsbuilder.cpp |   14 +-
 qt6/tests/check_optcontent.cpp            |    4 +-
 splash/Splash.cc                          |   24 +-
 splash/SplashClip.cc                      |   30 +-
 splash/SplashScreen.cc                    |    6 +-
 test/pdf-operators.h                      |  146 +-
 utils/pdftocairo.cc                       |    4 +-
 utils/pdfunite.cc                         |    8 +-
 46 files changed, 7294 insertions(+), 6177 deletions(-)

commit 0c73b998ef5b4eea38d61a4148dadd966c6a0162
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 12 11:35:10 2026 +0100

    opiBegin/End: The pointer is never null so pass a const &

 poppler/Gfx.cc         |  4 ++--
 poppler/OutputDev.cc   |  4 ++--
 poppler/OutputDev.h    |  4 ++--
 poppler/PSOutputDev.cc | 64
 +++++++++++++++++++++++++-------------------------
 poppler/PSOutputDev.h  |  8 +++----
 5 files changed, 42 insertions(+), 42 deletions(-)

commit f0d15610d51c90c283f8d33af5bc4ce3389ae177
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 12 10:30:59 2026 +0100

    PSOutputDev::doImageL2: Split variable 'i' into multiple 'i'

 poppler/PSOutputDev.cc | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 4d9326b3b77f6985acbf15dac35d65340d642d7b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 12 10:25:59 2026 +0100

    embFontList can just be a std::string

 poppler/PSOutputDev.cc | 75
 +++++++++++++++++++++++---------------------------
 poppler/PSOutputDev.h  |  2 +-
 2 files changed, 35 insertions(+), 42 deletions(-)

commit 0014ae023deb96f4d20c783989e8c9de966da623
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 12 10:23:08 2026 +0100

    Move box variable to where it's used

    And no need to new/delete it

 poppler/PSOutputDev.cc | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 1d0944e29b17b37fd3dc3290db50e5199f2da472
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 12 10:20:37 2026 +0100

    PSOutputDev::postInit: Remove 'i' variable

 poppler/PSOutputDev.cc | 15 ++++++++-------
 poppler/PSOutputDev.h  |  2 +-
 2 files changed, 9 insertions(+), 8 deletions(-)

commit a532ff442be121c17d3518de746ae5ab2ae1d51c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 12 01:04:40 2026 +0100

    Fix overflow found by oss-fuzz

 poppler/XRef.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit b88c133c44d6013db71325e1af4cf97042315ad2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 12 00:42:13 2026 +0100

    Add more revs to git-blame-ignore-revs

 .git-blame-ignore-revs | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 1005dc4df9d3babec6f329d8c0c5b2c623627eed
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 12 00:38:28 2026 +0100

    Update (C)

 cpp/poppler-page-renderer.cpp  | 2 +-
 cpp/poppler-page.cpp           | 1 +
 fofi/FoFiBase.cc               | 2 +-
 fofi/FoFiBase.h                | 2 +-
 fofi/FoFiTrueType.cc           | 2 +-
 fofi/FoFiTrueType.h            | 2 +-
 fofi/FoFiType1C.cc             | 2 +-
 fofi/FoFiType1C.h              | 2 +-
 glib/poppler-annot.cc          | 2 +-
 glib/poppler-page.cc           | 2 +-
 goo/GooString.cc               | 2 +-
 goo/GooString.h                | 2 +-
 goo/gfile.cc                   | 2 +-
 poppler/Annot.cc               | 2 +-
 poppler/Annot.h                | 2 +-
 poppler/Array.cc               | 2 +-
 poppler/CMap.cc                | 2 +-
 poppler/CairoOutputDev.cc      | 2 +-
 poppler/CairoOutputDev.h       | 2 +-
 poppler/Catalog.cc             | 2 +-
 poppler/CertificateInfo.cc     | 2 +-
 poppler/DateInfo.cc            | 2 +-
 poppler/Error.cc               | 2 +-
 poppler/FileSpec.cc            | 2 +-
 poppler/Form.cc                | 2 +-
 poppler/Function.cc            | 2 +-
 poppler/GfxFont.cc             | 2 +-
 poppler/GfxState.cc            | 2 +-
 poppler/GlobalParams.cc        | 4 ++--
 poppler/GlobalParamsWin.cc     | 4 ++--
 poppler/Hints.cc               | 2 +-
 poppler/PDFDoc.cc              | 4 ++--
 poppler/PSOutputDev.cc         | 2 +-
 poppler/PageLabelInfo.cc       | 2 +-
 poppler/PageLabelInfo_p.h      | 1 +
 poppler/Parser.cc              | 2 +-
 poppler/SecurityHandler.cc     | 2 +-
 poppler/SplashOutputDev.cc     | 2 +-
 poppler/StructElement.cc       | 2 +-
 poppler/UnicodeMap.cc          | 2 +-
 poppler/XRef.cc                | 2 +-
 qt5/src/poppler-page-private.h | 1 +
 qt6/src/poppler-page-private.h | 1 +
 splash/SplashFTFont.cc         | 2 +-
 splash/SplashFTFont.h          | 1 +
 splash/SplashFTFontEngine.cc   | 2 +-
 splash/SplashFTFontEngine.h    | 2 +-
 splash/SplashFTFontFile.cc     | 2 +-
 splash/SplashFTFontFile.h      | 2 +-
 splash/SplashFont.cc           | 1 +
 splash/SplashFont.h            | 1 +
 splash/SplashFontEngine.cc     | 2 +-
 splash/SplashFontEngine.h      | 2 +-
 splash/SplashFontFile.cc       | 2 +-
 splash/SplashFontFile.h        | 2 +-
 test/image-embedding.cc        | 1 +
 test/pdf-fullrewrite.cc        | 2 +-
 test/perf-test.cc              | 2 +-
 utils/HtmlFonts.cc             | 2 +-
 utils/HtmlLinks.cc             | 2 +-
 utils/HtmlOutputDev.cc         | 2 +-
 utils/parseargs.cc             | 1 +
 utils/pdfimages.cc             | 1 +
 utils/pdfinfo.cc               | 2 +-
 utils/pdfsig.cc                | 4 ++--
 utils/pdftocairo-win32.cc      | 2 +-
 utils/pdftocairo.cc            | 2 +-
 utils/pdftohtml.cc             | 4 ++--
 utils/pdftoppm.cc              | 4 ++--
 utils/pdftops.cc               | 2 +-
 utils/pdftotext.cc             | 2 +-
 utils/pdfunite.cc              | 2 +-
 72 files changed, 78 insertions(+), 68 deletions(-)

commit 3a9ca8669e218e42b5539df2a29065cdee140ee5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 17:22:29 2026 +0100

    Make modernize-use-integer-sign-comparison happier

 splash/SplashFTFont.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 53625c7f308cc54d90056a15c62ad69818f0d31b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 17:11:16 2026 +0100

    Fix integer overflow found by oss-fuzz

 poppler/GfxFont.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 4439b31ec6dbfa0c01d44fdc5a314054234f6112
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 16:57:16 2026 +0100

    Fix integer overflow found by oss-fuzz

 splash/SplashFTFont.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 7265fd8fc4516f351a6a5d84fb5354c1a842c039
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 16:01:04 2026 +0100

    Fix integer overflow found by oss-fuzz

 poppler/Gfx.cc | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit ffb35d1f87e894dc79a93c1975115f9e4b04fbb0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 13:08:02 2026 +0100

    Spell out the type here

    The readability-qualified-auto clang-tidy wanted to add a * that broke
    compilation in MSVC

 splash/SplashFontEngine.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e1786d4c0b0093a8134e4a1c22a701dd022b82d3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 11:45:08 2026 +0100

    Actually respect ENABLE_BOOST

 CMakeLists.txt | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit fd7138b63d234f1b597be7e63082a9a9775366f9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 11:36:01 2026 +0100

    CI: Also disable boost in the build_nondefault_options

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 003510767a694e4a837d0a1416c3c645decbddee
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 11:46:53 2026 +0100

    Fix non boost build

 splash/SplashXPathScanner.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit edbbeb95b4ba422c8034a308a53c943fa7a04e3b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 03:28:40 2026 +0100

    Enable readability-make-member-function-const

 .clang-tidy                          |  1 -
 poppler/Annot.cc                     |  2 +-
 poppler/Annot.h                      | 12 ++++++------
 poppler/CachedFile.cc                |  2 +-
 poppler/CachedFile.h                 |  2 +-
 poppler/CairoFontEngine.h            |  2 +-
 poppler/CairoOutputDev.h             |  8 ++++----
 poppler/Catalog.h                    |  2 +-
 poppler/Form.cc                      |  2 +-
 poppler/Form.h                       |  6 +++---
 poppler/Function.cc                  |  6 +++---
 poppler/GfxFont.cc                   |  2 +-
 poppler/GfxState.cc                  |  2 +-
 poppler/GfxState.h                   |  2 +-
 poppler/GlobalParams.cc              |  2 +-
 poppler/GlobalParams.h               |  2 +-
 poppler/JArithmeticDecoder.h         |  4 ++--
 poppler/JBIG2Stream.cc               | 10 +++++-----
 poppler/JPEG2000Stream.h             |  2 +-
 poppler/JSInfo.cc                    |  2 +-
 poppler/JSInfo.h                     |  2 +-
 poppler/Movie.cc                     |  2 +-
 poppler/Movie.h                      |  2 +-
 poppler/PDFDoc.cc                    |  2 +-
 poppler/PDFDoc.h                     |  6 +++---
 poppler/PSOutputDev.cc               |  2 +-
 poppler/PSOutputDev.h                |  2 +-
 poppler/Page.cc                      |  4 ++--
 poppler/Page.h                       |  6 +++---
 poppler/PreScanOutputDev.h           | 10 +++++-----
 poppler/SplashOutputDev.cc           |  2 +-
 poppler/SplashOutputDev.h            |  2 +-
 poppler/Stream.h                     | 16 ++++++++--------
 poppler/StructElement.cc             |  4 ++--
 poppler/StructElement.h              | 14 ++++----------
 poppler/XRef.cc                      |  4 ++--
 qt5/src/poppler-page-private.h       |  4 ++--
 qt5/src/poppler-page.cc              |  4 ++--
 qt5/tests/check_signature_basics.cpp | 16 ++++++++--------
 qt5/tests/check_strings.cpp          |  4 ++--
 qt6/src/poppler-page-private.h       |  4 ++--
 qt6/src/poppler-page.cc              |  4 ++--
 qt6/tests/check_signature_basics.cpp | 16 ++++++++--------
 qt6/tests/check_strings.cpp          |  4 ++--
 splash/Splash.h                      |  2 +-
 splash/SplashClip.h                  | 16 ++++++++--------
 splash/SplashFTFontEngine.h          |  2 +-
 splash/SplashFont.h                  |  2 +-
 splash/SplashPath.h                  |  8 ++++----
 splash/SplashScreen.cc               |  2 +-
 splash/SplashScreen.h                |  2 +-
 utils/HtmlOutputDev.h                |  4 ++--
 52 files changed, 120 insertions(+), 127 deletions(-)

commit a4018501302737853c220702c0427cafe1e0deea
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 03:00:02 2026 +0100

    Enable readability-qualified-auto

 .clang-tidy                               |  1 -
 glib/poppler-document.cc                  |  6 +++---
 glib/poppler-page.cc                      | 10 +++++-----
 goo/gbase64.cc                            |  2 +-
 poppler/Annot.cc                          |  2 +-
 poppler/CharCodeToUnicode.cc              |  2 +-
 poppler/Dict.cc                           |  2 +-
 poppler/Form.cc                           |  8 ++++----
 poppler/GfxState.cc                       |  8 ++++----
 poppler/GlobalParams.cc                   |  2 +-
 poppler/NSSCryptoSignBackend.cc           |  4 ++--
 poppler/Outline.cc                        | 10 +++++-----
 poppler/PDFDoc.cc                         |  2 +-
 poppler/PDFDocFactory.cc                  |  2 +-
 poppler/PageLabelInfo.cc                  |  2 +-
 poppler/TextOutputDev.cc                  | 18 +++++++++---------
 poppler/XRef.cc                           |  4 ++--
 qt5/tests/check_annotations.cpp           |  6 +++---
 qt5/tests/check_internal_outline.cpp      | 10 +++++-----
 qt5/tests/check_signature_basics.cpp      |  4 ++--
 qt5/tests/check_utf8document.cpp          |  4 ++--
 qt6/src/poppler-annotation.cc             |  2 +-
 qt6/tests/check_annotations.cpp           |  2 +-
 qt6/tests/check_create_pgp_signature1.cpp |  2 +-
 qt6/tests/check_internal_outline.cpp      | 10 +++++-----
 qt6/tests/check_signature_basics.cpp      |  6 +++---
 qt6/tests/check_signature_basics_pgp.cpp  |  2 +-
 qt6/tests/check_utf8document.cpp          |  4 ++--
 splash/SplashFontEngine.cc                |  8 ++++----
 test/pdf-signing-nss.cc                   |  4 ++--
 test/pdf-validate-signature.cc            |  4 ++--
 utils/HtmlOutputDev.cc                    |  4 ++--
 utils/pdfinfo.cc                          |  2 +-
 utils/pdfsig.cc                           |  2 +-
 utils/pdftohtml.cc                        |  2 +-
 35 files changed, 81 insertions(+), 82 deletions(-)

commit b15c866b94fe627f51a8a687dce34b24ae7ac398
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 01:44:27 2026 +0100

    Enable readability-convert-member-functions-to-static

 .clang-tidy                                   |  1 -
 fofi/FoFiTrueType.cc                          |  4 ++--
 fofi/FoFiTrueType.h                           |  4 ++--
 fofi/FoFiType1C.cc                            |  8 +++----
 fofi/FoFiType1C.h                             |  8 +++----
 poppler/CairoOutputDev.cc                     |  2 +-
 poppler/CairoOutputDev.h                      | 18 +++++++--------
 poppler/Catalog.h                             |  2 +-
 poppler/FDPDFDocBuilder.h                     |  2 +-
 poppler/Form.h                                |  6 ++---
 poppler/Gfx.cc                                |  4 ++--
 poppler/Gfx.h                                 |  4 ++--
 poppler/GfxFont.h                             |  2 +-
 poppler/GfxState.cc                           |  2 +-
 poppler/GfxState.h                            |  6 ++---
 poppler/GlobalParams.cc                       |  5 +++--
 poppler/PDFDoc.h                              |  2 +-
 poppler/PSOutputDev.h                         |  2 +-
 poppler/Page.h                                |  2 +-
 poppler/SplashOutputDev.h                     |  8 +++----
 poppler/Stream.h                              |  2 +-
 poppler/TextOutputDev.cc                      |  2 +-
 poppler/TextOutputDev.h                       |  4 ++--
 qt5/src/poppler-optcontent-private.h          |  2 +-
 qt5/src/poppler-page-private.h                |  4 ++--
 qt5/src/poppler-page.cc                       |  8 +++----
 qt5/tests/check_actualtext.cpp                | 16 +++++++-------
 qt5/tests/check_annotations.cpp               | 16 +++++++-------
 qt5/tests/check_attachments.cpp               | 10 ++++-----
 qt5/tests/check_cidfontswidthsbuilder.cpp     |  6 ++---
 qt5/tests/check_dateConversion.cpp            | 10 ++++-----
 qt5/tests/check_distinguished_name_parser.cpp | 16 +++++++-------
 qt5/tests/check_fonts.cpp                     | 16 +++++++-------
 qt5/tests/check_forms.cpp                     | 14 ++++++------
 qt5/tests/check_goostring.cpp                 | 10 ++++-----
 qt5/tests/check_internal_outline.cpp          | 10 ++++-----
 qt5/tests/check_lexer.cpp                     |  2 +-
 qt5/tests/check_links.cpp                     |  8 +++----
 qt5/tests/check_metadata.cpp                  | 32
 +++++++++++++--------------
 qt5/tests/check_object.cpp                    |  6 ++---
 qt5/tests/check_optcontent.cpp                | 12 +++++-----
 qt5/tests/check_outline.cpp                   |  2 +-
 qt5/tests/check_overprint.cpp                 |  2 +-
 qt5/tests/check_pagelabelinfo.cpp             | 12 +++++-----
 qt5/tests/check_pagelayout.cpp                |  6 ++---
 qt5/tests/check_pagemode.cpp                  | 10 ++++-----
 qt5/tests/check_password.cpp                  | 18 +++++++--------
 qt5/tests/check_permissions.cpp               |  2 +-
 qt5/tests/check_search.cpp                    | 16 +++++++-------
 qt5/tests/check_signature_basics.cpp          |  4 ++--
 qt5/tests/check_strings.cpp                   | 14 ++++++------
 qt5/tests/check_stroke_opacity.cpp            |  4 ++--
 qt5/tests/check_utf8document.cpp              |  2 +-
 qt5/tests/check_utf_conversion.cpp            |  8 +++----
 qt6/src/poppler-optcontent-private.h          |  2 +-
 qt6/src/poppler-page-private.h                |  4 ++--
 qt6/src/poppler-page.cc                       |  4 ++--
 qt6/tests/check_actualtext.cpp                | 16 +++++++-------
 qt6/tests/check_annotations.cpp               | 16 +++++++-------
 qt6/tests/check_attachments.cpp               | 10 ++++-----
 qt6/tests/check_cidfontswidthsbuilder.cpp     |  8 +++----
 qt6/tests/check_create_pgp_signature1.cpp     | 10 ++++-----
 qt6/tests/check_dateConversion.cpp            | 10 ++++-----
 qt6/tests/check_distinguished_name_parser.cpp | 16 +++++++-------
 qt6/tests/check_endoflines.cpp                |  2 +-
 qt6/tests/check_fonts.cpp                     | 16 +++++++-------
 qt6/tests/check_forms.cpp                     | 14 ++++++------
 qt6/tests/check_goostring.cpp                 | 10 ++++-----
 qt6/tests/check_internal_outline.cpp          | 10 ++++-----
 qt6/tests/check_lexer.cpp                     |  2 +-
 qt6/tests/check_links.cpp                     |  8 +++----
 qt6/tests/check_metadata.cpp                  | 32
 +++++++++++++--------------
 qt6/tests/check_object.cpp                    |  6 ++---
 qt6/tests/check_optcontent.cpp                | 12 +++++-----
 qt6/tests/check_outline.cpp                   |  2 +-
 qt6/tests/check_overprint.cpp                 |  2 +-
 qt6/tests/check_pagelabelinfo.cpp             | 12 +++++-----
 qt6/tests/check_pagelayout.cpp                |  6 ++---
 qt6/tests/check_pagemode.cpp                  | 10 ++++-----
 qt6/tests/check_password.cpp                  | 18 +++++++--------
 qt6/tests/check_permissions.cpp               |  2 +-
 qt6/tests/check_search.cpp                    | 16 +++++++-------
 qt6/tests/check_signature_basics.cpp          |  4 ++--
 qt6/tests/check_signature_basics_pgp.cpp      |  6 ++---
 qt6/tests/check_strings.cpp                   | 14 ++++++------
 qt6/tests/check_stroke_opacity.cpp            |  4 ++--
 qt6/tests/check_utf8document.cpp              |  2 +-
 qt6/tests/check_utf_conversion.cpp            |  8 +++----
 splash/Splash.h                               | 12 +++++-----
 splash/SplashBitmap.h                         |  2 +-
 splash/SplashXPath.h                          |  4 ++--
 test/pdf-inspector.cc                         |  4 ++--
 utils/HtmlFonts.h                             |  2 +-
 utils/ImageOutputDev.h                        |  2 +-
 94 files changed, 369 insertions(+), 369 deletions(-)

commit 6ef3154e307afff6adad7a83c5b854adc1e10b5c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 01:24:22 2026 +0100

    Remove reverseVideo parameter

    Everyone uses false

 cpp/poppler-page-renderer.cpp |  2 +-
 poppler/PSOutputDev.cc        |  2 +-
 poppler/SplashOutputDev.cc    | 18 ++++--------------
 poppler/SplashOutputDev.h     |  3 +--
 qt5/src/poppler-page.cc       |  6 +++---
 qt6/src/poppler-page.cc       |  6 +++---
 test/gtk-test.cc              |  2 +-
 test/perf-test.cc             |  2 +-
 utils/pdftohtml.cc            |  5 ++---
 utils/pdftoppm.cc             |  2 +-
 10 files changed, 18 insertions(+), 30 deletions(-)

commit d558946a9e43052c0536dc750aba30432f1e4fe3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 01:19:15 2026 +0100

    Remove functions no one calls

 poppler/CairoOutputDev.h    | 2 --
 poppler/SplashOutputDev.h   | 3 ---
 qt5/src/QPainterOutputDev.h | 2 --
 qt6/src/QPainterOutputDev.h | 2 --
 4 files changed, 9 deletions(-)

commit 302ee31f0950b12c4d07b2cda3d929a6374db2ee
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 01:12:41 2026 +0100

    Enable readability-named-parameter

    It's a bit annoying for the PrivateTag but it's a good thing all
    paramaters have name

 .clang-tidy                     |  3 ++-
 cpp/poppler-font.h              |  2 +-
 fofi/FoFiIdentifier.cc          |  4 ++--
 fofi/FoFiTrueType.cc            |  4 ++--
 fofi/FoFiTrueType.h             |  4 ++--
 fofi/FoFiType1.cc               |  2 +-
 fofi/FoFiType1.h                |  2 +-
 fofi/FoFiType1C.cc              |  4 ++--
 fofi/FoFiType1C.h               |  4 ++--
 poppler/CertificateInfo.h       | 20 ++++++++++----------
 poppler/CharCodeToUnicode.cc    |  6 +++---
 poppler/CryptoSignBackend.h     |  2 +-
 poppler/Form.h                  |  2 +-
 poppler/Function.cc             |  8 ++++----
 poppler/Function.h              |  8 ++++----
 poppler/GfxState.cc             |  4 ++--
 poppler/GfxState.h              |  7 ++++---
 poppler/GlobalParams.cc         |  2 +-
 poppler/ImageEmbeddingUtils.cc  |  4 ++--
 poppler/NSSCryptoSignBackend.cc |  2 +-
 poppler/NSSCryptoSignBackend.h  |  6 +++---
 poppler/Rendition.h             |  2 +-
 poppler/SignatureInfo.h         | 16 ++++++++--------
 qt5/src/QPainterOutputDev.cc    |  2 +-
 qt5/src/poppler-form.h          |  2 +-
 qt5/src/poppler-qt5.h           |  2 +-
 qt5/tests/test-password-qt5.cpp |  4 ++--
 qt5/tests/test-poppler-qt5.cpp  |  6 +++---
 qt6/src/QPainterOutputDev.cc    |  2 +-
 qt6/src/poppler-form.h          |  2 +-
 qt6/src/poppler-qt6.h           |  2 +-
 qt6/tests/test-password-qt6.cpp |  4 ++--
 qt6/tests/test-poppler-qt6.cpp  |  6 +++---
 splash/SplashClip.cc            |  2 +-
 splash/SplashClip.h             |  2 +-
 splash/SplashFTFontFile.cc      |  2 +-
 splash/SplashFTFontFile.h       |  2 +-
 test/perf-test.cc               |  2 +-
 utils/HtmlOutputDev.h           |  2 +-
 utils/po/ca/pdfsig.po           |  6 +++---
 utils/po/pdfsig.pot             |  6 +++---
 41 files changed, 88 insertions(+), 86 deletions(-)

commit 7b93fabde7ec55ca11c801110cb1a5a1063bd427
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 00:54:47 2026 +0100

    Enable readability-redundant-casting

 .clang-tidy                   | 1 -
 cpp/poppler-global.cpp        | 8 ++++----
 poppler/FlateEncoder.cc       | 2 +-
 poppler/Form.cc               | 8 ++++----
 poppler/GfxState.h            | 2 +-
 poppler/Lexer.cc              | 2 +-
 poppler/SplashOutputDev.cc    | 2 +-
 poppler/Stream.cc             | 6 +++---
 qt5/src/poppler-form.cc       | 2 +-
 qt5/src/poppler-link.cc       | 8 ++++----
 qt5/src/poppler-private.cc    | 2 +-
 qt5/src/poppler-private.h     | 2 +-
 qt5/tests/check_goostring.cpp | 2 +-
 qt6/src/poppler-form.cc       | 2 +-
 qt6/src/poppler-link.cc       | 8 ++++----
 qt6/src/poppler-private.h     | 2 +-
 qt6/tests/check_goostring.cpp | 2 +-
 splash/Splash.cc              | 2 +-
 splash/SplashMath.h           | 2 +-
 splash/SplashXPath.cc         | 4 ++--
 test/perf-test.cc             | 2 +-
 21 files changed, 35 insertions(+), 36 deletions(-)

commit 0f6703c0d17b9b36f6ac09c871e45994b6d4d8e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 00:44:09 2026 +0100

    Enable readability-uppercase-literal-suffix

 .clang-tidy                   |  1 -
 glib/poppler-form-field.cc    |  2 +-
 glib/poppler-media.cc         |  2 +-
 poppler/Decrypt.cc            | 52
 +++++++++++++++++++++----------------------
 poppler/GfxState.cc           |  4 ++--
 poppler/JBIG2Stream.cc        |  2 +-
 poppler/UTF.cc                |  2 +-
 poppler/XRef.cc               |  2 +-
 qt5/src/poppler-media.cc      |  2 +-
 qt5/tests/check_goostring.cpp |  2 +-
 qt5/tests/check_lexer.cpp     |  8 +++----
 qt6/src/poppler-media.cc      |  2 +-
 qt6/tests/check_goostring.cpp |  2 +-
 qt6/tests/check_lexer.cpp     |  8 +++----
 utils/InMemoryFile.cc         |  2 +-
 15 files changed, 46 insertions(+), 47 deletions(-)

commit c17ec9cd8884747290984e82c97d444ebd22d376
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 11 00:13:01 2026 +0100

    Enable readability-else-after-return

 .clang-tidy                       |   1 -
 cpp/poppler-document.cpp          |  18 +++--
 cpp/poppler-page.cpp              |   6 +-
 fofi/FoFiIdentifier.cc            |   3 +-
 fofi/FoFiTrueType.cc              |   6 +-
 fofi/FoFiType1.cc                 |   5 +-
 fofi/FoFiType1C.cc                |   3 +-
 glib/demo/text.c                  |   3 +-
 glib/poppler-action.cc            |   3 +-
 glib/poppler-annot.cc             |  41 +++++++----
 glib/poppler-document.cc          |  15 ++--
 glib/poppler-form-field.cc        |   6 +-
 poppler/Annot.cc                  |  71 +++++++++---------
 poppler/Array.cc                  |   3 +-
 poppler/CIDFontsWidthsBuilder.h   |  44 ++++++------
 poppler/CMap.cc                   |   3 +-
 poppler/Catalog.cc                |  26 +++----
 poppler/CharCodeToUnicode.cc      |   3 +-
 poppler/CryptoSignBackend.cc      |   9 ++-
 poppler/DCTStream.cc              |  14 ++--
 poppler/Decrypt.cc                |  91 ++++++++++++-----------
 poppler/DistinguishedNameParser.h |   5 +-
 poppler/Form.cc                   |  16 +++--
 poppler/GPGMECryptoSignBackend.cc |  23 +++---
 poppler/GfxFont.cc                |  32 ++++-----
 poppler/GfxState.cc               | 123 ++++++++++++++++---------------
 poppler/GlobalParams.cc           |   9 ++-
 poppler/Hints.cc                  |  12 ++--
 poppler/JBIG2Stream.cc            |  10 +--
 poppler/Lexer.cc                  | 148
 +++++++++++++++++++-------------------
 poppler/Linearization.cc          |  25 +++----
 poppler/LocalPDFDocBuilder.cc     |   9 ++-
 poppler/NSSCryptoSignBackend.cc   |  15 ++--
 poppler/Outline.cc                |   6 +-
 poppler/Outline.h                 |   3 +-
 poppler/PDFDoc.cc                 |  13 ++--
 poppler/PDFDoc.h                  |   6 +-
 poppler/PSOutputDev.cc            |  56 +++++++--------
 poppler/Parser.cc                 |   9 +--
 poppler/SecurityHandler.cc        |   3 +-
 poppler/Sound.cc                  |   3 +-
 poppler/SplashOutputDev.cc        |  12 ++--
 poppler/Stream.cc                 | 108 +++++++++++++---------------
 poppler/Stream.h                  |  17 +++--
 poppler/StructTreeRoot.cc         |   3 +-
 poppler/TextOutputDev.cc          |  83 +++++++++++----------
 poppler/UTF.cc                    |  39 +++++-----
 poppler/UnicodeMapFuncs.cc        |  18 ++---
 poppler/UnicodeTypeTable.cc       |  31 ++++----
 poppler/XRef.cc                   |  86 +++++++++++-----------
 qt5/demos/toc.cpp                 |   3 +-
 qt5/src/poppler-annotation.cc     |  59 ++++++++-------
 qt5/src/poppler-document.cc       |   4 +-
 qt5/src/poppler-form.cc           |  11 ++-
 qt5/src/poppler-link.cc           |   3 +-
 qt5/src/poppler-media.cc          |  21 +++---
 qt5/src/poppler-optcontent.cc     |   6 +-
 qt5/src/poppler-page.cc           |  12 ++--
 qt5/src/poppler-pdf-converter.cc  |   7 +-
 qt5/src/poppler-private.cc        |   7 +-
 qt5/src/poppler-ps-converter.cc   |  10 ++-
 qt5/tests/test-poppler-qt5.cpp    |  15 ++--
 qt6/demos/toc.cpp                 |   3 +-
 qt6/src/poppler-annotation.cc     |  56 +++++++--------
 qt6/src/poppler-document.cc       |   4 +-
 qt6/src/poppler-form.cc           |   6 +-
 qt6/src/poppler-link.cc           |   3 +-
 qt6/src/poppler-media.cc          |  21 +++---
 qt6/src/poppler-optcontent.cc     |   6 +-
 qt6/src/poppler-page.cc           |  12 ++--
 qt6/src/poppler-pdf-converter.cc  |   7 +-
 qt6/src/poppler-private.cc        |   7 +-
 qt6/src/poppler-ps-converter.cc   |  10 ++-
 qt6/tests/test-poppler-qt6.cpp    |  11 ++-
 splash/Splash.cc                  |   6 +-
 splash/SplashMath.h               |   4 +-
 test/cairo-thread-test.cc         |   3 +-
 test/image-embedding.cc           |   5 +-
 test/pdf-fullrewrite.cc           |  89 ++++++++++-------------
 test/pdf-signing-nss.cc           |   3 +-
 utils/HtmlOutputDev.cc            |   3 +-
 utils/parseargs.cc                |   3 +-
 utils/pdfseparate.cc              |   3 +-
 utils/pdfsig.cc                   |  30 ++++----
 utils/pdftocairo.cc               |   3 +-
 utils/pdftohtml.cc                |   4 +-
 utils/pdftoppm.cc                 |   3 +-
 utils/pdfunite.cc                 |   3 +-
 88 files changed, 847 insertions(+), 916 deletions(-)

commit 7f7e836cf08552e4435e75748f172a5f0a012eb3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 23:33:15 2026 +0100

    Enable readability-simplify-boolean-expr

 .clang-tidy                       |  3 ++-
 cpp/poppler-image.cpp             | 19 +++++--------------
 cpp/poppler-page-renderer.cpp     |  6 +++---
 cpp/poppler-page.cpp              |  2 +-
 fofi/FoFiIdentifier.cc            |  5 +----
 fofi/FoFiType1C.cc                |  8 ++++----
 glib/poppler-page.cc              |  5 +----
 goo/GooString.cc                  |  2 +-
 poppler/CMap.cc                   |  2 +-
 poppler/CairoOutputDev.cc         | 12 ++++++------
 poppler/Catalog.cc                |  4 ++--
 poppler/CharCodeToUnicode.cc      |  8 ++++----
 poppler/CurlPDFDocBuilder.cc      |  6 +-----
 poppler/DistinguishedNameParser.h |  6 +-----
 poppler/Form.cc                   |  5 +----
 poppler/Function.cc               |  4 ++--
 poppler/Gfx.cc                    | 12 ++++--------
 poppler/JBIG2Stream.cc            |  2 +-
 poppler/Lexer.cc                  |  2 +-
 poppler/Linearization.cc          |  2 +-
 poppler/Link.cc                   |  2 +-
 poppler/OptionalContent.cc        |  6 +-----
 poppler/PSOutputDev.cc            | 36
 ++++++++++++++----------------------
 poppler/PreScanOutputDev.cc       |  2 +-
 poppler/SecurityHandler.cc        |  2 +-
 poppler/SplashOutputDev.cc        | 10 +++++-----
 poppler/SplashOutputDev.h         |  2 +-
 poppler/Stream.cc                 | 16 +++-------------
 poppler/StructElement.cc          |  2 +-
 poppler/StructTreeRoot.cc         |  2 +-
 poppler/TextOutputDev.cc          |  2 +-
 poppler/XRef.cc                   |  2 +-
 qt5/src/poppler-link.cc           |  6 +-----
 qt5/src/poppler-movie.cc          |  2 +-
 qt5/src/poppler-page.cc           | 30 +++++++++++++++---------------
 qt5/src/poppler-ps-converter.cc   |  4 ++--
 qt5/tests/poppler-forms.cpp       |  2 +-
 qt6/src/poppler-link.cc           |  6 +-----
 qt6/src/poppler-movie.cc          |  2 +-
 qt6/src/poppler-page.cc           | 26 +++++++++++++-------------
 qt6/src/poppler-ps-converter.cc   |  4 ++--
 qt6/tests/poppler-forms.cpp       |  2 +-
 splash/Splash.cc                  |  6 +-----
 splash/SplashClip.cc              |  2 +-
 test/pdf-fullrewrite.cc           |  6 +-----
 test/perf-test.cc                 |  5 +----
 utils/ImageOutputDev.cc           |  2 +-
 utils/parseargs.cc                |  5 +----
 utils/pdfinfo.cc                  |  8 ++------
 utils/pdftocairo.cc               | 12 ++----------
 50 files changed, 122 insertions(+), 207 deletions(-)

commit 279f13ffc26c8b62e1e85ff54718f2041caf2370
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 23:04:50 2026 +0100

    Enable readability-redundant-inline-specifier

 .clang-tidy                |  1 -
 cpp/poppler-image.cpp      |  6 +++---
 cpp/poppler-page-private.h |  2 +-
 poppler/PDFDoc.h           |  4 ++--
 poppler/Stream.h           | 12 ++++++------
 poppler/StructElement.h    |  4 ++--
 poppler/XRef.h             |  4 ++--
 7 files changed, 16 insertions(+), 17 deletions(-)

commit 92ebe06128e7c38f9ed9ec9913a09479d42d6f4a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 22:48:30 2026 +0100

    Enable readability-container-data-pointer

 .clang-tidy                |  1 -
 cpp/poppler-document.cpp   |  2 +-
 cpp/poppler-global.cpp     | 12 ++++++------
 cpp/poppler-image.cpp      | 12 ++++++------
 cpp/poppler-page.cpp       |  6 +++---
 cpp/poppler-private.cpp    |  2 +-
 cpp/tests/poppler-dump.cpp |  2 +-
 goo/gbase64.h              |  4 ++--
 poppler/DateInfo.cc        |  2 +-
 poppler/Hints.cc           |  4 ++--
 poppler/Stream.cc          |  2 +-
 poppler/StructTreeRoot.cc  |  2 +-
 poppler/TextOutputDev.cc   |  4 ++--
 13 files changed, 27 insertions(+), 28 deletions(-)

commit 7e42e4922ad296d45052d2a337555d8cb8d8ca4c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 22:39:52 2026 +0100

    Enable readability-avoid-const-params-in-decls

    This is binary compatible

 .clang-tidy                         |  1 -
 cpp/poppler-rectangle.h             |  2 +-
 poppler/Annot.h                     |  6 +++---
 poppler/Catalog.h                   |  8 ++++----
 poppler/Form.h                      | 14 +++++++-------
 poppler/GfxFont.h                   |  2 +-
 poppler/OptionalContent.h           |  4 ++--
 poppler/StructElement.h             |  2 +-
 poppler/StructTreeRoot.h            |  2 +-
 poppler/TextOutputDev.h             |  6 +++---
 poppler/XRef.h                      |  2 +-
 qt5/src/poppler-annotation-helper.h |  2 +-
 qt5/src/poppler-link.cc             |  4 ++--
 qt5/src/poppler-link.h              |  2 +-
 qt6/src/poppler-annotation-helper.h |  2 +-
 qt6/src/poppler-annotation.h        |  2 +-
 qt6/src/poppler-link.cc             |  4 ++--
 qt6/src/poppler-link.h              |  6 +++---
 qt6/src/poppler-page-transition.h   |  2 +-
 utils/HtmlOutputDev.h               |  2 +-
 20 files changed, 37 insertions(+), 38 deletions(-)

commit a7676dfc42ea9db1552238c6924c0b5d487555c8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 22:27:13 2026 +0100

    Enable modernize-pass-by-value

    For places that we're just copying the value to a member value, we can
    move, this allows for the compiler to possibly sink some values and
    give us more performance for free

 .clang-tidy                    |  1 -
 poppler/Annot.cc               |  5 +++--
 poppler/Annot.h                |  2 +-
 poppler/CurlCachedFile.cc      |  4 +++-
 poppler/CurlCachedFile.h       |  2 +-
 poppler/GlobalParams.cc        |  3 ++-
 poppler/GlobalParams.h         |  7 ++++---
 qt5/src/poppler-link-private.h |  7 ++++---
 qt5/src/poppler-link.cc        | 11 ++++++-----
 qt6/src/poppler-link-private.h |  7 ++++---
 qt6/src/poppler-link.cc        | 11 ++++++-----
 test/cairo-thread-test.cc      |  5 +++--
 12 files changed, 37 insertions(+), 28 deletions(-)

commit 33c51ce5a50c71f3fb856f5aa326856c1a8137ce
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 22:00:21 2026 +0100

    Enable modernize-concat-nested-namespaces

 .clang-tidy                  | 1 -
 qt5/src/poppler-version.h.in | 7 +------
 qt6/src/poppler-version.h.in | 7 +------
 3 files changed, 2 insertions(+), 13 deletions(-)

commit 418075a13ac9fd72cf9cc67da4d971940ab3cb92
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 21:51:02 2026 +0100

    Enable modernize-use-default-member-init

    Makes it possible for lots of constructors to just be = default

 .clang-tidy                          |   3 +-
 cpp/poppler-image-private.h          |  10 ++--
 cpp/poppler-image.cpp                |   2 +-
 cpp/poppler-page-private.h           |   4 +-
 cpp/poppler-page-renderer.cpp        |  10 ++--
 cpp/poppler-page.cpp                 |   2 +-
 cpp/poppler-toc-private.h            |   2 +-
 cpp/poppler-toc.cpp                  |   2 +-
 poppler/CertificateInfo.cc           |   2 +-
 poppler/CertificateInfo.h            |  16 +++--
 poppler/Decrypt.cc                   |  24 ++++----
 poppler/Form.cc                      |   3 +-
 poppler/Form.h                       |   2 +-
 poppler/GPGMECryptoSignBackend.h     |   6 +-
 poppler/GfxState.cc                  |   2 +-
 poppler/GfxState.h                   |   8 +--
 poppler/Hints.cc                     |   6 +-
 poppler/Link.cc                      |   2 +-
 poppler/Link.h                       |   2 +-
 poppler/MarkedContentOutputDev.cc    |   2 +-
 poppler/MarkedContentOutputDev.h     |   6 +-
 poppler/NSSCryptoSignBackend.cc      |   8 +--
 poppler/NSSCryptoSignBackend.h       |   8 +--
 poppler/Stream.cc                    |   5 +-
 poppler/Stream.h                     |   4 +-
 poppler/StructElement.cc             |   2 +-
 poppler/StructElement.h              |   2 +-
 qt5/demos/abstractinfodock.cpp       |   2 +-
 qt5/demos/abstractinfodock.h         |   2 +-
 qt5/demos/documentobserver.cpp       |   2 +-
 qt5/demos/documentobserver.h         |   2 +-
 qt5/demos/pageview.cpp               |   2 +-
 qt5/demos/pageview.h                 |   4 +-
 qt5/demos/viewer.cpp                 |   2 +-
 qt5/demos/viewer.h                   |   4 +-
 qt5/src/QPainterOutputDev.cc         |   2 +-
 qt5/src/QPainterOutputDev.h          |   4 +-
 qt5/src/poppler-annotation-private.h |  10 ++--
 qt5/src/poppler-annotation.cc        | 111
 +++++++++++++++++------------------
 qt5/src/poppler-base-converter.cc    |   2 +-
 qt5/src/poppler-converter-private.h  |   6 +-
 qt5/src/poppler-link.cc              |   8 +--
 qt5/src/poppler-private.h            |   6 +-
 qt5/src/poppler-ps-converter.cc      |  27 ++++-----
 qt5/src/poppler-sound.cc             |   4 +-
 qt6/demos/abstractinfodock.cpp       |   2 +-
 qt6/demos/abstractinfodock.h         |   2 +-
 qt6/demos/documentobserver.cpp       |   2 +-
 qt6/demos/documentobserver.h         |   2 +-
 qt6/demos/pageview.cpp               |   2 +-
 qt6/demos/pageview.h                 |   4 +-
 qt6/demos/viewer.cpp                 |   2 +-
 qt6/demos/viewer.h                   |   2 +-
 qt6/src/QPainterOutputDev.cc         |   2 +-
 qt6/src/QPainterOutputDev.h          |   4 +-
 qt6/src/poppler-annotation-private.h |   8 +--
 qt6/src/poppler-annotation.cc        | 109
 +++++++++++++++++-----------------
 qt6/src/poppler-base-converter.cc    |   2 +-
 qt6/src/poppler-converter-private.h  |   6 +-
 qt6/src/poppler-link.cc              |   8 +--
 qt6/src/poppler-private.h            |   6 +-
 qt6/src/poppler-ps-converter.cc      |  27 ++++-----
 qt6/src/poppler-sound.cc             |   4 +-
 splash/SplashFTFont.cc               |   2 +-
 splash/SplashFTFont.h                |   4 +-
 splash/SplashXPathScanner.cc         |   5 +-
 splash/SplashXPathScanner.h          |   6 +-
 test/cairo-thread-test.cc            |   4 +-
 test/gtk-test.cc                     |   4 +-
 test/perf-test.cc                    |  10 ++--
 70 files changed, 276 insertions(+), 298 deletions(-)

commit 1abc923b1deaadc790fc3df0c951d5871e8db32a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 19:26:32 2026 +0100

    Enable modernize-use-using

 .clang-tidy                       |  4 +++-
 cpp/poppler-global.h              |  6 +++---
 cpp/poppler-page-renderer.h       |  2 +-
 cpp/poppler-rectangle.h           |  4 ++--
 cpp/poppler-toc.h                 |  2 +-
 glib/poppler-annot.cc             | 31 +++++++++++++++----------------
 glib/poppler-document.cc          |  6 +++---
 glib/poppler-form-field.cc        |  6 +-----
 glib/poppler-layer.cc             |  2 +-
 glib/poppler-media.cc             |  3 +--
 glib/poppler-movie.cc             |  3 +--
 glib/poppler-page.cc              |  2 +-
 glib/poppler-private.h            |  8 ++++----
 glib/poppler-structure-element.cc |  5 +++--
 goo/gfile.h                       |  2 +-
 poppler/CachedFile.h              |  4 ++--
 poppler/CairoFontEngine.cc        |  6 +++---
 poppler/CharTypes.h               |  6 +++---
 poppler/GfxState.h                |  6 +++---
 poppler/JPEG2000Stream.cc         |  4 ++--
 poppler/MarkedContentOutputDev.h  |  2 +-
 poppler/PSOutputDev.h             |  2 +-
 poppler/Stream.h                  |  4 ++--
 poppler/StructElement.cc          |  2 +-
 poppler/StructElement.h           |  4 ++--
 poppler/StructTreeRoot.h          |  2 +-
 poppler/TextOutputDev.h           |  2 +-
 poppler/UnicodeDecompTables.h     |  4 ++--
 poppler/UnicodeMap.h              |  2 +-
 qt5/tests/stress-threads-qt5.cpp  |  2 +-
 qt6/tests/stress-threads-qt6.cpp  |  2 +-
 splash/Splash.h                   |  6 +++---
 splash/SplashTypes.h              | 14 +++++++-------
 splash/SplashXPathScanner.h       |  8 ++++----
 test/gtk-test.cc                  |  4 ++--
 test/pdf-operators.h              |  4 ++--
 test/perf-test.cc                 |  4 ++--
 37 files changed, 88 insertions(+), 92 deletions(-)

commit e8da364d33d0aee58d8a2a3fd22e6a3d1570ce2a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 17:56:57 2026 +0100

    Enable modernize-avoid-bind

 .clang-tidy                |  1 -
 qt5/src/poppler-private.cc |  2 +-
 qt5/src/poppler-private.h  | 10 +++++-----
 qt6/src/poppler-private.cc |  2 +-
 qt6/src/poppler-private.h  | 10 +++++-----
 5 files changed, 12 insertions(+), 13 deletions(-)

commit f62ef5f21c4bcac99277ced28a7e4a07fc67421c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 17:10:55 2026 +0100

    clang-tidy: Add a few misc- checkers

 .clang-tidy | 5 +++++
 1 file changed, 5 insertions(+)

commit 20de8fbc4aeb0f055b1a64ed614b208f353f14e5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 2 14:59:34 2025 +0200

    CI: build_clang19_libcpp to build_clang21_libcpp

 .clang-tidy    |  1 +
 .gitlab-ci.yml | 12 ++++++------
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 666d0689450c79c5312492e147538dc9f3ac44f3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 16:38:44 2026 +0100

    Format the clang-tidy file in a somewhat more readable way

 .clang-tidy | 55 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 54 insertions(+), 1 deletion(-)

commit 8851c6d56be8707dfe82faa0173dab6a64f404d2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 16:29:56 2026 +0100

    Fix off by one comparison in buffer sizes

    The is no terminator written in buf, so the only problem happens
    if codeSize is > than bufSize, not >=

 poppler/UnicodeMap.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 41c1087cbc208e577f0d77d6ef1f32e117cac342
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 16:12:35 2026 +0100

    Fix math mistake in 2c81cb2aaeecf892974c5a629980c518cfbfd570

    The +1 needs to be now -1 since we're doing that one first ^_^

 poppler/SplashOutputDev.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e2e1a8096f687b55d99b5a17ab57273591ab6462
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 15:32:05 2026 +0100

    Use isAtEof instead of comparing to -1

 poppler/Hints.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 51ff120069db04b77927c7498cadc1aebf5a1b70
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 10 15:25:10 2026 +0100

    Update po[t] files

 utils/po/ca/pdfsig.po | 6 +++---
 utils/po/pdfsig.pot   | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit de92874b56cf3343f9939cf7ecfdf6cd76200e5f
Author: Jan Sundermeyer <sunderme@gmx.de>
Date:   Thu Jan 8 17:23:05 2026 +0100

    fix lock

 poppler/GlobalParams.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74fba2271c7282988f7e9b07c6dc3db4cbcf2e5c
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 14:02:46 2026 +0100

    Don't warn on readability-string-compare. We have too many string
    pointers

 .clang-tidy | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7eb91c754431a87c35fc461e31cbd5bafb2f0ddc
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 13:17:43 2026 +0100

    Replace GooString::cmp(const char*) with std::string::compare

 goo/GooString.h                |  1 -
 poppler/Annot.cc               | 38 +++++++++++++++++++-------------------
 poppler/Form.cc                |  2 +-
 poppler/Function.cc            | 14 +++++++-------
 poppler/GfxFont.cc             |  8 ++++----
 poppler/GfxState.cc            | 24 ++++++++++++------------
 poppler/GlobalParamsWin.cc     | 10 +++++-----
 poppler/PSOutputDev.cc         | 12 ++++++------
 poppler/SplashOutputDev.cc     |  2 +-
 qt5/tests/check_optcontent.cpp |  4 ++--
 qt6/tests/check_optcontent.cpp |  4 ++--
 test/image-embedding.cc        |  4 ++--
 utils/pdfimages.cc             |  2 +-
 utils/pdfinfo.cc               |  2 +-
 utils/pdftocairo-win32.cc      | 10 +++++-----
 utils/pdftocairo.cc            | 28 ++++++++++++++--------------
 utils/pdftohtml.cc             |  4 ++--
 utils/pdftoppm.cc              | 16 ++++++++--------
 utils/pdftops.cc               |  4 ++--
 utils/pdftotext.cc             | 10 +++++-----
 20 files changed, 99 insertions(+), 100 deletions(-)

commit 9e789e3c74e44c1f51304bc386e738cd5cf4bf2d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 12:58:54 2026 +0100

    Replace GooString::cmp(std::string) with std::string::compare

 goo/GooString.h                    | 1 -
 poppler/CMap.cc                    | 2 +-
 poppler/Form.cc                    | 4 ++--
 poppler/GfxState.cc                | 6 +++---
 qt5/tests/check_utf_conversion.cpp | 2 +-
 qt6/tests/check_utf_conversion.cpp | 2 +-
 6 files changed, 8 insertions(+), 9 deletions(-)

commit 39e922e6cc559ed1d77073f1cb614301d500b303
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 12:55:31 2026 +0100

    Replace GooString::cmp(GooString*) with std::string::compare

 goo/GooString.h         |  4 ++--
 poppler/Catalog.cc      | 10 +++++-----
 poppler/Form.cc         | 10 +++++-----
 poppler/GfxState.cc     |  2 +-
 poppler/PSOutputDev.cc  |  2 +-
 test/pdf-fullrewrite.cc |  6 ++----
 utils/pdfunite.cc       |  6 +++---
 7 files changed, 19 insertions(+), 21 deletions(-)

commit 56995d828a0c401bf9ac675a1343e656afdaa647
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 12:44:58 2026 +0100

    GooString::append replace with just using std::string::append,
    it just forwards

 goo/GooString.h | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 71534d8c429c895b1c6e0d9bc3e26b2abd363b3a
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 12:42:56 2026 +0100

    Replace GooString::Set(char,int) with std::string::assign

 goo/GooString.h               | 5 -----
 poppler/PDFDoc.cc             | 2 +-
 qt5/tests/check_goostring.cpp | 6 ------
 qt6/tests/check_goostring.cpp | 6 ------
 utils/pdftocairo-win32.cc     | 2 +-
 utils/pdftoppm.cc             | 2 +-
 6 files changed, 3 insertions(+), 20 deletions(-)

commit efd38a01d7ae650f5071497b5e6b2ca164a126c1
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 12:38:31 2026 +0100

    Replace GooString::Set(stringview) with std::string::assign

 goo/GooString.h            | 6 +-----
 poppler/CairoOutputDev.cc  | 2 +-
 poppler/CertificateInfo.cc | 6 +++---
 poppler/GlobalParams.cc    | 8 ++++----
 poppler/GlobalParamsWin.cc | 4 ++--
 poppler/StructElement.cc   | 4 ++--
 utils/parseargs.cc         | 2 +-
 utils/pdftocairo-win32.cc  | 2 +-
 utils/pdftocairo.cc        | 4 ++--
 utils/pdftoppm.cc          | 2 +-
 10 files changed, 18 insertions(+), 22 deletions(-)

commit 0751b1f697860549f62d82ed0408d69b43e7e82d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 12:17:08 2026 +0100

    Drop GooString::append(char)

 fofi/FoFiType1C.cc         | 86
 +++++++++++++++++++++++-----------------------
 goo/GooString.cc           |  8 ++---
 goo/GooString.h            |  2 +-
 goo/gfile.cc               |  4 +--
 poppler/Annot.cc           | 40 ++++++++++-----------
 poppler/CairoOutputDev.cc  |  2 +-
 poppler/DateInfo.cc        |  2 +-
 poppler/Error.cc           |  2 +-
 poppler/Form.cc            |  2 +-
 poppler/Function.cc        |  6 ++--
 poppler/GfxFont.cc         |  2 +-
 poppler/GlobalParamsWin.cc |  2 +-
 poppler/PDFDoc.cc          |  4 +--
 poppler/PSOutputDev.cc     | 18 +++++-----
 poppler/PageLabelInfo_p.h  | 16 ++++-----
 poppler/Parser.cc          |  2 +-
 poppler/SecurityHandler.cc |  4 +--
 poppler/TextOutputDev.cc   |  2 +-
 utils/HtmlOutputDev.cc     |  2 +-
 utils/pdfsig.cc            |  2 +-
 20 files changed, 104 insertions(+), 104 deletions(-)

commit 06f3b02819e25c66e59e6db365f03bdf0ab68f78
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 11:37:58 2026 +0100

    Drop GooString::formatLongLong

 goo/GooString.cc | 11 -----------
 goo/GooString.h  |  2 --
 utils/pdfsig.cc  |  8 +++-----
 3 files changed, 3 insertions(+), 18 deletions(-)

commit a529c867d02fde5a71dd042a41dabeb65b769678
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jan 8 11:27:26 2026 +0100

    Reduce GooString std::string differences a bit

    Remove some overloads that doesn't exist in the same way in std::string
    Drop almost-unused chaining of append

 goo/GooString.h               | 40
 ++++------------------------------------
 poppler/Annot.cc              | 12 ++++++++----
 poppler/Array.cc              |  2 +-
 poppler/Catalog.cc            |  2 +-
 poppler/CertificateInfo.cc    |  6 +++---
 poppler/Form.cc               |  2 +-
 poppler/GfxFont.cc            |  2 +-
 poppler/GlobalParams.cc       |  4 ++--
 poppler/PDFDoc.cc             |  2 +-
 poppler/PageLabelInfo.cc      |  2 +-
 poppler/PageLabelInfo_p.h     |  1 +
 poppler/StructElement.cc      | 12 ++++--------
 qt5/tests/check_goostring.cpp | 12 ------------
 qt6/tests/check_goostring.cpp | 12 ------------
 utils/HtmlFonts.cc            |  8 ++++----
 utils/HtmlLinks.cc            |  2 +-
 utils/HtmlOutputDev.cc        |  8 ++++----
 17 files changed, 37 insertions(+), 92 deletions(-)

commit 49af3258aaf2b0a33c3ec5db4e59c48b94ced2d9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 19:41:02 2026 +0100

    Fix integer overflow found by oss-fuzz

 fofi/FoFiTrueType.cc | 3 +++
 1 file changed, 3 insertions(+)

commit bbc6cc1a0a5ab95a15b06d95e48b791a619883a3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 19:23:00 2026 +0100

    Fix integer overflow found by oss-fuzz

 fofi/FoFiTrueType.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 2c81cb2aaeecf892974c5a629980c518cfbfd570
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 19:16:47 2026 +0100

    Fix integer overflow found by oss-fuzz

 poppler/SplashOutputDev.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit d9f481a3efbf50072ca893df232d44aa87458e08
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 19:04:23 2026 +0100

    Fix integer overflow found by oss-fuzz

    by moving the cast to double earlier in the chain

 poppler/SplashOutputDev.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 97cce914b59713fecf5f539ca56867202176e5b1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 18:54:43 2026 +0100

    Splash::drawImage: Fix integer overflow found by oss-fuzz

 splash/Splash.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit fb80a13f2faa377f0c1b9d3c1763769d5628cc7d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 18:44:10 2026 +0100

    Update po[t] files

 utils/po/ca/pdfsig.po | 6 +++---
 utils/po/pdfsig.pot   | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 8493babc669cea10b019ef755f9636035086efc8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 18:41:58 2026 +0100

    cpp: test: Add a way to load file into memory

    It uses a slightly different codepath and some of the crash found by
    oss-fuzz only trigger by doing this

 cpp/tests/poppler-render.cpp | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit a486ffba21931638cfca4b10ebf2079bd9af2bc6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 18:41:21 2026 +0100

    Fix crash on broken files

 splash/SplashXPathScanner.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit afd90e3d2cad0eac8f125f4cc5d55b89b03fc508
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 12:07:23 2026 +0100

    Move x1 and mask to where they are used

    Unfortunately since they are different types, mask needs to be declared
    outside the for loop

 poppler/JBIG2Stream.cc | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

commit 9323452e506206eb6376c4cbc5e78b8c2bf2426e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 12:04:31 2026 +0100

    Move i to where it is used

 poppler/JBIG2Stream.cc | 33 +++++++++++++++++++--------------
 1 file changed, 19 insertions(+), 14 deletions(-)

commit f9202b86804f3374d3b31b236f9e879788976831
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 12:02:56 2026 +0100

    Move atP0, atP1, atP2, atP3 to where they are used

 poppler/JBIG2Stream.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 534385b608d2e0140e7e68f528ededc3779c4b4e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 12:01:10 2026 +0100

    Move p0, p1, p2, pp to where they are used

 poppler/JBIG2Stream.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e5878c15034fb79b20bb28d9ff88f82a16f7c186
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:58:16 2026 +0100

    Move atBuf0, atBuf1, atBuf2, atBuf3 to where they are used

 poppler/JBIG2Stream.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit de5f7facfd3706ba60dfc5ce5c075d51ffed0fc0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:55:17 2026 +0100

    Move refLine, codingLine to where they are used

 poppler/JBIG2Stream.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit fcb8fef8709f08d6351820add4c9e5d8e4160e48
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:52:57 2026 +0100

    Move code1, code2, code3 where they are used

 poppler/JBIG2Stream.cc | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 1e1a2a8bae0fa5056468959b8a2a10307771da5b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:50:04 2026 +0100

    Move  buf0, buf1, buf2 to where they are used

 poppler/JBIG2Stream.cc | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit b4e0dd5bcef1b3be9285b48b115a32e6101c4f1a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:46:15 2026 +0100

    Move ltp variable to where it is used

 poppler/JBIG2Stream.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 5339e88ce935648d6e679fbb9420f98b42707d65
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:45:44 2026 +0100

    Move y variable to where it is used

 poppler/JBIG2Stream.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 53dcae3f29f936a19458f9c4aff5ed6b60a653a3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:45:09 2026 +0100

    Remove the pix variable, it is never used

 poppler/JBIG2Stream.cc | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 2f9d12fda6ff7b84f40e9b6e790fd1c6f9092a09
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:41:25 2026 +0100

    Move ltpCX declaration to where it is used

    And calculate its value with an immediately invoked lambda to make it
    const

 poppler/JBIG2Stream.cc | 35 ++++++++++++++++++-----------------
 1 file changed, 18 insertions(+), 17 deletions(-)

commit 55870475da6b4217c56a6797da1cfdaf39362b9a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:36:52 2026 +0100

    Move atShift0, atShift1, atShift2, atShift3 declarations to where
    they are used

    They can now be const

 poppler/JBIG2Stream.cc | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 35538c38deb80c5fbbbfd257c2186c3a09e81b0b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:34:51 2026 +0100

    Move a0i, b1i, blackPixels declarations to where they are used

 poppler/JBIG2Stream.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 29629e3c20234f20e1fd36636d97e174bdce728b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:33:01 2026 +0100

    Move x and x0 declarations to where they are used

 poppler/JBIG2Stream.cc | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit b360ecb3cac52569da976885f5cb7b8f30af1813
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 9 11:31:14 2026 +0100

    Move cx, cx0, cx1, cx2 declarations to where they are used

    They can now be declared as const

 poppler/JBIG2Stream.cc | 63
 +++++++++++++++++++++++++-------------------------
 1 file changed, 31 insertions(+), 32 deletions(-)

commit 8a4e9f555d4d1a7f352ef1d93d6d15de53261687
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jan 7 16:30:48 2026 +0100

    Memory cleanup in fonts

    Less manual refcounting, use smartpointers instead
    More const correctness
    Fewer members in splashfontsource

 fofi/FoFiBase.cc             |  2 +-
 fofi/FoFiBase.h              |  4 ++--
 fofi/FoFiTrueType.cc         |  6 ++---
 fofi/FoFiTrueType.h          |  6 ++---
 fofi/FoFiType1C.cc           |  4 ++--
 fofi/FoFiType1C.h            |  4 ++--
 poppler/SplashOutputDev.cc   | 12 +++++-----
 splash/SplashFTFont.cc       |  8 +++----
 splash/SplashFTFont.h        |  2 +-
 splash/SplashFTFontEngine.cc | 16 ++++++-------
 splash/SplashFTFontEngine.h  | 12 +++++-----
 splash/SplashFTFontFile.cc   | 34 ++++++++++++++--------------
 splash/SplashFTFontFile.h    | 18 ++++++++++-----
 splash/SplashFont.cc         |  4 +---
 splash/SplashFont.h          |  8 +++----
 splash/SplashFontEngine.cc   | 54
 +++++++++++++++++---------------------------
 splash/SplashFontEngine.h    | 16 ++++++-------
 splash/SplashFontFile.cc     | 28 ++---------------------
 splash/SplashFontFile.h      | 25 ++++++++------------
 19 files changed, 112 insertions(+), 151 deletions(-)

commit a956f036584161a23958ba5886e5d1d43d9404ff
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 22:58:18 2026 +0100

    Fix what is considered an undefined shift

    In c3577325de5b9d59539c2413dcc66283df062ffa the check against 32 was
    introduced but it should have been >= not >

    Also use the new constepxr i introduced in
    e7f954faaaa26e5a14020012797503bcc23f1987
    instead of hardcoding to 32 (which if it's not 32 we're going to be in
    so much trouble.... but anyway)

 poppler/JBIG2Stream.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 0fdb323cefcb0648a14bd42598b29cb16fe6a534
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 22:51:06 2026 +0100

    Convert imgIDs into a std::set

 poppler/PSOutputDev.cc | 28 +++-------------------------
 poppler/PSOutputDev.h  |  4 +---
 2 files changed, 4 insertions(+), 28 deletions(-)

commit d53d56bc6635771ceb6c00805c69c2d1638b941c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 19:32:33 2026 +0100

    Turn baseMatrix into a std::array<double, 6>

 poppler/CairoOutputDev.cc  |  6 +++---
 poppler/CairoOutputDev.h   |  8 ++++----
 poppler/Gfx.cc             | 30 +++++++-----------------------
 poppler/Gfx.h              |  6 +++---
 poppler/OutputDev.cc       |  4 ++--
 poppler/OutputDev.h        |  4 ++--
 poppler/PSOutputDev.cc     |  4 ++--
 poppler/PSOutputDev.h      |  6 +++---
 poppler/SplashOutputDev.cc |  4 ++--
 poppler/SplashOutputDev.h  |  4 ++--
 10 files changed, 30 insertions(+), 46 deletions(-)

commit 99433381912d2d5963646cc54ddd22e3c5db071b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 19:11:22 2026 +0100

    Convert a few more double * to std::array<double, 6>

 poppler/CairoOutputDev.cc     |  6 +++---
 poppler/CairoOutputDev.h      |  6 +++---
 poppler/Gfx.cc                | 15 +++++++--------
 poppler/GfxState.cc           |  2 +-
 poppler/GfxState.h            |  8 ++++----
 poppler/OutputDev.cc          |  6 ++----
 poppler/OutputDev.h           |  4 ++--
 poppler/SplashOutputDev.cc    | 32 ++++++++++++++------------------
 qt5/src/QPainterOutputDev.cc  |  2 +-
 qt5/src/QPainterOutputDev.h   |  4 ++--
 qt5/src/poppler-annotation.cc |  4 ++--
 qt5/src/poppler-form.cc       |  2 +-
 qt6/src/QPainterOutputDev.cc  |  2 +-
 qt6/src/QPainterOutputDev.h   |  4 ++--
 qt6/src/poppler-annotation.cc |  4 ++--
 qt6/src/poppler-form.cc       |  4 ++--
 utils/ImageOutputDev.cc       |  4 ++--
 17 files changed, 51 insertions(+), 58 deletions(-)

commit 8d627b1b900502380d53a80ee29d43c6df43c4ff
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 18:44:53 2026 +0100

    Remove unused functions

 poppler/OutputDev.cc | 20 ++------------------
 poppler/OutputDev.h  |  9 ++-------
 2 files changed, 4 insertions(+), 25 deletions(-)

commit 2ea9f4ec271aeb88fcd80082f47f61f4f9cd4cd6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 18:36:31 2026 +0100

    We can use the default code for HtmlFont copy constructor and
    assignment

 utils/HtmlFonts.cc | 28 ----------------------------
 utils/HtmlFonts.h  |  2 --
 2 files changed, 30 deletions(-)

commit 1434110ce65845901c8c02b393c46d29b23c84d1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 18:33:42 2026 +0100

    Make getTextMat return an std::array instead of double *

    Helped catch a bug in HtmlOutputDev where the print_matrix function
    always assumed 6 elements in the double * but sometimes only had 4

 poppler/CairoOutputDev.cc    |  4 ++--
 poppler/Gfx.cc               |  6 +++---
 poppler/GfxState.cc          |  2 +-
 poppler/GfxState.h           |  4 ++--
 poppler/PSOutputDev.cc       |  4 ++--
 poppler/SplashOutputDev.cc   |  3 +--
 qt5/src/QPainterOutputDev.cc |  6 +++---
 qt6/src/QPainterOutputDev.cc |  6 +++---
 utils/HtmlFonts.cc           |  6 +++---
 utils/HtmlFonts.h            | 10 +++++-----
 utils/HtmlOutputDev.cc       | 17 +++++++++++------
 utils/HtmlUtils.h            | 11 ++++++++---
 12 files changed, 44 insertions(+), 35 deletions(-)

commit 58ffc579500e44d6669e01da4366f52e50fcbf64
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 14:34:38 2026 +0100

    GfxGouraudTriangleShading::getTriangle is const

 poppler/GfxState.cc | 4 ++--
 poppler/GfxState.h  | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 9948cdb7724be6c21d8099691bde751b03f111f4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 14:15:00 2026 +0100

    Give up on JBIG2Stream::readGenericRefinementRegion faster on
    broken files

 poppler/JBIG2Stream.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 82d85f2b5a24da02d664a9a2644d4adc701c456e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 17:08:45 2026 +0100

    Pass SplashFontSrc around as a unique_ptr

    Also remove comments about removing temporary files linked to
    SplashFontSrc, we have not had temporary files in SplashFontSrc for a
    long time

 poppler/SplashOutputDev.cc   | 60 +++++++++++++----------------------
 splash/SplashFTFontEngine.cc | 26 ++++++++--------
 splash/SplashFTFontEngine.h  | 14 ++++-----
 splash/SplashFTFontFile.cc   | 17 +++++-----
 splash/SplashFTFontFile.h    | 10 +++---
 splash/SplashFontEngine.cc   | 74
 ++++++++------------------------------------
 splash/SplashFontEngine.h    | 14 ++++-----
 splash/SplashFontFile.cc     | 29 +++--------------
 splash/SplashFontFile.h      | 14 +++------
 9 files changed, 84 insertions(+), 174 deletions(-)

commit 02d7a528c7cc5ccf31402fc56b35a23ddc7ae5d8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 15:14:05 2026 +0100

    Remove stray function declaration

 splash/SplashFontFile.h | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 751617d0ff1505ebb003b5a2e0cba5fc3e1e557c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 14:29:18 2026 +0100

    Remove unused member

 poppler/SplashOutputDev.cc | 9 ++++-----
 poppler/SplashOutputDev.h  | 7 +++----
 2 files changed, 7 insertions(+), 9 deletions(-)

commit 61631449da095d44a9d56755cc33909f2b028d99
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 14:15:25 2026 +0100

    Remove unused function

 poppler/GfxState.cc | 8 +-------
 poppler/GfxState.h  | 3 +--
 2 files changed, 2 insertions(+), 9 deletions(-)

commit 0a4419c61d5f625347e06e901fc52027ac3b4e72
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jan 6 15:10:39 2026 +0100

    TextPage: stop manual refcount

    Use smartpointers to manage lifetime instead

 cpp/poppler-page.cpp           |  3 +--
 glib/poppler-page.cc           | 14 ++++----------
 glib/poppler-private.h         |  2 +-
 poppler/CairoOutputDev.cc      | 19 ++++---------------
 poppler/CairoOutputDev.h       |  6 +++---
 poppler/TextOutputDev.cc       | 41
 +++++++++--------------------------------
 poppler/TextOutputDev.h        | 19 +++++++------------
 qt5/src/poppler-page-private.h |  2 +-
 qt5/src/poppler-page.cc        | 28 ++++++++++------------------
 qt6/src/poppler-page-private.h |  2 +-
 qt6/src/poppler-page.cc        | 16 ++++++----------
 11 files changed, 47 insertions(+), 105 deletions(-)

commit 956c68d0261969a79654a191de7ba3b13713706d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 22:56:59 2025 +0100

    pdfsig: Use std::put_time instead of strftime

    Allows us of getting rid of gmem.h in pdfsig

 utils/pdfsig.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 78a1f3df2c89f849025a1fccd0731ddb2c6498b7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 24 02:23:53 2025 +0100

    Make DefaultAppearance font name a std::string instead of an Object

 glib/poppler-annot.cc           |  6 +++---
 poppler/Annot.cc                | 36 ++++++++++++++++----------------
 poppler/Annot.h                 | 10 ++++-----
 poppler/Form.cc                 | 46
 ++++++++++++++++++++---------------------
 poppler/PDFDoc.cc               |  2 +-
 qt5/src/poppler-annotation.cc   |  2 +-
 qt5/tests/check_annotations.cpp | 10 ++++-----
 qt6/src/poppler-annotation.cc   |  2 +-
 qt6/tests/check_annotations.cpp | 10 ++++-----
 9 files changed, 61 insertions(+), 63 deletions(-)

commit 6b0590ccbfaecdb33eae8a9e75b0b16dda890035
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 24 11:28:50 2025 +0100

    Replace insert(int i, int count, char c) that use count=1

 poppler/FileSpec.cc        | 2 +-
 poppler/Form.cc            | 2 +-
 poppler/GlobalParamsWin.cc | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 5ef42c042475c41e2009b81dfaeb865453027b9e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 00:24:18 2026 +0100

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d3c0e9ca648efbca25a32741ebef9386afc53d1d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 6 23:13:29 2026 +0100

    poppler 26.01.0

 CMakeLists.txt         |  8 ++++----
 NEWS                   | 17 +++++++++++++++++
 cpp/CMakeLists.txt     |  2 +-
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt6/src/CMakeLists.txt |  2 +-
 qt6/src/Doxyfile       |  2 +-
 8 files changed, 27 insertions(+), 10 deletions(-)

commit 1488453ff3abb73d9f36304f443146fd3e53cf9f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 6 22:56:05 2026 +0100

    Welcome 2026

 poppler/poppler-config.h.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f68e067796814f0f2b8bf6e50657937178abf55
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 6 22:55:26 2026 +0100

    Update (C)

 glib/poppler-annot.h     | 1 +
 glib/poppler.h           | 1 +
 poppler/Form.cc          | 2 +-
 poppler/PDFRectangle.h   | 1 +
 poppler/Page.cc          | 2 +-
 poppler/TextOutputDev.cc | 2 +-
 poppler/TextOutputDev.h  | 4 ++--
 qt5/src/poppler-page.cc  | 2 +-
 qt6/src/poppler-page.cc  | 2 +-
 test/perf-test.cc        | 2 +-
 10 files changed, 11 insertions(+), 8 deletions(-)

commit c069d906d88acc2c68a891fef7b1c289094491de
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 6 22:36:02 2026 +0100

    Fix for loop, < has higher preference than ?

 poppler/Form.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7388ecb24452dec86f74540e1849dc41d7c36202
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jan 6 11:54:25 2026 +0000

    TextOutputDev: use pdfRectangle instead of coords

 poppler/TextOutputDev.cc | 11 +++++++----
 poppler/TextOutputDev.h  |  7 ++++---
 qt5/src/poppler-page.cc  |  6 +++---
 qt6/src/poppler-page.cc  |  6 +++---
 test/perf-test.cc        |  2 +-
 5 files changed, 18 insertions(+), 14 deletions(-)

commit 138e13c7b3a2246ac9883f2f65d0ef03dcc08cb5
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sun Nov 9 21:02:46 2025 +0000

    FormField: fix Widget child mistakenly added as non-terminal Field

    The FormField constructor is the place where we lookup the 'Kids'
    array to find possible non-terminal Fields, which are added to
    the 'children' vector, and also possible Widget annotation's which
    are added to the 'widgets' vector.

    Issue #1640 exposes a case where a Widget annot (which was the solely
    child of the FormField) was mistakenly added to the 'children' vector
    instead of the 'widgets' one. This commit fixes that.

    The buggy logic (prior to this commit) was based on PDF spec < 1.7
    where Widget Annotations were not allowed to have a "Parent" entry,
    but PDF 1.7 spec introduced the "Parent" entry for Widget Annotations
    when it is the child of a Field (see Table 188 in 12.5.6.19 section).

    Fixes #1640 along with prior commit

 poppler/Form.cc | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

commit 481ab3e34e000181a530cb2d68b2102c82c6ed5c
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sat Nov 8 23:43:34 2025 +0000

    FormWidgetSignature: ensure V key is created in Field dict

    As per PDF spec, the value key "V" for a Signature field
    must be created in the Field dict, not in the Widget
    Annotation dict.

    The bug happened when the Field had the Widget annot as
    a child, in contrast to having the Widget keys merged
    in the Field dict which is also possible.

    Fixes #1640 along with the next commit

 poppler/Form.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 62c8f3b90a4865d298477bd52450a9abfb23f128
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 5 18:48:16 2026 +0100

    Document that you can't use text() with reading order together with
    a rectangle

 cpp/poppler-page.cpp    | 9 +++++++--
 poppler/TextOutputDev.h | 1 +
 qt5/src/poppler-page.cc | 6 +++++-
 qt5/src/poppler-qt5.h   | 5 ++++-
 qt6/src/poppler-page.cc | 6 +++++-
 qt6/src/poppler-qt6.h   | 6 +++++-
 6 files changed, 27 insertions(+), 6 deletions(-)

commit 303bdef882733253c1b48d4b37a2c6da36e31381
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jan 6 11:19:32 2026 +0100

    Drop default arguments to dump

    Given we have behavior changes here, let's ensure that users of the
    internal api is notified about the behavior changes and must make some
    decisions.

 poppler/PDFRectangle.h   | 36 ++++++++++++++++++------------------
 poppler/Page.cc          | 16 ++++++++--------
 poppler/TextOutputDev.cc | 12 ++++++------
 poppler/TextOutputDev.h  |  2 +-
 4 files changed, 33 insertions(+), 33 deletions(-)

commit 485cb3fedb9f8a49a03c680a5d2fe69f311130e0
Author: Maximiliano Sandoval <msandova@protonmail.com>
Date:   Sat Jan 3 18:29:33 2026 +0100

    glib: annot: Add missing since annotations

    For constants added in 37997df8.

 glib/poppler-annot.h | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit 1747ff1d8866b93e3b83135a9d5e513b40875553
Author: Maximiliano Sandoval <msandova@protonmail.com>
Date:   Sat Jan 3 12:09:09 2026 +0100

    glib: annot: Add missing since annotations

    These were added in b6a783b3.

 glib/poppler-annot.h | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit b22cf4d9e7df991d35134167699ae4a904aaec29
Author: Maximiliano Sandoval <msandova@protonmail.com>
Date:   Sat Jan 3 12:06:17 2026 +0100

    glib: Fix gir data for RenderAnnotsFlags

    Adds the following to the generated introspection file.

    ```diff
    @@ -12684,200 +12684,306 @@ returned from poppler_page_find_text()
    or poppler_page_find_text_with_options().
           </method>
         </record>
         <bitfield name="RenderAnnotsFlags"
    +              version="25.02"
                   glib:type-name="PopplerRenderAnnotsFlags"
                   glib:get-type="poppler_render_annots_flags_get_type"
                   c:type="PopplerRenderAnnotsFlags">
    +      <doc xml:space="preserve"
    +           filename="poppler.h"
    +           line="135">Flags to select which annotations to render. If
    the flag corresponding to a
    +certain annotation type is on, then such annotation type will
    be rendered,
    +when appropriate (e.g: won't be renderer if the annotation is
    not visible).
    +This allows to combine multiple flags, like
    +`POPPLER_RENDER_ANNOTS_LINK | POPPLER_RENDER_ANNOTS_TEXT`, or
    disable some
    +specific annotations like
    +`POPPLER_RENDER_ANNOTS_ALL &amp; (~POPPLER_RENDER_ANNOTS_TEXT)`</doc>
           <member name="none"
                   value="0"
                   c:identifier="POPPLER_RENDER_ANNOTS_NONE"
    ```

 glib/poppler.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f7a99255b6f771cdb0f31caf191936a9aefeffa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 5 15:40:09 2026 +0100

    Give up on JBIG2Stream::readGenericBitmap faster on broken files

 poppler/JArithmeticDecoder.cc | 10 ++++++++--
 poppler/JArithmeticDecoder.h  |  5 ++++-
 poppler/JBIG2Stream.cc        |  3 +++
 3 files changed, 15 insertions(+), 3 deletions(-)

commit 3d4637dbe53024e687559ea3c0ea2742f00e4d34
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 5 15:17:24 2026 +0100

    Fix infinite loop in HorizontalTextLayouter with broken files

 poppler/Annot.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 45b01116a075c01c72271608c7cb7406ee1a52bd
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Mon Jan 5 14:01:37 2026 +0530

    Add JSInfo fuzzying

 glib/tests/fuzzing/doc_attr_fuzzer.cc | 3 +++
 1 file changed, 3 insertions(+)

commit ed8d19eab3784e75bd9169ed8559d04b2f442de7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 5 00:29:44 2026 +0100

    Update (C)

 poppler/Lexer.cc          | 2 +-
 poppler/StructTreeRoot.cc | 2 +-
 poppler/StructTreeRoot.h  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 9a803e1f49e83bf5663412dc76b7a5bee5052b9a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 4 16:22:36 2026 +0100

    Allow to detect eof while reading the table in
    JBIG2Stream::readCodeTableSeg

 poppler/JBIG2Stream.cc | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit 84086d459c4b806465ce56dba51450b0439888ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 4 14:59:32 2026 +0100

    StructTreeRoot::parseNumberTreeNode: Protect against recursion

 poppler/StructTreeRoot.cc | 14 ++++++++++----
 poppler/StructTreeRoot.h  |  2 +-
 2 files changed, 11 insertions(+), 5 deletions(-)

commit e7f954faaaa26e5a14020012797503bcc23f1987
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 4 02:50:52 2026 +0100

    Do not shift more than 32 bits

    Makes the undefined sanitizer happier

 poppler/JBIG2Stream.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 95e2179981d984cd0c81f081809413d01b2fd40b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 30 15:53:20 2025 +0100

    Fix uninitialized memory use when reaching tokBufSize

    We were breaking without assigning anything to tokBuf so the last
    character was uninitialized

 poppler/Lexer.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47d94f39b9975fa9b99fbb39e4e9a8153ea636a6
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Thu Jan 1 17:32:28 2026 +0530

    Adds structured_text_fuzzer.cc to exercise Poppler's structured text
    parser through glib API

 glib/tests/fuzzing/structured_text_fuzzer.cc | 91
 ++++++++++++++++++++++++++++
 1 file changed, 91 insertions(+)

commit c3bca8ed0bdb76f0551f2a73a65af0b62a159109
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 31 14:44:09 2025 +0100

    Update (C)

 glib/poppler-annot.cc        | 1 +
 glib/poppler-annot.h         | 1 +
 qt5/src/poppler-annotation.h | 1 +
 qt6/src/poppler-annotation.h | 1 +
 4 files changed, 4 insertions(+)

commit 37997df8f6dfee5ed90a7f12014dc1e443eacb68
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Mon Dec 29 21:04:26 2025 +0530

    glib, qt5, qt6: Add documentation for new supported annotation icons

 glib/poppler-annot.cc        | 26 ++++++++++++++++++++++++++
 glib/poppler-annot.h         |  7 +++++++
 qt5/src/poppler-annotation.h | 13 +++++++++++++
 qt6/src/poppler-annotation.h | 13 +++++++++++++
 4 files changed, 59 insertions(+)

commit e089d46ef570cdee2c823dad986c2c3897b42498
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 29 00:47:17 2025 +0100

    AnnotInk: Don't crash when ExtGState is an empty dict

 poppler/Annot.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 96c86ea130a4eae213998a3888cfad532b4edc8e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 28 11:56:58 2025 +0100

    Add paragraph about forking issues

 README.contributors | 4 ++++
 1 file changed, 4 insertions(+)

commit 0c36f421d48ced79dda760d6badffbb6d9613edb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 28 11:42:34 2025 +0100

    Update (C)

 cpp/poppler-embedded-file.cpp   | 1 +
 glib/poppler-attachment.cc      | 1 +
 glib/poppler-media.cc           | 1 +
 poppler/Annot.cc                | 2 ++
 poppler/CMap.cc                 | 1 +
 poppler/CairoOutputDev.cc       | 1 +
 poppler/DCTStream.cc            | 1 +
 poppler/DCTStream.h             | 1 +
 poppler/Decrypt.cc              | 1 +
 poppler/Decrypt.h               | 1 +
 poppler/FileSpec.cc             | 1 +
 poppler/FlateEncoder.cc         | 1 +
 poppler/FlateEncoder.h          | 1 +
 poppler/FlateStream.cc          | 1 +
 poppler/FlateStream.h           | 1 +
 poppler/Function.cc             | 1 +
 poppler/Gfx.cc                  | 1 +
 poppler/GfxFont.cc              | 1 +
 poppler/GfxState.cc             | 1 +
 poppler/Hints.cc                | 1 +
 poppler/JBIG2Stream.cc          | 1 +
 poppler/JBIG2Stream.h           | 3 ++-
 poppler/JPEG2000Stream.cc       | 1 +
 poppler/JPEG2000Stream.h        | 1 +
 poppler/JPXStream.cc            | 1 +
 poppler/JPXStream.h             | 1 +
 poppler/Lexer.cc                | 1 +
 poppler/Linearization.cc        | 1 +
 poppler/Object.h                | 1 +
 poppler/OutputDev.cc            | 1 +
 poppler/PDFDoc.cc               | 1 +
 poppler/PSOutputDev.cc          | 1 +
 poppler/Page.cc                 | 1 +
 poppler/Parser.cc               | 1 +
 poppler/PreScanOutputDev.cc     | 1 +
 poppler/Rendition.cc            | 1 +
 poppler/SplashOutputDev.cc      | 1 +
 poppler/Stream.cc               | 1 +
 poppler/Stream.h                | 1 +
 poppler/XRef.cc                 | 1 +
 qt5/src/QPainterOutputDev.cc    | 1 +
 qt5/src/poppler-document.cc     | 1 +
 qt5/src/poppler-embeddedfile.cc | 1 +
 qt5/src/poppler-media.cc        | 1 +
 qt5/src/poppler-sound.cc        | 1 +
 qt6/src/QPainterOutputDev.cc    | 1 +
 qt6/src/poppler-document.cc     | 1 +
 qt6/src/poppler-embeddedfile.cc | 1 +
 qt6/src/poppler-media.cc        | 1 +
 qt6/src/poppler-sound.cc        | 1 +
 test/pdf-fullrewrite.cc         | 1 +
 utils/HtmlOutputDev.cc          | 1 +
 utils/ImageOutputDev.cc         | 1 +
 53 files changed, 55 insertions(+), 1 deletion(-)

commit a296678f14059f0285799a1b4f56eba2718a7253
Author: Aditya Tiwari <suntiwari3495@gmail.com>
Date:   Sun Dec 28 15:53:14 2025 +0530

    Add support for de-facto standard annotation icons

    Implements Check, Star, RightArrow, RightPointer, UpArrow,
    UpLeftArrow, and CrossHairs icons that were previously
    invisible in Poppler-based PDF viewers.

    Fixes #1492

 poppler/Annot.cc | 72
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

commit fa74405862aa893d45bb38d498aee765559a13f0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 28 02:09:05 2025 +0100

    Rewrite the code a bit to make clang-tidy happier

    We know the sizeof clearly fits in an integer since it's most probably
    going to be 4 and 8

 poppler/XRef.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 03c23d9209f49c37d1a9127d8d2ba5eb2f8f3f18
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 28 01:49:45 2025 +0100

    Splash::composite: Move for iterator variables declaration to the loops

 splash/Splash.cc | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 9dbeaddd275af1481aa0739f94eae825b93b99e6
Author: Arnav V <arnav0872@gmail.com>
Date:   Sun Dec 28 00:24:59 2025 +0000

    Rename Stream::reset() to Stream::rewind()

 cpp/poppler-embedded-file.cpp   |   2 +-
 glib/poppler-attachment.cc      |   2 +-
 glib/poppler-media.cc           |   2 +-
 poppler/Annot.cc                |   2 +-
 poppler/CMap.cc                 |   2 +-
 poppler/CairoOutputDev.cc       |  20 +++----
 poppler/DCTStream.cc            |   4 +-
 poppler/DCTStream.h             |   2 +-
 poppler/Decrypt.cc              |  12 ++--
 poppler/Decrypt.h               |   6 +-
 poppler/FileSpec.cc             |   2 +-
 poppler/FlateEncoder.cc         |   6 +-
 poppler/FlateEncoder.h          |   2 +-
 poppler/FlateStream.cc          |   6 +-
 poppler/FlateStream.h           |   2 +-
 poppler/Function.cc             |   8 +--
 poppler/Gfx.cc                  |   4 +-
 poppler/GfxFont.cc              |   4 +-
 poppler/GfxState.cc             |   4 +-
 poppler/Hints.cc                |   8 +--
 poppler/JBIG2Stream.cc          |   6 +-
 poppler/JBIG2Stream.h           |   4 +-
 poppler/JPEG2000Stream.cc       |   2 +-
 poppler/JPEG2000Stream.h        |   2 +-
 poppler/JPXStream.cc            |   6 +-
 poppler/JPXStream.h             |   2 +-
 poppler/Lexer.cc                |   6 +-
 poppler/Linearization.cc        |   2 +-
 poppler/Object.h                |   2 +-
 poppler/OutputDev.cc            |   4 +-
 poppler/PDFDoc.cc               |  22 ++++----
 poppler/PSOutputDev.cc          |  50 ++++++++---------
 poppler/Page.cc                 |   2 +-
 poppler/Parser.cc               |   2 +-
 poppler/PreScanOutputDev.cc     |   4 +-
 poppler/Rendition.cc            |   2 +-
 poppler/SplashOutputDev.cc      |  18 +++---
 poppler/Stream.cc               | 118
 ++++++++++++++++++++--------------------
 poppler/Stream.h                |  98 ++++++++++++++++-----------------
 poppler/XRef.cc                 |   6 +-
 qt5/src/QPainterOutputDev.cc    |   8 +--
 qt5/src/poppler-document.cc     |   2 +-
 qt5/src/poppler-embeddedfile.cc |   2 +-
 qt5/src/poppler-media.cc        |   2 +-
 qt5/src/poppler-sound.cc        |   2 +-
 qt6/src/QPainterOutputDev.cc    |   8 +--
 qt6/src/poppler-document.cc     |   2 +-
 qt6/src/poppler-embeddedfile.cc |   2 +-
 qt6/src/poppler-media.cc        |   2 +-
 qt6/src/poppler-sound.cc        |   2 +-
 test/pdf-fullrewrite.cc         |   4 +-
 utils/HtmlOutputDev.cc          |  12 ++--
 utils/ImageOutputDev.cc         |  20 +++----
 53 files changed, 263 insertions(+), 263 deletions(-)

commit b8fbb36ab8878016bf3f670d550ecd6a4e076cf4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 26 12:43:12 2025 +0100

    convertToCIDType0: take const std::string instead of char *

 fofi/FoFiTrueType.cc   | 2 +-
 fofi/FoFiTrueType.h    | 2 +-
 fofi/FoFiType1C.cc     | 4 ++--
 fofi/FoFiType1C.h      | 2 +-
 poppler/PSOutputDev.cc | 6 +++---
 5 files changed, 8 insertions(+), 8 deletions(-)

commit 731f946d26331c265975ffacbaf5a89ab0b07427
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 26 12:30:07 2025 +0100

    convertToType0: take const std::string instead of char *

 fofi/FoFiTrueType.cc   | 14 +++++++-------
 fofi/FoFiTrueType.h    |  4 ++--
 fofi/FoFiType1C.cc     |  8 ++++----
 fofi/FoFiType1C.h      |  2 +-
 poppler/PSOutputDev.cc |  8 ++++----
 5 files changed, 18 insertions(+), 18 deletions(-)

commit 51252b13a4a6e5ba9297898e1511f43aa6cb09cb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 26 12:20:50 2025 +0100

    FoFiTrueType::cvtSfnts: Take std::optional<std::string> instead of
    GooString *

 fofi/FoFiTrueType.cc | 10 ++++------
 fofi/FoFiTrueType.h  |  2 +-
 2 files changed, 5 insertions(+), 7 deletions(-)

commit d2b283de005c2d0eed99102bc285ddc624039ca9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 27 11:41:00 2025 +0100

    Update (C)

 cpp/poppler-destination-private.h      | 1 +
 cpp/poppler-document-private.h         | 2 +-
 cpp/poppler-embedded-file-private.h    | 2 +-
 cpp/poppler-embedded-file.h            | 2 +-
 cpp/poppler-font.cpp                   | 1 +
 cpp/poppler-image.h                    | 2 +-
 cpp/poppler-page-transition.h          | 2 +-
 cpp/poppler-private.cpp                | 2 +-
 fofi/FoFiBase.h                        | 2 +-
 fofi/FoFiEncodings.cc                  | 2 +-
 fofi/FoFiEncodings.h                   | 2 +-
 fofi/FoFiIdentifier.h                  | 2 +-
 fofi/FoFiType1.cc                      | 2 +-
 glib/poppler-layer.cc                  | 1 +
 glib/poppler-media.cc                  | 1 +
 glib/poppler-movie.cc                  | 1 +
 glib/poppler-page.cc                   | 1 +
 goo/NetPBMWriter.cc                    | 2 +-
 goo/NetPBMWriter.h                     | 2 +-
 goo/gmem.h                             | 2 +-
 poppler/AnnotStampImageHelper.cc       | 2 +-
 poppler/Array.h                        | 2 +-
 poppler/BuiltinFont.h                  | 2 +-
 poppler/CairoFontEngine.h              | 2 +-
 poppler/CairoRescaleBox.h              | 2 +-
 poppler/CertificateInfo.h              | 2 +-
 poppler/CurlCachedFile.cc              | 2 +-
 poppler/CurlCachedFile.h               | 2 +-
 poppler/DateInfo.cc                    | 2 +-
 poppler/Decrypt.cc                     | 2 +-
 poppler/Decrypt.h                      | 2 +-
 poppler/Dict.h                         | 2 +-
 poppler/Error.cc                       | 2 +-
 poppler/FILECacheLoader.cc             | 2 +-
 poppler/FontEncodingTables.cc          | 1 +
 poppler/Hints.cc                       | 2 +-
 poppler/Hints.h                        | 2 +-
 poppler/JArithmeticDecoder.cc          | 1 +
 poppler/JBIG2Stream.h                  | 2 +-
 poppler/JPEG2000Stream.cc              | 2 +-
 poppler/JPXStream.cc                   | 2 +-
 poppler/JPXStream.h                    | 2 +-
 poppler/JSInfo.cc                      | 2 +-
 poppler/JSInfo.h                       | 2 +-
 poppler/Lexer.cc                       | 2 +-
 poppler/Linearization.cc               | 2 +-
 poppler/MarkedContentOutputDev.cc      | 2 +-
 poppler/MarkedContentOutputDev.h       | 2 +-
 poppler/NameToCharCode.cc              | 2 +-
 poppler/NameToUnicodeTable.h           | 2 +-
 poppler/Object.cc                      | 2 +-
 poppler/Object.h                       | 2 +-
 poppler/PSTokenizer.cc                 | 2 +-
 poppler/Page.h                         | 2 +-
 poppler/Parser.cc                      | 2 +-
 poppler/SecurityHandler.cc             | 2 +-
 poppler/SecurityHandler.h              | 2 +-
 poppler/SignatureInfo.cc               | 2 +-
 poppler/StructElement.h                | 2 +-
 poppler/StructTreeRoot.cc              | 2 +-
 poppler/UnicodeMap.cc                  | 2 +-
 poppler/UnicodeMap.h                   | 2 +-
 poppler/UnicodeMapFuncs.h              | 2 +-
 poppler/XRef.h                         | 2 +-
 qt5/demos/toc.cpp                      | 2 +-
 qt5/demos/viewer.cpp                   | 2 +-
 qt5/src/poppler-annotation-helper.h    | 2 +-
 qt5/src/poppler-embeddedfile-private.h | 2 +-
 qt5/src/poppler-embeddedfile.cc        | 2 +-
 qt5/src/poppler-movie.cc               | 2 +-
 qt5/src/poppler-optcontent.cc          | 2 +-
 qt5/src/poppler-page-private.h         | 2 +-
 qt5/src/poppler-pdf-converter.cc       | 2 +-
 qt5/src/poppler-private.cc             | 2 +-
 qt5/src/poppler-qiodeviceinstream.cc   | 1 +
 qt6/demos/navigationtoolbar.cpp        | 2 +-
 qt6/demos/toc.cpp                      | 2 +-
 qt6/src/poppler-annotation-helper.h    | 2 +-
 qt6/src/poppler-base-converter.cc      | 2 +-
 qt6/src/poppler-embeddedfile-private.h | 2 +-
 qt6/src/poppler-embeddedfile.cc        | 2 +-
 qt6/src/poppler-movie.cc               | 2 +-
 qt6/src/poppler-optcontent.cc          | 2 +-
 qt6/src/poppler-page-private.h         | 2 +-
 qt6/src/poppler-pdf-converter.cc       | 2 +-
 qt6/src/poppler-private.cc             | 2 +-
 qt6/src/poppler-qiodeviceinstream.cc   | 1 +
 splash/SplashPath.cc                   | 2 +-
 test/pdf-inspector.cc                  | 2 +-
 utils/HtmlFonts.cc                     | 2 +-
 utils/HtmlOutputDev.h                  | 2 +-
 utils/InMemoryFile.cc                  | 2 +-
 utils/InMemoryFile.h                   | 2 +-
 utils/Win32Console.h                   | 2 +-
 utils/parseargs.cc                     | 2 +-
 utils/printencodings.cc                | 2 +-
 96 files changed, 96 insertions(+), 86 deletions(-)

commit 29d44d9da669d9f96d83996563ef71b35dc7a5d3
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Sat Dec 27 10:59:54 2025 +0100

    GooString: Use std::string::insert

 goo/GooString.h        | 27 +--------------------------
 poppler/Form.cc        |  2 +-
 poppler/PSOutputDev.cc |  8 ++++----
 utils/HtmlOutputDev.cc |  4 ++--
 4 files changed, 8 insertions(+), 33 deletions(-)

commit 5ab8f220b1c4d081ab199bce435c0b6b7c5584c9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 24 11:50:15 2025 +0100

    strstr -> contains

 utils/HtmlFonts.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0a624551e02a2752bb9fbe55ef8f90d59ebdaebc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 24 11:46:46 2025 +0100

    Remove almost unused GooString::lowerCase()

 goo/GooString.cc   | 6 ------
 goo/GooString.h    | 1 -
 utils/HtmlFonts.cc | 4 ++--
 3 files changed, 2 insertions(+), 9 deletions(-)

commit 4e31678dd8f50720b2e18844fa9ebc138ecfc3f7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 24 12:16:12 2025 +0100

    TextWord::getText return std::unique_ptr<std::string>

 cpp/poppler-page.cpp     | 4 ++--
 poppler/TextOutputDev.cc | 5 ++---
 poppler/TextOutputDev.h  | 2 +-
 qt5/src/poppler-page.cc  | 5 ++---
 qt6/src/poppler-page.cc  | 5 ++---
 utils/pdftotext.cc       | 7 +++----
 6 files changed, 12 insertions(+), 16 deletions(-)

commit c3f64f9792659605726d07d6fdd4c4d490d3e8fc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 24 11:37:33 2025 +0100

    Remove free_p param from greallocn, no one sets it

 goo/gmem.h | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit 5be215288c281e4ac21e1a23ce329c54b8110fba
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 24 11:37:05 2025 +0100

    Remove unused grealloc_checkoverflow

 goo/gmem.h | 5 -----
 1 file changed, 5 deletions(-)

commit 8ff00d5231e79b9f40b6dc50d72da7b6c0196acf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 24 01:19:10 2025 +0100

    Enable -Wunused-parameter

 cmake/modules/PopplerMacros.cmake |   2 -
 glib/poppler-annot.cc             |  44 ++++++-------
 glib/poppler-document.cc          |   6 +-
 glib/poppler-form-field.cc        |   4 +-
 glib/poppler-layer.cc             |   2 +-
 glib/poppler-media.cc             |   2 +-
 glib/poppler-movie.cc             |   2 +-
 glib/poppler-page.cc              |  13 ++--
 glib/poppler-structure-element.cc |   2 +-
 goo/PNGWriter.cc                  |   2 +-
 poppler/CairoOutputDev.h          |  58 ++++++++++--------
 poppler/Catalog.cc                |   4 +-
 poppler/Decrypt.cc                |  12 ++--
 poppler/FlateStream.cc            |   2 +-
 poppler/Function.h                |   2 +-
 poppler/GPGMECryptoSignBackend.cc |   4 +-
 poppler/Gfx.cc                    | 126
 +++++++++++++++++++-------------------
 poppler/GfxFont.cc                |  12 ++--
 poppler/GfxFont.h                 |   4 +-
 poppler/GfxState.cc               |  20 +++---
 poppler/GlobalParams.cc           |   6 +-
 poppler/JBIG2Stream.cc            |  48 +++++++--------
 poppler/JBIG2Stream.h             |  14 ++---
 poppler/JPEG2000Stream.cc         |   4 +-
 poppler/JPXStream.cc              |  14 ++---
 poppler/JPXStream.h               |   4 +-
 poppler/MarkedContentOutputDev.cc |  10 +--
 poppler/Outline.cc                |   6 +-
 poppler/OutputDev.cc              |  29 ++++-----
 poppler/OutputDev.h               |  15 +++--
 poppler/PDFDoc.cc                 |   2 +-
 poppler/PSOutputDev.cc            |  64 ++++++++++---------
 poppler/PSOutputDev.h             |  14 ++---
 poppler/Page.cc                   |   2 +-
 poppler/Page.h                    |   2 +-
 poppler/PreScanOutputDev.cc       |   2 +-
 poppler/PreScanOutputDev.h        |   2 +-
 poppler/SplashOutputDev.cc        |  48 +++++++--------
 poppler/SplashOutputDev.h         |   8 +--
 poppler/Stream.cc                 |  36 +++++------
 poppler/Stream.h                  |   6 +-
 poppler/TextOutputDev.cc          |  44 ++++++-------
 poppler/TextOutputDev.h           |  10 +--
 poppler/XRef.cc                   |   4 +-
 qt5/demos/toc.cpp                 |   2 +-
 qt5/demos/viewer.cpp              |   2 +-
 qt5/src/QPainterOutputDev.cc      |  38 ++++++------
 qt5/src/poppler-annotation.cc     |  12 ++--
 qt5/src/poppler-embeddedfile.cc   |   2 +-
 qt5/src/poppler-form.cc           |   1 +
 qt5/src/poppler-optcontent.cc     |   2 +-
 qt5/src/poppler-page.cc           |   2 +-
 qt5/tests/test-password-qt5.cpp   |   2 +-
 qt5/tests/test-poppler-qt5.cpp    |   2 +-
 qt6/demos/navigationtoolbar.cpp   |   2 +-
 qt6/demos/toc.cpp                 |   2 +-
 qt6/src/QPainterOutputDev.cc      |  38 ++++++------
 qt6/src/poppler-annotation.cc     |  12 ++--
 qt6/src/poppler-embeddedfile.cc   |   2 +-
 qt6/src/poppler-form.cc           |   1 +
 qt6/src/poppler-optcontent.cc     |   2 +-
 qt6/src/poppler-page.cc           |   2 +-
 qt6/tests/test-password-qt6.cpp   |   2 +-
 qt6/tests/test-poppler-qt6.cpp    |   2 +-
 splash/SplashBitmap.cc            |   7 +++
 splash/SplashFTFont.cc            |   4 +-
 splash/SplashFont.h               |   2 +-
 splash/SplashPattern.cc           |   2 +-
 splash/SplashPattern.h            |   2 +-
 splash/SplashXPath.cc             |   5 +-
 splash/SplashXPath.h              |   2 +-
 test/gtk-test.cc                  |  12 ++--
 test/pdf-inspector.cc             |   2 +-
 test/perf-test.cc                 |  14 ++---
 utils/HtmlOutputDev.cc            |  12 ++--
 utils/HtmlOutputDev.h             |   5 +-
 utils/ImageOutputDev.cc           |  11 ++--
 utils/ImageOutputDev.h            |   2 +-
 utils/InMemoryFile.cc             |   1 +
 utils/Win32Console.h              |   2 +-
 utils/pdftocairo.cc               |   2 +
 utils/pdftohtml.cc                |  10 +--
 utils/pdftoppm.cc                 |   2 +-
 83 files changed, 483 insertions(+), 463 deletions(-)

commit 104cc3864bc75dedef3860a44164967afbbcd48b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 23:04:06 2025 +0100

    update po files

 utils/po/ca/pdfsig.po | 6 +++---
 utils/po/pdfsig.pot   | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 8007f50d43ec1b3edd5939659edcdd0fe2b6bba1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 17:47:38 2025 +0100

    Add two goo/glibc.h includes that were wrongly removed

    We need them for MSVC

 poppler/PDFDoc.cc     | 1 +
 poppler/UnicodeMap.cc | 1 +
 2 files changed, 2 insertions(+)

commit 9872aafd98118ea627207385da1173b979922dcd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 17:32:14 2025 +0100

    Add an ifdef for __MINGW32__

    Yes, it's also defined with the mingw-64 compiler

    I have not been able to find a format that makes gcc, clang and mingw
    happy :(

 poppler/poppler-config.h.cmake | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 11f70896299d028ee7fa1ab3a86227b326f8f206
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 15:04:39 2025 +0100

    Remove unused parameters

 poppler/Annot.cc           | 121
 ++++++++++++++++++++++-----------------------
 poppler/Annot.h            |  41 ++++++++-------
 poppler/BBoxOutputDev.cc   |  13 ++---
 poppler/CMap.cc            |  12 ++---
 poppler/CMap.h             |   6 +--
 poppler/CairoFontEngine.cc |  20 ++++----
 poppler/CairoFontEngine.h  |   8 +--
 poppler/CairoOutputDev.cc  |  95 +++++++++++++++++------------------
 poppler/CairoOutputDev.h   |  10 ++--
 poppler/CurlCachedFile.cc  |   2 +-
 poppler/DCTStream.cc       |   6 +--
 poppler/Decrypt.cc         |  11 ++---
 poppler/Decrypt.h          |   7 ++-
 poppler/FILECacheLoader.cc |   2 +-
 poppler/FlateEncoder.h     |   4 +-
 poppler/Function.cc        |   8 +--
 poppler/Function.h         |   4 +-
 poppler/GfxFont.cc         |   2 +-
 poppler/SecurityHandler.cc |   2 +-
 19 files changed, 186 insertions(+), 188 deletions(-)

commit 822f1a0a322a2242f2666b1b97af5ce9060b8b86
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 15:18:19 2025 +0100

    Add missing include

 poppler/BuiltinFont.h | 1 +
 1 file changed, 1 insertion(+)

commit 1bc43354dac2436c6dc2b574a6407d7f7cddbe50
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 12:57:33 2025 +0100

    Remove gmem.h from Object.h

    We don't need to use gmalloc there

    makes it easier to see which other places use gmem.h

 glib/poppler-page.cc          | 1 +
 poppler/CairoOutputDev.cc     | 1 +
 poppler/Hints.cc              | 1 +
 poppler/JArithmeticDecoder.cc | 1 +
 poppler/JBIG2Stream.cc        | 2 ++
 poppler/Object.cc             | 1 +
 poppler/Object.h              | 4 ++--
 poppler/PSOutputDev.cc        | 1 +
 poppler/Page.cc               | 1 +
 poppler/SplashOutputDev.cc    | 1 +
 poppler/Stream.h              | 1 +
 qt5/src/poppler-page.cc       | 1 +
 qt5/src/poppler-private.cc    | 1 +
 qt6/src/poppler-page.cc       | 1 +
 qt6/src/poppler-private.cc    | 1 +
 utils/pdfsig.cc               | 1 +
 16 files changed, 18 insertions(+), 2 deletions(-)

commit 9cdc862ef8c11148d8fad5ac94733d00a94dfc6b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 12:29:39 2025 +0100

    Include cleanup

    As suggested by QtCreator

 cpp/poppler-destination-private.h            |  1 -
 cpp/poppler-document-private.h               |  1 -
 cpp/poppler-embedded-file-private.h          |  1 +
 cpp/poppler-embedded-file.h                  |  2 --
 cpp/poppler-font.cpp                         |  2 --
 cpp/poppler-global.cpp                       |  2 +-
 cpp/poppler-image.h                          |  6 ++++--
 cpp/poppler-page-transition.h                |  2 +-
 cpp/poppler-page.cpp                         |  1 -
 cpp/poppler-private.cpp                      |  2 +-
 cpp/poppler-rectangle.h                      |  4 +++-
 fofi/FoFiEncodings.cc                        |  1 -
 fofi/FoFiTrueType.h                          |  1 -
 fofi/FoFiType1.cc                            |  4 ----
 goo/GooString.cc                             |  1 -
 goo/GooString.h                              |  1 -
 goo/NetPBMWriter.cc                          |  2 --
 goo/NetPBMWriter.h                           |  1 -
 goo/gfile.cc                                 |  1 -
 goo/gfile.h                                  |  3 ---
 poppler/Annot.cc                             |  2 --
 poppler/Annot.h                              |  1 -
 poppler/AnnotStampImageHelper.cc             |  4 ----
 poppler/Array.h                              |  1 -
 poppler/BuiltinFont.h                        |  3 +++
 poppler/CMap.cc                              |  1 -
 poppler/CMap.h                               |  2 --
 poppler/CachedFile.h                         |  2 --
 poppler/CairoFontEngine.cc                   |  2 --
 poppler/CairoFontEngine.h                    |  2 --
 poppler/CairoOutputDev.cc                    |  1 -
 poppler/CairoRescaleBox.cc                   |  1 -
 poppler/CairoRescaleBox.h                    |  2 ++
 poppler/CertificateInfo.h                    |  1 -
 poppler/CharCodeToUnicode.cc                 |  3 ---
 poppler/CharCodeToUnicode.h                  |  1 -
 poppler/CurlCachedFile.h                     |  1 -
 poppler/DCTStream.h                          | 10 ----------
 poppler/DateInfo.cc                          |  1 -
 poppler/Dict.h                               |  2 +-
 poppler/Error.cc                             |  1 -
 poppler/Error.h                              |  1 -
 poppler/FlateEncoder.h                       |  9 ---------
 poppler/FlateStream.h                        | 11 +----------
 poppler/FontEncodingTables.cc                |  1 -
 poppler/FontInfo.cc                          |  6 ------
 poppler/Form.cc                              |  1 -
 poppler/Function.h                           |  1 -
 poppler/Gfx.cc                               |  2 --
 poppler/GlobalParams.cc                      |  1 -
 poppler/GlobalParams.h                       |  1 -
 poppler/GlobalParamsWin.cc                   |  6 ------
 poppler/Hints.h                              |  2 --
 poppler/ImageEmbeddingUtils.cc               |  3 +--
 poppler/JPXStream.cc                         |  1 -
 poppler/JSInfo.cc                            |  2 --
 poppler/JSInfo.h                             |  1 -
 poppler/Lexer.cc                             |  3 ---
 poppler/Linearization.cc                     |  1 -
 poppler/Link.cc                              |  1 -
 poppler/MarkedContentOutputDev.h             |  1 -
 poppler/NameToCharCode.cc                    |  1 -
 poppler/NameToUnicodeTable.h                 |  2 --
 poppler/Object.cc                            |  1 -
 poppler/Object.h                             |  1 -
 poppler/OptionalContent.h                    |  1 -
 poppler/Outline.cc                           |  1 -
 poppler/OutputDev.cc                         |  1 -
 poppler/PDFDoc.cc                            |  4 ----
 poppler/PDFDoc.h                             |  2 --
 poppler/PSOutputDev.h                        |  5 +----
 poppler/PSTokenizer.cc                       |  1 -
 poppler/Page.cc                              |  1 -
 poppler/Page.h                               |  1 -
 poppler/PageLabelInfo.cc                     |  1 -
 poppler/PageLabelInfo.h                      |  4 ----
 poppler/Parser.cc                            |  1 -
 poppler/PreScanOutputDev.cc                  |  1 -
 poppler/Rendition.cc                         |  2 --
 poppler/SecurityHandler.h                    |  2 --
 poppler/SignatureInfo.cc                     |  3 ---
 poppler/SplashOutputDev.cc                   |  2 --
 poppler/StructElement.cc                     |  1 -
 poppler/StructElement.h                      |  1 -
 poppler/StructTreeRoot.cc                    |  2 --
 poppler/TextOutputDev.cc                     |  2 --
 poppler/TextOutputDev.h                      |  2 --
 poppler/UnicodeMap.cc                        |  3 ---
 poppler/UnicodeMap.h                         |  2 --
 poppler/UnicodeMapFuncs.h                    |  3 ++-
 poppler/XRef.cc                              |  3 ---
 poppler/XRef.h                               |  1 -
 qt5/src/QPainterOutputDev.cc                 |  2 --
 qt5/src/poppler-annotation-helper.h          |  1 +
 qt5/src/poppler-embeddedfile-private.h       |  3 +++
 qt5/src/poppler-form.cc                      |  3 ---
 qt5/src/poppler-movie.cc                     |  1 -
 qt5/src/poppler-page-private.h               |  5 +++++
 qt5/src/poppler-pdf-converter.cc             |  1 -
 qt5/src/poppler-qiodeviceinstream.cc         |  2 --
 qt5/src/poppler-qiodeviceoutstream-private.h |  1 -
 qt6/src/QPainterOutputDev.cc                 |  2 --
 qt6/src/poppler-annotation-helper.h          |  1 +
 qt6/src/poppler-base-converter.cc            |  2 --
 qt6/src/poppler-embeddedfile-private.h       |  3 +++
 qt6/src/poppler-form.cc                      |  3 ---
 qt6/src/poppler-movie.cc                     |  1 -
 qt6/src/poppler-page-private.h               |  2 ++
 qt6/src/poppler-pdf-converter.cc             |  1 -
 qt6/src/poppler-qiodeviceinstream.cc         |  2 --
 qt6/src/poppler-qiodeviceoutstream-private.h |  1 -
 splash/Splash.h                              |  1 -
 splash/SplashClip.cc                         |  3 ---
 splash/SplashFTFont.h                        |  2 --
 splash/SplashFTFontEngine.cc                 |  6 ------
 splash/SplashFTFontFile.cc                   |  2 --
 splash/SplashFont.cc                         |  1 -
 splash/SplashFontEngine.cc                   |  4 ----
 splash/SplashFontFile.cc                     |  1 -
 splash/SplashPath.cc                         |  1 -
 splash/SplashPattern.cc                      |  2 --
 splash/SplashScreen.cc                       |  1 -
 splash/SplashScreen.h                        |  2 --
 splash/SplashState.cc                        |  1 -
 splash/SplashXPath.cc                        |  3 ---
 splash/SplashXPathScanner.cc                 |  1 -
 splash/SplashXPathScanner.h                  |  2 --
 utils/HtmlOutputDev.cc                       |  4 +---
 utils/HtmlOutputDev.h                        |  3 ---
 utils/ImageOutputDev.cc                      |  2 --
 utils/ImageOutputDev.h                       |  3 ---
 utils/InMemoryFile.cc                        |  1 -
 utils/InMemoryFile.h                         |  1 -
 utils/parseargs.cc                           |  1 -
 utils/pdfattach.cc                           |  1 -
 utils/pdfdetach.cc                           |  1 -
 utils/pdffonts.cc                            |  4 ----
 utils/pdfimages.cc                           |  9 ---------
 utils/pdfinfo.cc                             |  1 -
 utils/pdfseparate.cc                         |  2 --
 utils/pdfsig.cc                              |  3 ---
 utils/pdftocairo.cc                          |  1 -
 utils/pdftohtml.cc                           |  3 ---
 utils/pdftoppm.cc                            |  2 --
 utils/pdftops.cc                             |  7 -------
 utils/pdftotext.cc                           |  4 ----
 utils/po/ca/pdfsig.po                        |  6 +++---
 utils/po/pdfsig.pot                          |  6 +++---
 utils/printencodings.cc                      |  1 -
 utils/sanitychecks.cc                        |  4 ----
 150 files changed, 44 insertions(+), 292 deletions(-)

commit 9b071a11d22d70f81bda2d36f7479a3851788d1a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 11:17:38 2025 +0100

    Sound: Take/return const reference instead of pointer

    We know it's never going to be null

 poppler/Annot.cc |  4 ++--
 poppler/Link.cc  |  2 +-
 poppler/Sound.cc | 14 +++++++-------
 poppler/Sound.h  |  8 ++++----
 4 files changed, 14 insertions(+), 14 deletions(-)

commit ed030c5d3130389485b6411ccb8889f40f76a76b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 23 11:09:02 2025 +0100

    Update (C)

 poppler/PDFRectangle.h  | 4 +++-
 poppler/Page.cc         | 1 +
 poppler/Page.h          | 1 +
 qt5/src/poppler-page.cc | 2 +-
 qt5/src/poppler-qt5.h   | 1 +
 qt6/src/poppler-page.cc | 2 +-
 qt6/src/poppler-qt6.h   | 1 +
 7 files changed, 9 insertions(+), 3 deletions(-)

commit f472b4abca92604c4b6c0e15fda373fc4cf5b395
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Oct 27 00:59:33 2025 +0100

    Qt: Allow Poppler::Page to dump text in reading order, extend
    test utility

    When extracting content from PDFs, the text should be extracted in
    text flow/reading order, i.e. in the pdftotext default order. Extend
    the TextLayout enum with a corresponding value to support this
    use case.

 qt5/src/poppler-qt5.h       |  3 ++-
 qt5/tests/poppler-texts.cpp | 23 +++++++++++++++++++----
 qt6/src/poppler-qt6.h       |  3 ++-
 qt6/tests/poppler-texts.cpp | 23 +++++++++++++++++++----
 4 files changed, 42 insertions(+), 10 deletions(-)

commit c4513b96fc81539e1039cfc576b7ce9238e809ce
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue Oct 28 00:05:54 2025 +0100

    TextOutputDev: Use dump() to implement getText()

    As all missing features were added to the getText(...) method, it
    is possible to leverage it for the getText(...) implementation,
    and thus to remove a large amount of mostly duplicate code.

    This also adds support for retrieving the text in "flow" order, while
    formerly only PhysicalLayout and raw (document stream) order were
    possible.

    This also fixes differences between pdftotext and the Qt bindings for
    some PhysicalLayout cases, i.e. insertion of blank lines for empty page
    regions or spaces between paragraphs.

    Fixes poppler#1476.

 poppler/TextOutputDev.cc       | 123
 ++---------------------------------------
 qt6/tests/check_endoflines.cpp |   2 +-
 2 files changed, 7 insertions(+), 118 deletions(-)

commit 9ef19b9e6e92e6f3e0abae63f5e768dd596c98e1
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Apr 10 20:35:38 2024 +0200

    TextOutputDev: Pass `PhysicalLayout` flag to TextPage::getText
    explicitly

    TextPage::getText behaves as if the TextOutputDev physLayout flag was
    set. Set the flag in the Qt wrappers, pass it down, and add a comment
    where the code is lacking.

 poppler/TextOutputDev.cc | 6 ++++--
 poppler/TextOutputDev.h  | 2 +-
 qt5/src/poppler-page.cc  | 3 ++-
 qt6/src/poppler-page.cc  | 3 ++-
 4 files changed, 9 insertions(+), 5 deletions(-)

commit 71c7edc2d34fb23ca095780b0581a4680cf96041
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Feb 2 02:08:31 2025 +0100

    TextOutputDev: Extend TextPage::dump capabilities to match getText

    `dump()` and `getText()` are very similar, though there are a few
    differences:
    - getText() allows to specify an area
    - dump() supports a "text flow" output, while getText() only
    supports raw
      and physical layout.

    Add support for an extraction `area`, which defaults to the whole page,
    to the dump() method.

 poppler/TextOutputDev.cc | 50
 +++++++++++++++++++++++++++++++++++++++++-------
 poppler/TextOutputDev.h  |  5 ++++-
 2 files changed, 47 insertions(+), 8 deletions(-)

commit eb97c8501db99fdff022ec95611723d1762da6af
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Jan 31 01:00:57 2025 +0100

    TextOutputDev: Extract code to determine line/selection overlap from
    getText method

    Currently the check if and where the selection overlaps a given line
    is open coded in the getText line loop, making it hard to read.

    It also misses to optimize the trivial case where the line is fully
    in the selection.

 poppler/PDFRectangle.h   |   1 +
 poppler/TextOutputDev.cc | 156
 ++++++++++++++++++-----------------------------
 poppler/TextOutputDev.h  |   4 ++
 3 files changed, 66 insertions(+), 95 deletions(-)

commit c0dba4c914f2e827cd21927f8033164f0c011514
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Mar 29 02:02:48 2024 +0100

    Move PDFRectangle to a separate header file, make methods constexpr

    The class is very lightweight, without any further dependencies. Making
    it available outside of Page.h allows to consolidate several cases
    where
    e.g. bounding boxes are declared as a quadruple of doubles, while
    PDFRectangle would be a much better fit - most notably also for several
    methods which use four pointers to double to return a BBox.

    All methods of PDFRectangle can be constexpr, including the
    constructors.
    This also allows it to test it at compile time using static_assert.

    All methods but clipTo were already implicitly inline. It is
    slightly more complex than the other methods, but having it constexpr
    is a requirement for testing it via static_assert.

 CMakeLists.txt         |  1 +
 poppler/PDFRectangle.h | 76
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Page.cc        | 59 ++++++++++++++++++++++++---------------
 poppler/Page.h         | 23 +--------------
 4 files changed, 114 insertions(+), 45 deletions(-)

commit 46236104112bd853ca6c7158a376097725909324
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Feb 2 04:32:31 2025 +0100

    TextOutputDev: Fix erroneous newline for flipped pages

    The word space condition evaluates to false in too many case cases,
    resulting in a newline after almost every word instead of a regular
    space.

 poppler/TextOutputDev.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 8109826642bbc7080150fb18a43de36033b7995b
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Dec 12 20:49:33 2025 +0100

    [TextOutputDev] Use word center point for sorting text lines

    Typically when words are sorted by position, the relation
    (a.xMin <=> b.xMin) == (a.xMax <=> b.xMax) holds. I.e sorting words by
    left/center/right position yields the exact same result, i.e. this
    change has no visible effect.

    Though with some legacy/non-Unicode typefaces which use combining
    marking
    character, words are broken up in the middle, and the resulting word
    fragments may overlap or even be contained in preceding word
    fragments -
    the combining mark bounding boxes are contained in the bounding box
    of the associated glyph.

    One such typeface is the Indic Devanagari KrutiDev family. For these,
    comparing the center position of the words is required to restore
    the original text stream.

    Fixes poppler#1624.

 poppler/TextOutputDev.cc | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 9827661c15d60e73d65cf7d6abbd0bbe3904b34e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 13 18:21:17 2025 +0100

    Tweak ifdef to make clang-tidy happy

 goo/gfile.h        | 2 +-
 poppler/Error.h    | 4 ++--
 utils/pdftotext.cc | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 868efcce2172b4670da9b44f7f81263f8e14a1fe
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 13 17:22:37 2025 +0100

    Update (C)

 cpp/poppler-image.cpp             | 2 +-
 goo/JpegWriter.cc                 | 2 +-
 goo/JpegWriter.h                  | 2 +-
 goo/PNGWriter.cc                  | 2 +-
 goo/PNGWriter.h                   | 2 +-
 goo/TiffWriter.cc                 | 2 +-
 goo/TiffWriter.h                  | 2 +-
 goo/gfile.cc                      | 2 +-
 goo/glibc.cc                      | 2 +-
 goo/glibc.h                       | 2 +-
 goo/glibc_strtok_r.cc             | 2 +-
 poppler/GPGMECryptoSignBackend.cc | 1 +
 poppler/ImageEmbeddingUtils.cc    | 2 +-
 splash/SplashMath.h               | 2 +-
 splash/SplashPattern.cc           | 2 +-
 splash/SplashPattern.h            | 2 +-
 utils/pdfimages.cc                | 2 +-
 utils/pdftocairo.cc               | 2 +-
 utils/pdftoppm.cc                 | 2 +-
 utils/sanitychecks.cc             | 1 +
 utils/sanitychecks.h              | 1 +
 21 files changed, 21 insertions(+), 18 deletions(-)

commit c7113017dda0dd4e80b0cb42f126a0ad731cc53f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 17:06:25 2025 +0100

    pointer to const reference

 splash/Splash.cc      | 6 +++---
 splash/Splash.h       | 4 ++--
 splash/SplashState.cc | 4 ++--
 splash/SplashState.h  | 2 +-
 4 files changed, 8 insertions(+), 8 deletions(-)

commit f39026946438b9ab06cbb013796b5b616eeaa5f9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 17:02:16 2025 +0100

    Make SplashPattern functions const

 poppler/SplashOutputDev.cc | 10 +++++-----
 poppler/SplashOutputDev.h  | 30 +++++++++++++++---------------
 splash/SplashPattern.cc    |  2 +-
 splash/SplashPattern.h     | 16 ++++++++--------
 4 files changed, 29 insertions(+), 29 deletions(-)

commit f60d35ddeda0c2742a89efee1a145fadeb5d0079
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 16:53:45 2025 +0100

    Make the SplashClip in SplashState a unique ptr

 splash/Splash.cc      | 12 ++++++------
 splash/Splash.h       |  2 +-
 splash/SplashClip.cc  |  4 ++--
 splash/SplashClip.h   | 13 +++++++++----
 splash/SplashState.cc |  5 ++---
 splash/SplashState.h  |  2 +-
 6 files changed, 21 insertions(+), 17 deletions(-)

commit 708282b585a863025c0b73ea2ca13840678691de
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 16:16:20 2025 +0100

    Remove unused functions

 splash/Splash.cc      | 5 -----
 splash/Splash.h       | 1 -
 splash/SplashState.cc | 6 ------
 splash/SplashState.h  | 3 ---
 4 files changed, 15 deletions(-)

commit 7367c260cbfd68ec5aea5923843a9fbe3b6031bb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 15:36:34 2025 +0100

    Splash: std::array<SplashCoord>  instead of pointer

 poppler/SplashOutputDev.cc | 18 +++++++++---------
 splash/Splash.cc           | 24 ++++++++++++------------
 splash/Splash.h            | 19 ++++++++++---------
 splash/SplashClip.cc       |  2 +-
 splash/SplashClip.h        |  2 +-
 splash/SplashFTFont.cc     |  4 ++--
 splash/SplashFTFont.h      |  4 ++--
 splash/SplashFTFontFile.cc |  4 ++--
 splash/SplashFTFontFile.h  |  4 ++--
 splash/SplashFont.cc       | 12 ++----------
 splash/SplashFont.h        | 19 +++++++++----------
 splash/SplashFontEngine.cc |  4 ++--
 splash/SplashFontEngine.h  |  4 ++--
 splash/SplashFontFile.h    |  4 ++--
 splash/SplashState.cc      |  4 ++--
 splash/SplashState.h       |  5 +++--
 splash/SplashXPath.cc      |  4 ++--
 splash/SplashXPath.h       |  4 ++--
 18 files changed, 67 insertions(+), 74 deletions(-)

commit c2378a0fe66d2730ffdc73d59ed55311a149d3c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 15:03:13 2025 +0100

    Splash: Take objects by const & instead of pointer

 poppler/SplashOutputDev.cc |   6 +--
 splash/Splash.cc           | 104
 ++++++++++++++++++++++-----------------------
 splash/Splash.h            |  12 +++---
 splash/SplashBitmap.cc     |   2 +-
 splash/SplashBitmap.h      |   4 +-
 5 files changed, 63 insertions(+), 65 deletions(-)

commit 2236924ca602c8d4ea21b2976df8fbbadb4ea842
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 14:47:53 2025 +0100

    Splash: Return unique_ptr in two functions

 splash/Splash.cc | 78
 ++++++++++++++++++++++----------------------------------
 splash/Splash.h  |  5 ++--
 2 files changed, 33 insertions(+), 50 deletions(-)

commit ccba2574090d0e588fb663e9de1d2470ef6e2c6b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 19:48:27 2025 +0100

    Splash: Implement 4 blending modes for mono1/8

    It may not be the best/most efficient but it fixes 5 files
    in my private test suite and regresses none.

    Fixes #1651

 poppler/SplashOutputDev.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 660c0230a55fb09a55d2327a83cfff401f74604c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 11:16:16 2025 +0100

    Update po[t] files

 utils/po/ca/pdfsig.po | 6 +++---
 utils/po/pdfsig.pot   | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 808094b11c07b1895bc9a1d03e338584045e6087
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 01:59:41 2025 +0100

    cmakedefine -> cmakedefine01

    This means the define is always defined, either 0 or 1, which means we
    change the #ifdefs to #ifs

    It helped surfacing a bug in which ENABLE_ZLIB_UNCOMPRESS should be in
    poppler-config.h and not config.h since it's used in Stream.h

 config.h.cmake                            | 76
 +++++++++-------------------
 cpp/poppler-global.cpp                    |  4 +-
 cpp/poppler-image.cpp                     | 18 +++----
 glib/poppler-form-field.cc                |  9 ++--
 goo/JpegWriter.cc                         |  2 +-
 goo/JpegWriter.h                          |  2 +-
 goo/PNGWriter.cc                          |  2 +-
 goo/PNGWriter.h                           |  2 +-
 goo/TiffWriter.cc                         |  2 +-
 goo/TiffWriter.h                          |  2 +-
 goo/gfile.cc                              | 16 +++---
 goo/glibc.cc                              |  6 +--
 goo/glibc.h                               |  8 +--
 goo/glibc_strtok_r.cc                     |  2 +-
 poppler/CairoOutputDev.cc                 |  2 +-
 poppler/Catalog.cc                        |  2 +-
 poppler/Catalog.h                         |  4 +-
 poppler/CryptoSignBackend.cc              | 14 +++---
 poppler/FlateStream.cc                    |  2 +-
 poppler/GPGMECryptoSignBackend.cc         |  2 +-
 poppler/Gfx.cc                            | 10 ++--
 poppler/Gfx.h                             |  2 +-
 poppler/GfxState.cc                       | 82
 +++++++++++++++----------------
 poppler/GfxState.h                        | 18 +++----
 poppler/GlobalParams.cc                   | 18 +++----
 poppler/ImageEmbeddingUtils.cc            | 12 ++---
 poppler/OutputDev.cc                      |  2 +-
 poppler/OutputDev.h                       |  6 +--
 poppler/PDFDocFactory.cc                  |  6 +--
 poppler/PSOutputDev.cc                    | 16 +++---
 poppler/SplashOutputDev.cc                |  6 +--
 poppler/SplashOutputDev.h                 |  2 +-
 poppler/Stream.cc                         | 14 +++---
 poppler/Stream.h                          |  4 +-
 poppler/UTF.cc                            |  2 +-
 poppler/poppler-config.h.cmake            | 38 ++++----------
 qt5/src/poppler-document.cc               | 12 ++---
 qt5/src/poppler-form.cc                   | 22 ++++-----
 qt5/src/poppler-page.cc                   |  4 +-
 qt5/src/poppler-private.h                 |  2 +-
 qt5/tests/check_signature_basics.cpp      | 13 ++---
 qt6/src/poppler-document.cc               | 12 ++---
 qt6/src/poppler-form.cc                   | 22 ++++-----
 qt6/src/poppler-page.cc                   |  4 +-
 qt6/src/poppler-private.h                 |  2 +-
 qt6/tests/check_create_pgp_signature1.cpp |  3 +-
 qt6/tests/check_signature_basics.cpp      | 15 +++---
 qt6/tests/check_signature_basics_pgp.cpp  | 17 ++++---
 splash/SplashBitmap.cc                    |  8 +--
 splash/SplashMath.h                       | 10 ++--
 splash/SplashTypes.h                      |  2 +-
 splash/SplashXPathScanner.cc              |  4 +-
 splash/SplashXPathScanner.h               |  8 +--
 utils/HtmlOutputDev.cc                    |  6 +--
 utils/ImageOutputDev.cc                   |  4 +-
 utils/pdfimages.cc                        |  4 +-
 utils/pdfsig.cc                           | 14 +++---
 utils/pdftocairo.cc                       | 26 +++++-----
 utils/pdftoppm.cc                         | 20 ++++----
 utils/pdftops.cc                          | 14 +++---
 utils/sanitychecks.cc                     |  2 +-
 utils/sanitychecks.h                      |  2 +-
 62 files changed, 313 insertions(+), 354 deletions(-)

commit 5c8fbf0c96aade92a91390e5d380db4c1d89368b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 6 15:42:08 2025 +0100

    pdfsig: Use optional for signatureNumber

    Instead of using -1 as "optional no value marker"

 utils/pdfsig.cc | 24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

commit 57f429d72bf632bcf2886a8302592e42e3dc399c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 8 12:51:23 2025 +0100

    I'm relatively sure this code does not compile with djgpp

 poppler/Stream.cc | 4 ----
 1 file changed, 4 deletions(-)

commit 5f68ea46394743566f04e5be58d828831b178f30
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 7 12:29:11 2025 +0100

    Remove EmbedStream rewind and restore

    We can achieve what we want with careful use of reset and setting back
    the replay variable to false once we read the end of what we have
    recorded

    It also contains a fix for EmbedStream::getChars in the replay case
    that was ignoring the amount of requested characters (how did not
    crash?) and not moving the bufPos forward

 poppler/PSOutputDev.cc  | 12 ------------
 poppler/Stream.cc       | 51
 ++++++++++++++++++++-----------------------------
 poppler/Stream.h        | 18 +++++++++++------
 utils/ImageOutputDev.cc | 18 ++++-------------
 4 files changed, 37 insertions(+), 62 deletions(-)

commit 55a05e3452a78e84bc1cbe01d689501df528c2c1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 7 11:57:16 2025 +0100

    Fix EmbedStream::reset

    One can't really reset EmbedStreams

    The previous code tried to move the base stream to the same position as
    before when resetting, but that's not good enough because the position
    is based on file position, but that stream may be compressed so there
    are many actual characters that correspond to the same file position so
    reading the stream until we are in that position is not enough

    So reuse the record/replay functionality that was introduced much
    earlier to solve this "can not reset problem"

 poppler/PSOutputDev.cc | 12 ++++++++++++
 poppler/Stream.cc      | 27 ++++++++-------------------
 poppler/Stream.h       |  2 +-
 3 files changed, 21 insertions(+), 20 deletions(-)

commit a22bd51bc17dda574a79171e6fa0af5a90e1de5d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 7 17:22:30 2025 +0100

    glib: change iterator internal indexes to their actual types

 glib/poppler-document.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 61521a511e2951060ffd0c613651cfa540e37d12
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 7 16:55:27 2025 +0100

    cpp: Change stream operator signature now that we broke BC

    Makes clazy happier

 cpp/poppler-rectangle.cpp | 3 ++-
 cpp/poppler-rectangle.h   | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 7454327631495c80cf7a2e8ed2eaf82e1df9cced
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 7 16:46:48 2025 +0100

    cpp: Extract the (size_t)-1 to a const variable

    Makes the core easier to read and isolates the "uglyness" of casting
    -1 to an unsigned type

 cpp/poppler-global.cpp | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 73babce9e7a4867fed0b5dd49b3f89e77a7d31c6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 7 16:35:21 2025 +0100

    cpp: Remove deprecated time functions that have a Y2K38 problem

    Their counterparts were added more than 3 years ago, hopefully anyone
    using them has already ported to the new ones

 cpp/poppler-document.cpp      | 131
 ------------------------------------------
 cpp/poppler-document.h        |   6 --
 cpp/poppler-embedded-file.cpp |  22 -------
 cpp/poppler-embedded-file.h   |   2 -
 cpp/poppler-global.cpp        |   9 ---
 cpp/poppler-global.h          |   4 --
 6 files changed, 174 deletions(-)

commit 7369704d41df8975c540d09289741ce7740f3446
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 6 16:30:05 2025 +0100

    DCTStream: less type casting

 poppler/DCTStream.cc | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 02b4fab490aca87760e59c0d7a19971070ae9331
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 6 15:30:40 2025 +0100

    pdfunite: Move iterator variable declaration to the for loop itself

 utils/pdfunite.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 7ac61fd1d65f5731e0057c16bef0303520533c72
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 6 14:45:46 2025 +0100

    perf-test: Fix msvc compile

 test/perf-test.cc | 11 -----------
 1 file changed, 11 deletions(-)

commit ecf2ab9f048aeb0ee669b61683e9e455792d9c59
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 6 02:30:47 2025 +0100

    GooTimer: Use C++

 ConfigureChecks.cmake          |  1 -
 config.h.cmake                 |  3 ---
 goo/GooTimer.cc                | 59
 +++++-------------------------------------
 goo/GooTimer.h                 | 25 ++++--------------
 poppler/poppler-config.h.cmake |  5 ----
 5 files changed, 11 insertions(+), 82 deletions(-)

commit e7d386426396c5ef0f50b266ab62eec155176392
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 13:27:41 2025 +0100

    if -> ifdef since not all compiles define __GNUC__

    and thus we get warnings about using an undefined defined on those

 poppler/poppler-config.h.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f4a5d8a833dafcbcea5b9c4e0f86a42a33fcc1f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 12:55:53 2025 +0100

    perf-test: Remove preview support

    It was only implemented in windows and was not even linked it,
    so it was impossible to use.

    By removing it, it allows us to get rid of the nanosleep checks

 ConfigureChecks.cmake           |   5 -
 test/CMakeLists.txt             |  16 +--
 test/perf-test-preview-dummy.cc |  19 ---
 test/perf-test-preview-win.cc   | 261
 ----------------------------------------
 test/perf-test.cc               |  69 -----------
 5 files changed, 5 insertions(+), 365 deletions(-)

commit 795d7404bba919c76ad30c780894a3cda1a741b2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 11:00:52 2025 +0100

    Remove TEXTOUT_WORD_LIST cmake option/ifdef

    We have had it be true forever, no need to keep an extra ifdef around

 CMakeLists.txt                 |  3 ---
 config.h.cmake                 |  3 ---
 poppler/TextOutputDev.cc       | 18 ------------------
 poppler/TextOutputDev.h        | 16 ----------------
 poppler/poppler-config.h.cmake |  5 -----
 5 files changed, 45 deletions(-)

commit de2947f1e9a437582336f03c314aa772767da27c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 10:57:30 2025 +0100

    Remove OPI_SUPPORT cmake option/ifdef

    We have had it be true forever, no need to keep an extra ifdef around

 CMakeLists.txt                 |  1 -
 config.h.cmake                 |  3 ---
 poppler/Gfx.cc                 |  4 ----
 poppler/OutputDev.cc           |  4 +---
 poppler/OutputDev.h            |  4 +---
 poppler/PSOutputDev.cc         | 10 ----------
 poppler/PSOutputDev.h          |  6 ------
 poppler/poppler-config.h.cmake |  5 -----
 utils/pdftops.cc               |  8 +-------
 9 files changed, 3 insertions(+), 42 deletions(-)

commit fdfa02c09ff2bb834365249f45d25b738e18489a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 10:26:46 2025 +0100

    Fix ignored-attributes warning

 utils/HtmlOutputDev.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9294059e9cce030f92f90081c44fed926fe0e277
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 09:46:17 2025 +0100

    Simplify compiler preprocessor checks

    All the gcc we support support what we need from them
    so there's no need to check the version number

    Also the mingw we support don't need special casing for the printf
    format check

 goo/GooCheckedOps.h            | 14 ++++++--------
 goo/GooLikely.h                |  3 ++-
 poppler/poppler-config.h.cmake | 12 +++---------
 3 files changed, 11 insertions(+), 18 deletions(-)

commit 942193a8c8801a3bbf591b6f152d17d378f3cda7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 03:02:10 2025 +0100

    We don't need unistd.h

 ConfigureChecks.cmake        | 2 --
 config.h.cmake               | 3 ---
 poppler/DCTStream.h          | 5 +----
 poppler/FlateEncoder.h       | 5 +----
 poppler/FlateStream.h        | 5 +----
 poppler/Stream.cc            | 3 ---
 splash/SplashFTFontEngine.cc | 5 +----
 splash/SplashFontEngine.cc   | 5 +----
 splash/SplashFontFile.cc     | 5 +----
 9 files changed, 6 insertions(+), 32 deletions(-)

commit ab2d1074866e311ef9aeb188513724e9ef733f03
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 02:43:27 2025 +0100

    Remove unused cmake checks/defines

 ConfigureChecks.cmake |  7 -------
 config.h.cmake        | 18 ------------------
 2 files changed, 25 deletions(-)

commit 519b5b342046518d4fb5666dd9e1994e0ff857c4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 5 02:37:46 2025 +0100

    Remove unused dir includes/cmake checks

 ConfigureChecks.cmake          | 16 ----------------
 config.h.cmake                 | 15 ---------------
 goo/gfile.h                    | 18 +-----------------
 poppler/poppler-config.h.cmake | 23 -----------------------
 test/perf-test.cc              |  6 +-----
 utils/pdftohtml.cc             |  5 +----
 6 files changed, 3 insertions(+), 80 deletions(-)

commit 8e9c75e10c949e7bc38b86ab38c2c30102b216d2
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Dec 3 16:36:02 2025 +0100

    Print alt text in pdfinfo -struct

 utils/pdfinfo.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 2544aeb7af418986cd5009d8ec16f8bc23c20a36
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 16:38:19 2025 +0100

    parseDA/tokenizeDA: Return std::optional instead of -1 on error

    Also makes keeping signed/unsigned types easier

 poppler/Annot.cc | 18 ++++++++++++------
 poppler/Form.cc  | 26 ++++++++++++++------------
 poppler/Form.h   |  4 ++--
 3 files changed, 28 insertions(+), 20 deletions(-)

commit c8147d255e604cc42f44f45159a58db86df3825f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 16:18:05 2025 +0100

    Update (C)

 poppler/Form.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f2e397b770a1cbdd7c7b4f2bf2ff8da37e209c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 16:16:51 2025 +0100

    parseDA can be const

 poppler/Form.cc | 2 +-
 poppler/Form.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 484ed2e11875ce8f073b906c9078bc236f22f8ab
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 16:16:33 2025 +0100

    Convert variable to its proper unsigned type

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7072af211a3db9fd07f1199c9e688384de9678af
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 16:58:00 2025 +0100

    Annot: just return the vector instead of having getCount/get

    It's better and makes one not have to worry about the count signed-ness

 poppler/Annot.cc              |  42 ------------
 poppler/Annot.h               |   9 +--
 qt5/src/poppler-annotation.cc | 149
 +++++++++++++++++++-----------------------
 qt6/src/poppler-annotation.cc | 149
 ++++++++++++++++++++----------------------
 4 files changed, 142 insertions(+), 207 deletions(-)

commit d79a09311516c53a3148b1e8a449ac5b85aec558
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 1 18:38:33 2025 +0100

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 45d43f4685d0596abcecd2587d4b821e8e40879b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 1 18:10:53 2025 +0100

    poppler 25.12.0

 CMakeLists.txt   |  6 +++---
 NEWS             | 16 ++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 22 insertions(+), 6 deletions(-)

commit 0994338dc4a3015d9e1f8a030ccaf60e020c8c37
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 1 17:56:36 2025 +0100

    Update (C)

 fofi/FoFiIdentifier.cc | 2 +-
 poppler/Annot.h        | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f04f81182249ba955ff4e5cef9e101da5d2c95a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 16:10:13 2025 +0100

    Trick clang-tidy 21 into not complaining

    We know bufSize is 1024 so it fits more than enough in an integer

 fofi/FoFiIdentifier.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit f275e2c7579a0f7c3c131f8e4ce78f9301901ae8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 15:51:12 2025 +0100

    Make param to getIndexVal const & since it's always non null

 fofi/FoFiType1C.cc | 30 +++++++++++++++---------------
 fofi/FoFiType1C.h  |  4 ++--
 2 files changed, 17 insertions(+), 17 deletions(-)

commit a0d06b3018c160580e491f8e3fbb2d2dcdf84da9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 15:31:43 2025 +0100

    Make a variable unsigned to represent the data more correctly

 qt5/tests/check_annotations.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 022d33de2270ac876b9aa4321ff700b22b3cd7bb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 15:16:04 2025 +0100

    CI: Update clang-format to 21

 .gitlab-ci.yml                                    | 4 ++--
 README.contributors                               | 2 +-
 poppler/CourierBoldObliqueWidths.pregenerated.c   | 3 +--
 poppler/CourierBoldWidths.pregenerated.c          | 3 +--
 poppler/CourierObliqueWidths.pregenerated.c       | 3 +--
 poppler/CourierWidths.pregenerated.c              | 3 +--
 poppler/GfxState.cc                               | 8 ++++----
 poppler/HelveticaBoldObliqueWidths.pregenerated.c | 3 +--
 poppler/HelveticaBoldWidths.pregenerated.c        | 3 +--
 poppler/HelveticaObliqueWidths.pregenerated.c     | 3 +--
 poppler/HelveticaWidths.pregenerated.c            | 3 +--
 poppler/SymbolWidths.pregenerated.c               | 3 +--
 poppler/TimesBoldItalicWidths.pregenerated.c      | 3 +--
 poppler/TimesBoldWidths.pregenerated.c            | 3 +--
 poppler/TimesItalicWidths.pregenerated.c          | 3 +--
 poppler/TimesRomanWidths.pregenerated.c           | 3 +--
 poppler/ZapfDingbatsWidths.pregenerated.c         | 3 +--
 17 files changed, 21 insertions(+), 35 deletions(-)

commit 77f36b852541b271bc09f51d88ba2061fe9b175f
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Thu Nov 27 11:51:32 2025 -0400

    Annot.cc: partially revert e674ca64 to fix #1642 regression

    The refactor in commit e674ca64 deleted the code in
    AnnotWidget::draw() that checked if ZaDb font was
    automatically added by AnnotAppearanceBuilder::drawText()
    (after it could not find it in the document Resources)
    and if that was the case then AnnotWidget::draw() added
    a fake ZaDb font to the Gfx Resources prior to calling
    gfx->drawAnnot().

    The deletion of that code was causing pdf form files
    exported from LibreOffice which had checkbuttons and
    radiobuttons to not display them as checked after
    clicking them.

    So this commit brings back that code so those form
    buttons display fine again.

    Fixes #1642

 poppler/Annot.cc | 36 +++++++++++++++++++++++++++++++++---
 poppler/Annot.h  |  4 +++-
 2 files changed, 36 insertions(+), 4 deletions(-)

commit 2a4edaea6a7494c52ecc351214a72e8b4b4b0e89
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Nov 27 12:54:50 2025 +0100

    Do not report pdf syntax error when Suspects or UserProperties have
    false value

 poppler/Catalog.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 9785e34024d6fbd72c421f65dc32ede4eb5870c4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Nov 27 12:52:19 2025 +0100

    Update (C)

 goo/GooString.cc                  | 1 +
 goo/GooString.h                   | 1 +
 poppler/CairoOutputDev.cc         | 1 +
 poppler/Dict.cc                   | 1 +
 poppler/Dict.h                    | 1 +
 poppler/Form.cc                   | 1 +
 poppler/Hints.cc                  | 1 +
 poppler/Lexer.cc                  | 1 +
 poppler/Lexer.h                   | 1 +
 poppler/Linearization.cc          | 1 +
 poppler/MarkedContentOutputDev.cc | 1 +
 poppler/Object.h                  | 1 +
 poppler/PDFDoc.cc                 | 1 +
 poppler/PDFDoc.h                  | 1 +
 poppler/StructElement.cc          | 2 +-
 poppler/TextOutputDev.cc          | 1 +
 poppler/TextOutputDev.h           | 1 +
 poppler/UTF.cc                    | 1 +
 poppler/UTF.h                     | 1 +
 utils/pdfinfo.cc                  | 1 +
 utils/pdftotext.cc                | 1 +
 21 files changed, 21 insertions(+), 1 deletion(-)

commit ca72340b04906e8748acd46f140048536d65194e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Nov 27 09:39:15 2025 +0100

    roleMapResolve: Fix using object as name before checking it is a name

 poppler/StructElement.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 0bc521bbee2c5293d3be4ade5236544fde3a5460
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Nov 26 12:32:58 2025 +0100

    RoleMapResolve: Deal with different circular references

 poppler/StructElement.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 7aa99cf8fe6693e6a7a52adc09fcae613cd04e0d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Nov 26 11:53:50 2025 +0100

    Don't resolve roleMap by recursion

    This gives the potential for stack exhaustion; It is just a list we can
    iterate over instead.

    Fixes: #1646

 poppler/StructElement.cc | 37 +++++++++++++++++++++----------------
 1 file changed, 21 insertions(+), 16 deletions(-)

commit bc86aab2b3fe8f060033c94579f456b1b70a120e
Author: Hagen Möbius <hagen.moebius@googlemail.com>
Date:   Thu Nov 27 01:22:41 2025 +0000

    Change default line ending to \n for all API.

 poppler/TextOutputDev.cc       |  4 ++--
 poppler/TextOutputDev.h        |  8 --------
 qt6/tests/CMakeLists.txt       |  1 +
 qt6/tests/check_endoflines.cpp | 29 +++++++++++++++++++++++++++++
 utils/pdftotext.cc             | 11 ++++++++++-
 5 files changed, 42 insertions(+), 11 deletions(-)

commit e2a03b6e39986d061b4eb663023d570d0b64e02c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 25 19:29:08 2025 +0100

    CI: Add clang 17 CI to simulate xcode 16.2

 .gitlab-ci.yml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 150e9871a53feecb313295deb928b8bea414b28d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Nov 25 09:24:33 2025 +0100

    Limit postcript function recursion

    fixes #1643

 poppler/Function.cc | 14 ++++++++++----
 poppler/Function.h  |  2 +-
 2 files changed, 11 insertions(+), 5 deletions(-)

commit 5f9b4545fa390ebdc913506bd58fa35408e17473
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Oct 29 17:07:41 2025 +0100

    [SplashXPathScanner] Remove ineffective xPath sorting

    Sorting of the xPath by lower y coordinate is fairly pointless, as it
    has provides almost no benefit, but comes at a significant cost and
    also has some negative side effects.

    A sorted xPath allows to determine the lowest y coordiate easily, and
    allows to stop processing of later segments which fall outside the
    clipping rectangle. But this causes a O(n log n) overhead for sorting
    (relevant for long paths), and the function call overhead (dominant
    part for short paths).

    Processing the unsorted xPath requires processing each segment twice
    (once to determine the actual upper and lower y bounds, and once to
    compute the intersections), but this is still more effective than
    sorting.

    Skip all segments outside the clipping region completely when
    determining
    the bounding box, as the corresponding scanlines are suppressed anyway.
    This occasionally provides a slightly better bounding box (narrower x
    coordinates), and avoid some pointless min/max instructions.

    As a side effect of not sorting the xPaths, the span merging in
    addIntersections becomes more effective, i.e. less allocations
    and faster
    span processing during rendering.

    This improves walltime for the testfile from #1555 from ~11 to ~9.5
    seconds, according to

    /usr/bin/time -v ./utils/pdftoppm  -r 75  ~/Downloads/lyon_metro.pdf
    > lyon_r75.ppm

    CCBUG: #1555

 splash/Splash.cc             |   2 -
 splash/SplashClip.cc         |   3 --
 splash/SplashXPath.cc        |  19 -------
 splash/SplashXPath.h         |   3 --
 splash/SplashXPathScanner.cc | 126
 +++++++++++++++++++++++--------------------
 5 files changed, 69 insertions(+), 84 deletions(-)

commit 6fa694c2bb960f46fefdb83683608304205a6d67
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Oct 19 02:09:04 2025 +0200

    [SplashXPathScanner] Reduce variable scope

 splash/SplashXPathScanner.cc | 58
 ++++++++++++++++++--------------------------
 1 file changed, 24 insertions(+), 34 deletions(-)

commit 90439ec2485248528ff7e52d6e006004084ad077
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 19 23:13:34 2025 +0100

    qt6: Replace another qvsnprintf with vsnprintf

    We're already using it 4 lines above and qvsnprintf is deprecated

 qt6/src/poppler-qiodeviceoutstream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c53ea9ce04ded10b8e5486295f5a100c04a76559
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 19 21:45:14 2025 +0100

    qt6: Use less deprecated funtions

 qt6/tests/check_attachments.cpp    | 21 +++++++++++----------
 qt6/tests/check_dateConversion.cpp |  3 ++-
 qt6/tests/check_metadata.cpp       |  5 +++--
 qt6/tests/poppler-forms.cpp        |  3 ++-
 4 files changed, 18 insertions(+), 14 deletions(-)

commit 211c5663b6aa02ad0d40f2baad3e3096b8dec875
Author: Tau <jonathan.haehne@hotmail.com>
Date:   Tue Oct 28 22:57:56 2025 +0100

    Make some important leaf functions accept std::string_view parameters

    This also fixes a bug in GooString::toLowerCase.

 goo/GooString.cc                  |  6 ++---
 goo/GooString.h                   | 18 ++++++++++++--
 poppler/CairoOutputDev.cc         |  2 +-
 poppler/Dict.cc                   | 43 +++++++++++++++++-----------------
 poppler/Dict.h                    | 47
 +++++++++++++++++--------------------
 poppler/Form.cc                   |  8 +++----
 poppler/Hints.cc                  |  2 +-
 poppler/Lexer.cc                  | 49
 ++++++++++++++++-----------------------
 poppler/Lexer.h                   |  4 +---
 poppler/Linearization.cc          | 12 +++++-----
 poppler/MarkedContentOutputDev.cc |  2 +-
 poppler/Object.h                  | 33 ++++++++++++++------------
 poppler/PDFDoc.cc                 |  6 ++---
 poppler/PDFDoc.h                  | 11 +++++----
 poppler/UTF.cc                    |  8 +++----
 poppler/UTF.h                     |  2 +-
 utils/pdfinfo.cc                  |  2 +-
 17 files changed, 128 insertions(+), 127 deletions(-)

commit d66a78578ef349afdbedd3368df142e95d281a54
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 18 16:48:28 2025 +0100

    Make clang-tidy-21 optional checker happy

 poppler/PSOutputDev.cc       |  2 +-
 qt5/src/QPainterOutputDev.cc | 17 +++++++++--------
 qt6/src/QPainterOutputDev.cc | 17 +++++++++--------
 3 files changed, 19 insertions(+), 17 deletions(-)

commit 86614650f3a22670a26e901409053580f2b1861e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 18 16:28:20 2025 +0100

    Replace finds with proper calls

    Where we did just find, use contains

    Where we did find+insert, use just insert since it already tells us if
    it was in the container

 poppler/Form.cc        |  6 +++---
 poppler/PSOutputDev.cc | 29 +++++++++++++----------------
 2 files changed, 16 insertions(+), 19 deletions(-)

commit 2f96a6f3c16c9688981f9e0a111c59e8e93298c6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Nov 13 15:47:52 2025 +0100

    Be less strict about the Page Annots object being correct

    Fixes #1641

 poppler/Page.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0888816cf5fdba950133acfb01841b7af1885729
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Nov 10 23:34:40 2025 +0100

    Update (C)

 cpp/poppler-page.cpp       | 2 +-
 poppler/CairoRescaleBox.cc | 2 +-
 poppler/TextOutputDev.h    | 2 +-
 qt5/src/poppler-page.cc    | 2 +-
 qt6/src/poppler-page.cc    | 2 +-
 splash/SplashBitmap.cc     | 2 +-
 utils/pdftotext.cc         | 2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit 8e273cea1cf28dd4b20c0a6e1a56878306f260b0
Author: Pablo Rodríguez <1425-ousia@users.noreply.gitlab.freedesktop.org>
Date:   Mon Nov 10 14:06:50 2025 +0000

    pdfsig: specify search order for NSS certificate database on the
    man page

 utils/pdfsig.1 | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 8f629e50a1b1c71662ed76363515b34c326265b4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Nov 8 15:50:59 2025 +0100

    Solve a few more clang-tidy >= 20 unsigned/signed warnings

 poppler/CairoRescaleBox.cc | 4 ++--
 splash/SplashBitmap.cc     | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5d45e4f9f9cbc540396836594df597aa21e72302
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Nov 8 15:36:58 2025 +0100

    TextWordList: just return the vector instead of a size/get

    Saves us from the signed/unsigned trouble on the API

    Also remove checks for makeWordList returning null since it never
    returns null

 cpp/poppler-page.cpp     | 98
 ++++++++++++++++++++++++------------------------
 poppler/TextOutputDev.cc | 13 -------
 poppler/TextOutputDev.h  |  6 +--
 qt5/src/poppler-page.cc  |  9 ++---
 qt6/src/poppler-page.cc  |  9 ++---
 utils/pdftotext.cc       | 23 ++++++------
 6 files changed, 68 insertions(+), 90 deletions(-)

commit eb2415bd963f2f5ab8edc563e7e7f8cadd2ae24d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 4 14:53:53 2025 +0200

    Make a few variables unsigned to represent the data more correctly

 poppler/Annot.cc                |  2 +-
 qt6/tests/check_annotations.cpp |  6 +++---
 utils/pdfunite.cc               | 13 ++++++-------
 3 files changed, 10 insertions(+), 11 deletions(-)

commit c1d41465f959f201c8352c7b1856df6dc4e3944b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 4 14:22:56 2025 +0200

    Make maxSepComps a size_t instead of int

 poppler/GfxState.cc | 14 +++++++-------
 poppler/GfxState.h  |  8 ++++----
 2 files changed, 11 insertions(+), 11 deletions(-)

commit b5ba726421613527d546b85d6da9174dbdf77bf1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 24 01:49:08 2025 +0200

    Ignore color operators when painting a Type3 font with d1

    The specification says so

 poppler/Gfx.cc | 71
 +++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 poppler/Gfx.h  | 14 ++++++++++--
 2 files changed, 77 insertions(+), 8 deletions(-)

commit 7101305372c6a99f463d04ab0064aa997a5bb1d1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 4 10:51:37 2025 +0000

    CI: Use Fedora 43

 .gitlab-ci.yml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit dc6e2af2035fe9d1dc4dcaec1d33bc75f61c771d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 4 02:08:14 2025 +0100

    Update pregenerated.c files with new gperf

 poppler/CourierBoldObliqueWidths.pregenerated.c   | 16 ++++++++++++++--
 poppler/CourierBoldWidths.pregenerated.c          | 16 ++++++++++++++--
 poppler/CourierObliqueWidths.pregenerated.c       | 16 ++++++++++++++--
 poppler/CourierWidths.pregenerated.c              | 16 ++++++++++++++--
 poppler/HelveticaBoldObliqueWidths.pregenerated.c | 16 ++++++++++++++--
 poppler/HelveticaBoldWidths.pregenerated.c        | 16 ++++++++++++++--
 poppler/HelveticaObliqueWidths.pregenerated.c     | 16 ++++++++++++++--
 poppler/HelveticaWidths.pregenerated.c            | 16 ++++++++++++++--
 poppler/SymbolWidths.pregenerated.c               | 22
 ++++++++++++++++++++--
 poppler/TimesBoldItalicWidths.pregenerated.c      | 16 ++++++++++++++--
 poppler/TimesBoldWidths.pregenerated.c            | 16 ++++++++++++++--
 poppler/TimesItalicWidths.pregenerated.c          | 16 ++++++++++++++--
 poppler/TimesRomanWidths.pregenerated.c           | 16 ++++++++++++++--
 poppler/ZapfDingbatsWidths.pregenerated.c         | 16 ++++++++++++++--
 14 files changed, 202 insertions(+), 28 deletions(-)

commit 218e25a11a6bbf85cf77ad0f535e81ed0ad982fd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 9 00:53:03 2025 +0200

    Switch to C++23

 .gitlab-ci.yml | 2 --
 CMakeLists.txt | 2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit aede5dce602cdda81f88aa7d14250fa7c2e8e876
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 4 01:12:13 2025 +0100

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 51e0b6fee84d09e77ba46d68869ddf913fe92ed6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 4 00:55:57 2025 +0100

    poppler 25.11.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 11 +++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 16 insertions(+), 5 deletions(-)

commit b7da5687374e572dd77224989a962a01ef998d67
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 31 13:34:33 2025 +0100

    Update (C)

 glib/poppler-form-field.cc | 1 +
 splash/SplashClip.cc       | 2 +-
 splash/SplashClip.h        | 2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit ef48acc10131300c303a14f4e1b4d69a6c4166bb
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Oct 29 15:07:17 2025 +0100

    [SplashClip] Use ranges::all_of instead of open coded equivalent

    As suggested by clang-tidy.

 splash/SplashClip.cc | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit fd49d61eff79bcd04dcef5f29ad4b083ece37f92
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Oct 20 15:43:00 2025 +0200

    [SplashXPathScanner] Const'ify eo member

 splash/SplashXPathScanner.cc | 5 ++---
 splash/SplashXPathScanner.h  | 2 +-
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 426ade4e19da0a565d0a93f4189e430e05d12c7d
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Oct 20 15:42:07 2025 +0200

    [SplashXPathScanner] Remove redundant hasPartialClip()

    The calling code already retrieves the bounding box from the scanner,
    notably yMin/yMax, and intersects it with the clip rectangle.

 splash/Splash.cc             | 4 ----
 splash/SplashXPathScanner.cc | 3 ---
 splash/SplashXPathScanner.h  | 5 -----
 3 files changed, 12 deletions(-)

commit 6be9bca95be6eba506823c555dc5a34a4c49fbc2
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Oct 20 15:36:40 2025 +0200

    [SplashClip] Remove no longer used flags array

    The flags array is allocated and initialized, but never evaluated.
    The size (capacity) member also becomes unused, and length can be
    replaced with scanners.size().

 splash/SplashClip.cc | 62
 +++++++++-------------------------------------------
 splash/SplashClip.h  |  7 ++----
 2 files changed, 12 insertions(+), 57 deletions(-)

commit 6a1e5b76867b026dbf316cde705e305325331866
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Oct 19 02:10:35 2025 +0200

    [SplashXPathScanner] Remove unused getSpanBounds method

 splash/SplashXPathScanner.cc | 23 -----------------------
 splash/SplashXPathScanner.h  |  3 ---
 2 files changed, 26 deletions(-)

commit 82b93b8c18bb8288a58f6ba0fef6f60c15ba252f
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 17:28:32 2025 +0200

    [SplashXPathScanner] Try to merge intersection spans early

    Spans which overlap or are adjacent without gap can be merged
    immediately,
    as the Postscript painting model marks all device pixels which are
    partially overlapped by a line.

    This is fairly often the case, as consecutive segments often
    overlap. Also
    tiny features may mark the same location multiple times.

    Merging often avoids (heap) allocation for additional spans, reduces
    time for sorting the spans, and speeds up the collection of consecutive
    spans when rendering the scanline.

    CCBUG: #1555

 splash/SplashXPathScanner.cc | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit d264aff319620979d77072e1725d8bef20909d9a
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 17:17:58 2025 +0200

    [SplashXPathScanner] Move even-odd check invariant out of loop

 splash/SplashXPathScanner.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 45e462ffd6a52fb5144baf1db04dd5a5c2608282
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 14:21:02 2025 +0200

    [SplashXPathScanner] Only adjust x coordinate when necessary

    Most segments are not clipped, so the x start coordinate can be left
    unadjusted, as `(y0 - seg->y0) * dxdy == 0`.

 splash/SplashXPathScanner.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit a90efa6da7538cfc4bd07572593608ea3162f03d
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 13:54:58 2025 +0200

    [SplashXPathScanner] Remove no longer used parameter

 splash/SplashXPathScanner.cc | 8 ++++----
 splash/SplashXPathScanner.h  | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit c6be677581ee77c3b143c206b81c0200f6c187f5
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Feb 7 23:15:34 2025 +0100

    [SplashXPathScanner] Optimize almost horizontal segments

    If a segment is almost horizontal (i.e. its start and end y coordinates
    are rounded to the same value), the segment can be treated like
    an exactly
    horizontal segment.

    (This requires the count adjustment to be done one the upper edge.)

 splash/SplashXPathScanner.cc | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 20d85e0766f4dd17c02fe8f98251cf8ec738680a
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Feb 7 22:53:47 2025 +0100

    [SplashXPathScanner] Optimize count check

    The count is incremented/decremented each time a segment crosses a
    scanline boundary. If a segment starts/ends on a boundary, the count
    has to be changed exactly once, i.e. either on the upper or lower
    edge of
    the segment, but which one is arbitray.

    Changing this from the lower to the upper edge simplifies the
    condition,
    as (y <= segYMax) is always true.

 splash/SplashXPathScanner.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3190933f5c3597e09ac8b4eff0057d6286206efb
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Feb 6 12:15:49 2025 +0100

    [SplashXPathScanner] Remove one unnecessary even-odd check

    The drawing routine checks if the count is even or odd, but does not
    care if it is negative or positive, or if the count is large or small -
    i.e. both adding +1 or -1 has the same effect.

    Removes one branch and a few other instructions per segment.

 splash/SplashXPathScanner.cc | 4 ++--
